# Generated by Makefile. Do not edit.

commit cb5ff3cf0b63971010e60ea2feedd1a0181c1ace
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Jul 6 14:55:03 2025 +0200

    Set release date

 NEWS           | 2 +-
 doc/geany.1.in | 2 +-
 doc/geany.txt  | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 309b044753de08accecc6e99b6d39cec8df5c1ee
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Jul 6 15:17:06 2025 +0200

    Tiny update of the French translation
    
    Use Unicode arrows instead of ASCII `->` to avoid wrapping in the
    middle of it.  This is useful because the default Prefs dialog size
    leads to such wrapping of the note on the Editor->Indentation page.

 po/fr.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 39c2d33dc995d2d5e4791523dc89aa604a0ad9fe
Merge: 04634ffe6 bb190f7d6
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Jul 6 14:31:26 2025 +0200

    Merge pull request #4315 from b4n/news
    
    Update NEWS for 2.1

commit 04634ffe6be06f0720591e43d00c7dd4dfd26ba6
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Jul 6 14:14:16 2025 +0200

    Update screenshots for Geany 2.1 documentation (#4365)

 doc/images/main_window.png                     | Bin 111339 -> 93797 bytes
 doc/images/pref_dialog_edit_completions.png    | Bin 70244 -> 68421 bytes
 doc/images/pref_dialog_edit_display.png        | Bin 76687 -> 66311 bytes
 doc/images/pref_dialog_edit_features.png       | Bin 49188 -> 55967 bytes
 doc/images/pref_dialog_edit_indentation.png    | Bin 55680 -> 54985 bytes
 doc/images/pref_dialog_files.png               | Bin 66429 -> 63297 bytes
 doc/images/pref_dialog_gen_misc.png            | Bin 56811 -> 55967 bytes
 doc/images/pref_dialog_gen_startup.png         | Bin 55734 -> 52530 bytes
 doc/images/pref_dialog_interface_interface.png | Bin 64267 -> 61978 bytes
 doc/images/pref_dialog_interface_notebook.png  | Bin 55721 -> 55743 bytes
 doc/images/pref_dialog_interface_toolbar.png   | Bin 51371 -> 50024 bytes
 doc/images/pref_dialog_keys.png                | Bin 75181 -> 64449 bytes
 doc/images/pref_dialog_printing.png            | Bin 45788 -> 44094 bytes
 doc/images/pref_dialog_templ.png               | Bin 50928 -> 49013 bytes
 doc/images/pref_dialog_tools.png               | Bin 46469 -> 43498 bytes
 doc/images/pref_dialog_various.png             | Bin 84969 -> 71574 bytes
 doc/images/pref_dialog_vte.png                 | Bin 60611 -> 58744 bytes
 17 files changed, 0 insertions(+), 0 deletions(-)

commit 67d764087f108ea0005a378f5eff24f2732677e8
Merge: edc8d43fd 77ed65c32
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Jul 6 14:12:33 2025 +0200

    Merge pull request #4366 from b4n/prefs-indent-warning
    
    prefs: Show indentation warning without a project

commit 77ed65c324a46df0ea96d59107ca13c8665edc29
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Jul 6 13:38:37 2025 +0200

    prefs: Show indentation warning without a project
    
    This got broken in #4099, the label was moved to the box that is shown
    only when a project is open, but this note applies to all cases.

 data/geany.glade | 14 ++++++++++++++
 src/prefs.c      |  2 +-
 2 files changed, 15 insertions(+), 1 deletion(-)

commit bb190f7d66e95b55e81ccae45ff6beff23192bd7
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri May 30 02:09:31 2025 +0200

    Update NEWS for 2.1

 NEWS | 125 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 125 insertions(+)

commit edc8d43fd7e26ff86fd9aebf1117c04c8ef6b54c
Merge: fa323c999 64f9f1bdb
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Jul 6 11:55:32 2025 +0200

    Merge pull request #4360 from giuspen/GP_CairoOlderVersion
    
    Temporarily pin Cairo and Pango to older versions.

commit 64f9f1bdbb185008a439e5556184341c66d0d8d1
Author: Giuseppe Penone <giuspen@gmail.com>
Date:   Fri Jul 4 14:47:22 2025 +0100

    gtk-bundle-from-msys2.sh: Temporarily pin Cairo and Pango
    
    Explicitly use Cairo 1.18.4-1 and Pango 1.56.3-2 due to performance
    issues in their latest MSYS2 versions.
    
    See https://github.com/geany/geany-plugins/issues/1466,
    https://gitlab.freedesktop.org/cairo/cairo/-/issues/905 and
    https://github.com/geany/geany/pull/4360.

 scripts/gtk-bundle-from-msys2.sh | 21 ++++++++++++++++++---
 1 file changed, 18 insertions(+), 3 deletions(-)

commit fa323c999ffd3cf7f7744550974b932ec47a7820
Author: Giuseppe Penone <giuspen@gmail.com>
Date:   Fri Jul 4 16:07:50 2025 +0100

    Add release signing for Windows workflow
    
    Sign using signpath.io

 .github/workflows/windows-msys2-build.yml | 25 ++++++++++++++++++++++---
 1 file changed, 22 insertions(+), 3 deletions(-)

commit 2dd3a687127b2f599da5d451640bf269ef27d568
Merge: 526e41b0e 0da703401
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Jul 4 00:19:44 2025 +0200

    Merge pull request #4352 from techee/sci_locate2
    
    Avoid introspecting widget hierarchy when obtaining doc from page

commit 526e41b0e4e9b80ce005db5c45aa55624088dd19
Merge: d0129bd13 dfd8cdd62
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed Jul 2 23:19:51 2025 +0200

    Merge pull request #4348 from techee/overview_fix
    
    Move editor_goto_pos() to the end of document_new_file()
    
    Fixes geany/geany-plugins#1354

commit d0129bd13528d5799ad7e7f1f44be053f1a100e2
Merge: 452306eb4 1788ad8f3
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Wed Jul 2 16:51:08 2025 +0200

    Merge pull request #4358 from anenasa/master
    
    Update of Chinese (Traditional) translation

commit 452306eb479a3b85a5aac4234cbb99cd3520c2b1
Merge: 4e7f410b1 d11d278e2
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Jul 1 22:21:05 2025 +0200

    Merge pull request #4359 from techee/hacking_versions
    
    Update notes about glib and Glade versions in HACKING

commit d11d278e2a59f45f6bb9861e5c2b0972e1f9bc47
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Jul 1 20:42:46 2025 +0200

    Update notes about glib and Glade versions in HACKING
    
    The paragraph about Glade 3.8.5 is pretty much obsolete these days and
    can be removed.
    
    We now require glib 2.56 and gtk 3.24 so update the documentation
    accordingly.

 HACKING | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

commit 1788ad8f347f05f8498392b78f759d2a076bcccf
Author: anenasa <anenasaa@yahoo.com>
Date:   Tue Jul 1 18:42:22 2025 +0800

    Update of Chinese (Traditional) translation

 po/zh_TW.po | 680 ++++++++++++++++--------------------------------------------
 1 file changed, 173 insertions(+), 507 deletions(-)

commit 4e7f410b1970349e014a6e914415f4f973b9212a
Merge: 4dcc1becf 727dd8463
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Jun 30 15:45:25 2025 +0200

    Merge pull request #4353 from techee/win_geany_css
    
    Add comment to geany.css regarding font in search entries on Windows

commit 4dcc1becff23da49e23b3dc2d5d51dbea10d2db3
Merge: f1c33cd93 f04c620b8
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jun 29 23:14:33 2025 +0200

    Merge pull request #4354 from techee/update_themes
    
    Update to the latest version of geany-themes

commit f1c33cd9390dfcd86b8c0b934d7bb28103853fdf
Merge: 63a9be6c7 a3d26533f
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sun Jun 29 21:09:10 2025 +0200

    Merge pull request #4347 from andrej-herceg/sk-po
    
    Update of Slovak translation

commit 727dd8463e113e0457d44f5e44da628f5941c32f
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jun 29 13:28:23 2025 +0200

    Remove css settings for GTK < 3.20 from the documentation

 doc/geany.txt | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit f04c620b883061180626500a0ec70a00c7ba6e7a
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jun 29 12:12:56 2025 +0200

    Update to the latest version of geany-themes
    
    Fixes #4340.

 data/Makefile.am                       |   1 +
 data/colorschemes/gruvbox-dark.conf    | 164 +++++++++++++++++++++++++++++++++
 data/colorschemes/metallic-bottle.conf |   4 +-
 scripts/update-themes.py               |   1 +
 4 files changed, 168 insertions(+), 2 deletions(-)

commit 855a4b292dc6f43c25e9e884b7c0e0e1f9d697f8
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jun 29 10:57:52 2025 +0200

    Add comment to geany.css regarding font in search entries on Windows

 data/geany.css | 1 +
 1 file changed, 1 insertion(+)

commit 0da70340172671978b1db1209b8f345dcc454171
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Jun 27 15:18:47 2025 +0200

    Avoid introspecting widget hierarchy when obtaining doc from page
    
    This patch avoids widget hierarchy introspection to find GeanyDocument
    corresponding to a notebook tab widget by assigning it to the
    widget using g_object_set_data().
    
    The previous method looking for the Scintilla widget would fail if
    the hierarchy contained another Scintilla widget coming e.g. from a
    plugin (such as the Overview plugin).
    
    Fixes https://github.com/geany/geany-plugins/issues/730
    Fixes https://github.com/geany/geany-plugins/issues/1149
    Fixes https://github.com/geany/geany-plugins/issues/1180

 src/document.c | 61 ++++++++--------------------------------------------------
 src/document.h |  2 --
 src/notebook.c |  2 ++
 3 files changed, 10 insertions(+), 55 deletions(-)

commit 63a9be6c75cde9a1f32d683603354613ef8605d5
Merge: fa19879f3 9ad34cc71
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Jun 26 22:37:23 2025 +0200

    Merge pull request #4351 from b4n/codespell
    
    Fix typos in comments and documentation

commit fa19879f3d66ae33a24a656f49e552f28d80b419
Author: Giuseppe Penone <giuspen@gmail.com>
Date:   Thu Jun 26 10:27:38 2025 +0100

    Add native Windows build and release CI job (#4223)
    
    * Import the script geany-release.py so far hosted in the wiki, renamed
      to make it clear it is for windows/msys2
    * Add CI job
    * Many improvements and adjustments

 .github/workflows/windows-msys2-build.yml | 58 ++++++++++++++++++
 .gitignore                                |  1 +
 scripts/msys2-geany-release.py            | 98 +++++++++++++++++++++++++++++++
 3 files changed, 157 insertions(+)

commit 9ad34cc7129ecc04aa672460f2d879fdb528370c
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Jun 26 11:17:24 2025 +0200

    Fix typos in comments and documentation
    
    Mostly spotted by `codespell`.

 HACKING                       |  6 +++---
 NEWS                          |  6 +++---
 doc/geany.txt                 |  8 ++++----
 geany.nsi.in                  |  2 +-
 plugins/demoplugin.c          |  2 +-
 plugins/htmlchars.c           |  4 ++--
 plugins/saveactions.c         |  4 ++--
 src/build.c                   |  2 +-
 src/document.c                |  4 ++--
 src/documentprivate.h         |  2 +-
 src/encodings.c               |  2 +-
 src/highlighting.c            |  2 +-
 src/highlightingmappings.h    |  2 +-
 src/keyfile.c                 |  2 +-
 src/navqueue.c                |  2 +-
 src/plugindata.h              |  2 +-
 src/pluginextension.h         |  2 +-
 src/pluginutils.c             |  2 +-
 src/prefix.h                  |  2 +-
 src/spawn.c                   |  6 +++---
 src/stash.c                   |  2 +-
 src/tagmanager/tm_tag.c       |  6 +++---
 src/tagmanager/tm_workspace.c |  2 +-
 src/utils.c                   | 12 ++++++------
 24 files changed, 43 insertions(+), 43 deletions(-)

commit 8cbf43b8f06d734703694f378e3741b889a3433f
Merge: 73ae405f2 382420668
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Jun 25 12:08:10 2025 +0200

    Merge pull request #4334 from eht16/issue4332_increase_default_linenumber_margin_width
    
    Increase line number margin default width

commit dfd8cdd62a0f70fdf42b50aadb5177a5f483cc55
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Jun 23 19:52:06 2025 +0200

    Move editor_goto_pos() to the end of document_new_file()
    
    Within editor_goto_pos(), document_show_tab() is called which realizes
    the Scintilla widget.
    
    This:
    1. Makes the code more similar to document_open_file_full() where
    editor_goto_pos() is called at the end as well.
    2. Ensures that the editor is focused after creating a new file
    (which didn't get focused before).
    3. Fixes the Overview plugin crash for when creating empty document
    made Geany crash after editor click.
    
    To (3): I don't know how exactly this is fixed but when debugging the
    issue, I noticed that Scintilla's realize() gets called 3 times for
    new documents while only 2 times when opening existing document
    (2 times makes sense - once for the editor widget, once for the overview
    view). After adding some traces, one realize() gets called when
    editor_goto_pos() is invoked and the other two after sending the
    "document-new" signal. I haven't investigated what exactly happens but
    since moving editor_goto_pos() fixes the problem and makes the code
    work more like document_open_file_full(), it's probably a "good" solution.

 src/document.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit a3d26533f4e96189acec4a5a12969d30781d68f7
Author: Andrej Herceg <chrono.i18n@gmail.com>
Date:   Sun Jun 22 22:02:04 2025 +0200

    Update of Slovak translation

 po/sk.po | 306 ++++++++++++++++++---------------------------------------------
 1 file changed, 86 insertions(+), 220 deletions(-)

commit 73ae405f212f066e43b1f8910728dafa95e31821
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Thu Jun 19 23:38:44 2025 +0200

    Update of German translation

 po/de.po | 513 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 256 insertions(+), 257 deletions(-)

commit d6f064aec0544acfca38c7770bfb928bd95c3a7c
Merge: 01abec351 9f75b8c72
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Jun 16 21:51:11 2025 +0200

    Merge pull request #4338 from techee/print_fname
    
    Show parsed file name in error messages related to invalid promises

commit 01abec351af7e6ac68652bb280aaac13edbcd36f
Merge: 674c84ecf 0bfb37f7f
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Jun 16 21:29:08 2025 +0200

    Merge pull request #4337 from techee/cobol_styles
    
    Cobol: Use SCE_COBOL_* defines for highlighting mappings

commit 9f75b8c72060251c221c4ee3ae9fcd6012479291
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Jun 16 17:50:11 2025 +0200

    Show parsed file name in error messages related to invalid promises

 ctags/main/promise.c | 4 +++-
 ctags/main/read.c    | 4 ++--
 2 files changed, 5 insertions(+), 3 deletions(-)

commit 0bfb37f7f8221855eaf5ea777835a5d93ae6902a
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Jun 16 17:29:28 2025 +0200

    Cobol: add empty "secondary" and "extended_kewywords" for better discoverability

 data/filedefs/filetypes.cobol | 2 ++
 1 file changed, 2 insertions(+)

commit 8c2754e336b9f220a8075073de707baf2d4aa102
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Jun 16 11:48:42 2025 +0200

    Cobol: Use SCE_COBOL_* defines for highlighting mappings
    
    Some notes:
    - SCE_COBOL_WORD3 corresponds to SCE_C_UUID and "uuid" name - but since
    it has never been mapped in filetypes.cobol, it makes more sense to
    name it "word3"
    - "quotedidentifier" originally mapped in filetypes.cobol doesn't
    correspond to anything in C lexer or in Cobol lexer so it has been
    removed
    - "preprocessor" has been mapped to the preprocessor theme style

 data/filedefs/filetypes.cobol |  3 ++-
 src/highlightingmappings.h    | 17 ++++++++++++++++-
 2 files changed, 18 insertions(+), 2 deletions(-)

commit 674c84ecfe628c3d1bbb9efcd1441862fb8e7ffa
Merge: 232d15503 e18acc36e
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Jun 16 12:00:38 2025 +0200

    Merge pull request #4335 from b4n/html-subparsers
    
    Improve symbols support for mixed HTML/PHP/JavaScript

commit 9a1a62efa8ecbf4076ef9b1e87105ed6d3744ab8
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Jun 16 11:42:02 2025 +0200

    Cobol: fix keyword group name in fileypes.cobol
    
    It seems cobol keywords have never been highlighted :-/

 data/filedefs/filetypes.cobol | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e18acc36ecb975b335873520a0ee43cacda8a946
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Jun 15 22:54:35 2025 +0200

    Add basic tests for combined HTML/PHP/JavaScript

 tests/ctags/Makefile.am        |  2 ++
 tests/ctags/combined.html      | 28 ++++++++++++++++++++++++++++
 tests/ctags/combined.html.tags |  8 ++++++++
 tests/ctags/combined.php       | 28 ++++++++++++++++++++++++++++
 tests/ctags/combined.php.tags  |  8 ++++++++
 tests/meson.build              |  2 ++
 6 files changed, 76 insertions(+)

commit 28d11558bf90f3c232bef2c05f6d0f06d9415da7
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Jun 15 11:35:08 2025 +0200

    Add support for JavaScript and HTML embedded in PHP

 src/tagmanager/tm_parser.c | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

commit 88b420e1edbe33955722c1d7d4236e635268aabe
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Jun 15 11:34:38 2025 +0200

    Extend support for JavaScript and PHP embedded in HTML

 src/tagmanager/tm_parser.c | 27 ++++++++++++++++++++++++++-
 1 file changed, 26 insertions(+), 1 deletion(-)

commit 232d155033e82bdb69156d99f41267b0dc0265da
Merge: bc096d5e5 e1374e4d2
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sun Jun 15 20:25:01 2025 +0200

    Merge pull request #4336 from lucasvieites/master
    
    Updated Spanish translation for Geany 2.1

commit bc096d5e5f82304fba66e754c763d4510b2c0814
Merge: 0e11e4be7 1b8cb9d67
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Jun 15 20:10:53 2025 +0200

    Merge pull request #4330 from techee/ctags_crash
    
    Fix ctags crash by checking promise ranges
    
    Fixes #3939
    Fixes #4270

commit 1b8cb9d672495b0a6c352300833fe95421a43a0a
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Jun 13 21:54:34 2025 +0200

    When creating a promise, check if identical promise already exists
    
    If there's identical promise, don't append it to the promise array.
    
    All promises, including the executed ones, are kept inside the promises
    array so the only thing we have to do is go through the array and check
    if there's an identical promise.
    
    Co-authored-by: Colomban Wendling <lists.ban@herbesfolles.org>

 ctags/main/promise.c | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit db7ea125d890aaa8c997969cb3bb3bf9c886dda7
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Jun 13 22:08:54 2025 +0200

    php: Fix HTML promises ranges with an open tag at EOF
    
    Fix the end offset when the PHP open tag is the very last thing in the
    stream, which prevents the HTML parser from rightfully seeing a PHP
    open tag and giving the PHP parser the input back (and so on and so
    forth).

 ctags/parsers/php.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b4b9fbd4b8c049204ff2426aa1fbd5c3c3d84db1
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Jun 1 10:56:48 2025 +0200

    Add test for PHP parser crash

 tests/ctags/Makefile.am       |  1 +
 tests/ctags/wp-guest.php      | 57 +++++++++++++++++++++++++++++++++++++++++++
 tests/ctags/wp-guest.php.tags |  2 ++
 tests/meson.build             |  3 ++-
 4 files changed, 62 insertions(+), 1 deletion(-)

commit 80606b4d3af5525434c864e55e4779539b75c6b6
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Nov 12 00:44:05 2024 +0100

    html: Avoid infinite ping-pong loop with JSP tags
    
    Fix #4097
    
    JSP tags shouldn't trigger the PHP parser.  This used to happen and
    trigger an infinite loop of a ping-pong effect with the HTML parser
    asking the PHP parser to parse the JSP block, and the PHP parser, not
    recognizing the input, asking the HTML one to deal with it.  Rinse and
    repeat.

 ctags/parsers/html.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 23a254547cd696431232a79f79879a93dfe9ed81
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Oct 8 22:38:44 2024 +0200

    php: Fix HTML promises ranges
    
    Don't include (part of) the PHP open tag in the HTML input.

 ctags/parsers/php.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 4f57234ad613fc5e1c139360f8efc5f0ab24f1e4
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Jun 3 20:00:19 2025 +0200

    Add checks testing the validity of promises
    
    If a promise is made with an invalid range (behind EOF or start position
    behind end position), it is rejected and parsing with a subparser is
    skipped.
    
    Co-authored-by: Colomban Wendling <lists.ban@herbesfolles.org>

 ctags/main/parse.c  | 12 +++++++-----
 ctags/main/read.c   | 34 ++++++++++++++++++++++++++++------
 ctags/main/read_p.h |  2 +-
 3 files changed, 36 insertions(+), 12 deletions(-)

commit e1374e4d2441f57f5586f074a8737bcc935c800c
Author: Lucas Vieites <lucas@codexion.com>
Date:   Sun Jun 15 14:12:29 2025 +0200

    Updated Spanish translation for Geany 2.1
    
    Updated es.po dor Geany 2.1

 po/es.po | 238 ++++++++++++++++++++++++++++-----------------------------------
 1 file changed, 105 insertions(+), 133 deletions(-)

commit e36b5d6608fe4370e836bb798b005bd4211a7edd
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Jun 15 11:32:37 2025 +0200

    Improve group names for JavaScript properties and constants

 src/tagmanager/tm_parser.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 38242066856c7e2dd2b4f595ce907504fcb7e714
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Jun 15 11:04:00 2025 +0200

    Increase line number margin default width
    
    Closes #4332.

 src/sciwrappers.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 0e11e4be798edf497c3b50192ae79117a0555a1f
Merge: 5e42b5c50 9ebf7daf5
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Tue Jun 10 18:22:50 2025 +0200

    Merge pull request #4327 from b4n/saveactions-wrong-mnemonic
    
    saveactions: Fix mnemonic not activating the right widget

commit 5e42b5c501f3bdd49bea23ae641f68449cb968cf
Merge: cd5e14417 cb2586ecb
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Jun 10 08:32:30 2025 +0200

    Merge pull request #4326 from techee/win_font
    
    Use Consolas as the default font on Windows

commit cd5e14417e655c396190674656b52124200db5ba
Merge: b99dc8af8 c1538ef66
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Jun 10 00:22:59 2025 +0200

    Merge pull request #4222 from techee/column_edit_doc
    
    Fix documentation of rectangular selection

commit 9ebf7daf5ab09bac905e2c8101b9ae6a1a95373e
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Jun 10 00:14:47 2025 +0200

    saveactions: Fix mnemonic not activating the right widget

 plugins/saveactions.c | 1 -
 1 file changed, 1 deletion(-)

commit c1538ef66187c26939d3bf94ee4ce39a30a8f756
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Jan 31 21:34:53 2025 +0100

    Fix documentation of rectangular selection
    
    Co-authored-by: Colomban Wendling <lists.ban@herbesfolles.org>

 doc/geany.txt | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit b99dc8af8c2e7d7050a396d8128cb1af11b0dd36
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Jun 9 23:37:12 2025 +0200

    French translation update

 po/fr.po | 176 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 87 insertions(+), 89 deletions(-)

commit cb2586ecb8a7acd9c811654b93abf3f3ec67fb49
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jun 8 21:16:56 2025 +0200

    Use Consolas as the default font on Windows
    
    By default, the monospaced font on Windows is Courier New which isn't
    exactly the nicest font for development because of the serifs (plus it
    is rendered extremely thin on HiDPI displays). I expect that the first
    thing everyone has to do on Windows is to change this font to something
    else.
    
    Since Windows Vista, Microsoft seems to ship a "modern" sans-serif
    monospaced font called Consolas which looks as a much better font
    for coding.
    
    The rest of the patch just moves existing font configuration for other
    platforms under a single ifdef/elif/else.

 src/keyfile.c | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 721c93bf4d7855183a3f389c3c05da72a3ec971d
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Mon Jun 9 22:11:23 2025 +0200

    Update po files for string freeze of Geany 2.1

 po/ar.po    | 3054 ++++++++++++++++++++++++++-----------------------
 po/ast.po   | 3152 ++++++++++++++++++++++++++------------------------
 po/be.po    | 3128 +++++++++++++++++++++++++++-----------------------
 po/bg.po    | 3165 ++++++++++++++++++++++++++------------------------
 po/ca.po    | 3130 +++++++++++++++++++++++++++-----------------------
 po/cs.po    | 3191 +++++++++++++++++++++++++++------------------------
 po/da.po    | 3676 +++++++++++++++++++++++++++++++----------------------------
 po/de.po    |  919 ++++++++-------
 po/el.po    | 3160 +++++++++++++++++++++++++++-----------------------
 po/en_GB.po | 3159 ++++++++++++++++++++++++++------------------------
 po/es.po    | 3636 ++++++++++++++++++++++++++++++----------------------------
 po/et.po    | 3126 +++++++++++++++++++++++++++-----------------------
 po/eu.po    | 3094 ++++++++++++++++++++++++++-----------------------
 po/fa.po    | 3156 ++++++++++++++++++++++++++------------------------
 po/fi.po    | 3165 ++++++++++++++++++++++++++------------------------
 po/fr.po    | 3195 +++++++++++++++++++++++++++------------------------
 po/gl.po    | 3152 +++++++++++++++++++++++++++-----------------------
 po/he.po    | 3128 +++++++++++++++++++++++++++-----------------------
 po/hi.po    | 2959 ++++++++++++++++++++++++-----------------------
 po/hu.po    | 3146 +++++++++++++++++++++++++++-----------------------
 po/id.po    | 3149 +++++++++++++++++++++++++++-----------------------
 po/ie.po    | 3087 ++++++++++++++++++++++++++-----------------------
 po/it.po    | 3180 +++++++++++++++++++++++++++------------------------
 po/ja.po    | 3148 +++++++++++++++++++++++++++-----------------------
 po/kk.po    | 3111 +++++++++++++++++++++++++++-----------------------
 po/ko.po    | 3126 +++++++++++++++++++++++++++-----------------------
 po/ku.po    | 3054 ++++++++++++++++++++++++++-----------------------
 po/lb.po    | 3158 ++++++++++++++++++++++++++------------------------
 po/lt.po    | 3131 +++++++++++++++++++++++++++-----------------------
 po/lv.po    | 3164 +++++++++++++++++++++++++++-----------------------
 po/mn.po    | 3049 ++++++++++++++++++++++++++-----------------------
 po/nl.po    | 3179 +++++++++++++++++++++++++++------------------------
 po/nn.po    | 2974 ++++++++++++++++++++++++-----------------------
 po/pl.po    | 3151 ++++++++++++++++++++++++++------------------------
 po/pt.po    | 3467 ++++++++++++++++++++++++++++---------------------------
 po/pt_BR.po |  914 ++++++++-------
 po/ro.po    | 3159 ++++++++++++++++++++++++++------------------------
 po/ru.po    | 3204 +++++++++++++++++++++++++++------------------------
 po/sk.po    | 3155 +++++++++++++++++++++++++++-----------------------
 po/sl.po    | 3158 +++++++++++++++++++++++++++-----------------------
 po/sr.po    | 3112 +++++++++++++++++++++++++++-----------------------
 po/sv.po    | 3141 +++++++++++++++++++++++++++-----------------------
 po/tr.po    | 3154 +++++++++++++++++++++++++++-----------------------
 po/uk.po    | 3115 +++++++++++++++++++++++++++-----------------------
 po/vi.po    | 3145 ++++++++++++++++++++++++++------------------------
 po/zh_CN.po | 3139 +++++++++++++++++++++++++++-----------------------
 po/zh_TW.po | 3120 +++++++++++++++++++++++++++-----------------------
 47 files changed, 77171 insertions(+), 66964 deletions(-)

commit 07ca62f79cbef124895fc86c981ec653ab1aa661
Merge: 623e83fb9 37491ab4c
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Jun 9 18:55:03 2025 +0200

    Merge pull request #4081 from techee/bash_fix
    
    sh: enable lexer styles for command substitution and related styling

commit 37491ab4c9a0d70ce5209ee6e3aeb33ea4955c94
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Nov 26 22:26:43 2024 +0100

    sh: enable lexer styles for command substitution and related styling
    
    Fixes #1754
    Fixes #1821

 data/filedefs/filetypes.sh | 6 ++++++
 1 file changed, 6 insertions(+)

commit 623e83fb912b7f26f6b27eb6ba36a150494da19e
Merge: 6f71cb11f d3330b168
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Jun 9 18:43:06 2025 +0200

    Merge pull request #4306 from techee/lexer_string
    
    TOML, Dart, Zig, Nix: Add error state for unterminated string

commit 6f71cb11fd03a885d23f0bf84f569d2bf4e82d9f
Merge: e48b1f813 720b79a11
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Jun 9 15:55:54 2025 +0200

    Merge pull request #4197 from techee/win_small_toolbar_icons
    
    Use small toolbar icons by default on Windows

commit e48b1f813b864a897ed5202b796f7f1a9233b44e
Merge: b428e7a29 0e74da542
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Jun 9 12:24:51 2025 +0200

    Merge pull request #4320 from b4n/ci-show-logs-on-check-error
    
    CI: show test logs on test failures

commit 0e74da54264ff9a42cd8f69c04631631ae0dfab1
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Jun 1 11:23:42 2025 +0200

    CI: show test logs on test failures

 .github/workflows/build.yml | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit b428e7a29e45d86af960bbbc6f6d117082964bb2
Merge: 1edb71980 f893aa195
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Jun 9 11:05:49 2025 +0200

    Merge pull request #4322 from techee/win_help_fix
    
    Drop win32_open_browser()

commit f893aa195433e07e7a04635ae626411f5b93d1bc
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jun 8 13:50:18 2025 +0200

    Don't use specific settings for GEANY_DEFAULT_TOOLS_BROWSER on macOS
    
    Use the default value "" which is used on other platforms too. This
    settings then uses gtk_show_uri_on_window() which opens the browser
    that is configured as the default browser.

 src/keyfile.c | 5 ++---
 src/prefs.c   | 2 ++
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 1edb719804662d46afa62cdbb7e3accdfefc8bb3
Merge: 42ec87a05 b6e75c1bb
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Mon Jun 9 00:03:16 2025 +0200

    Merge pull request #4236 from eht16/meson_create_geany_nsi
    
    Create geany.nsi with Meson

commit 42ec87a050acb282dc001b2e608759f51f16e021
Merge: c776c7fe8 c98e97760
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Jun 8 21:42:10 2025 +0200

    Merge pull request #4318 from b4n/placeholders
    
    Fix %p build placeholder, and various placeholder replacement fixes and improvements

commit 597c05afc0e47c19f5ceb2f78970b73dddb9f459
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jun 8 13:46:21 2025 +0200

    Make browser entry configuration insensitive on Windows
    
    On Windows, gtk_show_uri_on_window() is always used no matter what
    is configured in preferences.

 src/prefs.c | 5 +++++
 1 file changed, 5 insertions(+)

commit c776c7fe8ab2fead248afa7f9aa2045fcae194dd
Merge: 8dd1f0083 c43aec2c4
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Jun 7 23:49:19 2025 +0200

    Merge pull request #4319 from b4n/print-cmd-compat
    
    prefs: Migrate pre-2.1 print_cmd format

commit c98e97760af9883a9276cb54e8e0e9b8462b4078
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Jun 7 23:01:55 2025 +0200

    Emit a debug message when an unknown placeholder is encountered
    
    This should not happen with properly written format strings, and is
    likely not to result in the expected result, so warn about it.

 src/utils.c | 2 ++
 1 file changed, 2 insertions(+)

commit 86066b46523638324bcbd82b132e42221ca038b0
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Jun 7 22:44:44 2025 +0200

    Update documentation with new placeholders

 doc/geany.txt | 23 ++++++++++++-----------
 1 file changed, 12 insertions(+), 11 deletions(-)

commit f826655f6cc26019773ce8d4b7f9e423e05fd84c
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Jun 7 22:20:24 2025 +0200

    Improve status message when replacing %p without a project open

 src/utils.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f802134892ff237970b05e50e016b32ac9a6cce3
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Jun 7 22:18:45 2025 +0200

    Replace placeholders with an empty value when the document has no path
    
    This is all but theoretical though, as all current use of the document
    placeholders substitution won't call it when the document is not valid
    nor has a proper on-disk path.

 src/utils.c        | 19 ++++++++++++++++---
 tests/test_utils.c | 12 ++++++------
 2 files changed, 22 insertions(+), 9 deletions(-)

commit 98eeaa244af146f5647006690ad91a6fb3fad015
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat May 31 22:25:18 2025 +0200

    Fix external print command tooltip

 data/geany.glade | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 7ca41c62d81c4809ccf66abbd450e22d8909d195
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat May 31 22:11:08 2025 +0200

    Use utils_replace_placeholders() in ui_update_statusbar()
    
    This moves the string management logic outside the placeholder
    replacement logic, and fixes a corner case, when there is a % at the
    end of the format string.
    
    It also changes handling of unknown placeholders, keeping them entirely
    unmodified instead of inserting only the character after the `%`.
    Neither is necessarily perfect, but I don't think it's a regression or
    a change that is relevant regarding compatibility.

 src/ui_utils.c | 250 +++++++++++++++++++++++++++------------------------------
 1 file changed, 118 insertions(+), 132 deletions(-)

commit 84cfce078118450b710838d456cb3a649c97b5b2
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat May 31 19:47:42 2025 +0200

    utils: Add utils_replace_placeholders()

 src/utils.c        | 19 ++++++++++++++++++-
 src/utils.h        |  4 ++++
 tests/test_utils.c | 51 +++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 73 insertions(+), 1 deletion(-)

commit 0f488326188070c68754023675c0cce801a41b1e
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat May 31 19:44:54 2025 +0200

    Remove position argument from ui_update_statusbar()
    
    This function is always actually called with the document's current
    position, and all but one caller pass `-1` already -- the only one
    giving an explicit position gives `sci_get_current_position()`, which
    behaves exactly the same as `-1`.
    
    Thus, remove the unnecessary argument, which simplifies the calls and
    will simplify an upcoming change.

 src/callbacks.c   | 14 +++++++-------
 src/document.c    | 24 ++++++++++++------------
 src/editor.c      |  4 ++--
 src/keybindings.c |  2 +-
 src/prefs.c       |  2 +-
 src/ui_utils.c    |  8 ++++----
 src/ui_utils.h    |  2 +-
 7 files changed, 28 insertions(+), 28 deletions(-)

commit 839eaa6f256ac757405fb78506e6b5cace369991
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat May 31 18:39:06 2025 +0200

    Fix build placeholder replacement
    
    Fixes `%p` support that was broken in #4250, and avoids finding
    placeholders in replacement strings that can lead to unexpected or
    dangerous issues (e.g. if a path contains a placeholder).
    
    The implementation is a little over-engineered, but might allow to
    share the placeholder replacement logic with other code, as well as
    decoupling string management and replacement generation.
    
    Fixes #4314.

 src/build.c        |   8 +-
 src/printing.c     |   4 +-
 src/utils.c        | 226 ++++++++++++++++++++++++-----------------------------
 src/utils.h        |   2 +-
 tests/test_utils.c |  33 ++++++++
 5 files changed, 141 insertions(+), 132 deletions(-)

commit c43aec2c4acf320e920e3d7f3c4e39323da6661e
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Jun 1 00:07:24 2025 +0200

    prefs: Migrate pre-2.1 print_cmd format
    
    External print command placeholders have been changed in #4250, so
    update the default value and migrate a previous format to the new one
    automatically to make the transition smoother.

 src/keyfile.c | 18 ++++++++++++++----
 1 file changed, 14 insertions(+), 4 deletions(-)

commit 8dd1f00837b348a2f69efd4bf6746e0d5a1890a0
Merge: d81942fe5 92df8c7b8
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Jun 5 23:19:05 2025 +0200

    Merge pull request #4323 from techee/fix_base_path_open
    
    Fix project base path button when using native dialogs

commit 155b60f7164fc489fc101a091e7f580bb9b2958e
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Jun 5 21:18:03 2025 +0200

    Drop win32_open_browser()
    
    On Windows, I get
    
    ```
    21:15:27: Failed to open URI "C:/Program Files/Geany/share/doc/geany/html/index.html#general-startup-preferences": The system cannot find the file specified.
    ```
    
    when pressing the Help button from the Preferences dialog. The problem
    seems to be caused by the #suffix of the URI.
    
    Using gtk_show_uri_on_window() instead of win32_open_browser() seems
    to "work" so the web browser is shown - however, the #suffix is
    removed so it doesn't navigate to the linked section in help. Still
    better than not showing the help window at all.

 src/utils.c |  2 +-
 src/win32.c | 24 ------------------------
 src/win32.h |  3 ---
 3 files changed, 1 insertion(+), 28 deletions(-)

commit 92df8c7b88f62dfd7a18af801ebc536c8f1e3d89
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Jun 5 22:19:43 2025 +0200

    Fix project base path button when using native dialogs
    
    The button next to the
    
    Project->Properties->Base path
    
    entry doesn't work when using "platform-native" dialogs because of
    forgotten use of "universal dialog run" function. Fix that.

 src/project.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d81942fe50bb8783d0e29ec564d3e03ec93c2be0
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri May 30 19:39:08 2025 +0200

    NEWS: Fix PR link in 2.0 section

 NEWS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4814dbc138025f9ea461acdc03707dbe37d3e4cd
Merge: 837198829 98e73cee7
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri May 30 21:43:28 2025 +0200

    Merge pull request #4316 from b4n/techee-is-a-main-dev
    
    Credit Jiří as a main developer

commit 98e73cee768446031bc9f7acf6ce6d2b0fb2dc3a
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri May 30 19:40:06 2025 +0200

    Credit Jiří as a main developer
    
    Because he really is, willingly or not :)

 src/about.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 8371988294df92309804fb200afec844bcc58a52
Merge: 82ab2eca8 e58156381
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu May 29 22:59:05 2025 +0200

    Merge pull request #4313 from b4n/entryaction-cleanup
    
    geanyentryaction: Fix duplicate signals and simplify code

commit e58156381be644e5cb7eb4c749d160a338f26c1d
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed May 28 22:47:32 2025 +0200

    geanyentryaction: Fix duplicate signals and simplify code
    
    Assuming GtkRecentAction implementation in GTK is a good inspiration,
    we don't actually need to delay signal connection to `connect_proxy()`:
    it only allows to connect proxies we didn't create ourselves, and we
    don't actually *want* to connect those.
    
    Doing it in `connect_proxy()` the way we did actually creates an issue:
    foreign proxies can be created (e.g. menu items in the toolbar overflow
    menu), and for those we must not re-connect on the entry, otherwise we
    would duplicate signal connections, leading to odd behavior.
    
    As we don't need to actually connect signals on foreign proxies, we can
    simply connect them when creating our own entry.  This has a couple
    benefits:
    
    * We don't risk connecting twice, as we only connect on fresh entries,
      never on previously existing ones.
    * We don't use a cached entry inside the action, which makes creating
      more than one tool item for the same action a lot more robust, as the
      action don't keep track of *any* entry anymore, instead of tracking
      only the one created last.
    
    Fixes #4012.

 src/geanyentryaction.c | 73 +++++++++++++++++++-------------------------------
 1 file changed, 27 insertions(+), 46 deletions(-)

commit 82ab2eca80b52c6be93f71674e1a06bdae39e04c
Merge: efb6adb6d a0a771b9f
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun May 25 23:51:46 2025 +0200

    Merge pull request #4311 from b4n/tr-comments
    
    Restore translator comments

commit a0a771b9f205ee4b433fcd028f7b455112ceeb76
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun May 25 13:54:54 2025 +0200

    Restore translator comments after the intltool parting
    
    This also unifies the format for comments targeting translators which
    makes it easier to notice in the source, and avoids unrelated comment
    from being extracted.

 po/Makevars    |  2 +-
 src/document.c |  4 ++--
 src/libmain.c  |  4 ++--
 src/project.c  |  2 +-
 src/spawn.c    |  2 +-
 src/symbols.c  |  2 +-
 src/ui_utils.c | 18 ++++++++++--------
 7 files changed, 18 insertions(+), 16 deletions(-)

commit dc4791bbde7b45aae84a8f51a14b592fdf7d8e32
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun May 25 13:53:31 2025 +0200

    po: Add support for g_dngettext() and UTF-8 source strings
    
    We use neither currently, but that is a more standard option set and
    might save us from trouble if this ever changes.

 po/Makevars | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit efb6adb6d2bbaede6698c917ad9f7bf04e198198
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun May 25 13:50:13 2025 +0200

    autogen: Quote srcdir
    
    This might allow building inside directories that contain shell
    meta-characters, like e.g. space.

 autogen.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit e580d9d15e6a0692d9e26b767ac6b4103d2d4a60
Merge: 876242d8b e97ec4a45
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri May 23 00:00:59 2025 +0200

    Merge pull request #4307 from techee/fb_assertion_fix
    
    filebrowser: Eliminate runtime error when preferences confirmed

commit e97ec4a453d3fb439027ac68e3b8675fb5ecabc6
Author: Jiří Techet <techet@gmail.com>
Date:   Fri May 16 00:37:44 2025 +0200

    filebrowser: Eliminate runtime error when preferences confirmed
    
    Steps to reproduce:
    1. Start Geany and make sure that the file browser plugin is loaded
    and that the Files tab hasn't been shown yet (some other tab is displayed
    after Geany start)
    2. Open Plugin Preferences and confirm it with OK.
    3. In the terminal you get
    
    (geany:942499): GLib-CRITICAL **: 00:36:11.316: g_file_test: assertion 'filename != NULL' failed
    
    This happens because when the Files tab isn't shown, the current_dir
    isn't updated and is still set to NULL when the preferences dialog appears.

 plugins/filebrowser.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 876242d8bb754afd17a60c6871a1a05861970114
Author: Jiří Techet <techet@gmail.com>
Date:   Wed May 14 22:30:54 2025 +0200

    Make sure that parents appear before their children when constructing symbol tree (#4063)
    
    The symbol tree construction code assumes that tag parents appear before
    their children. At the moment tag list is sorted by line numbers which
    works for C structs
    
    struct Foo {
        int bar;
        int baz;
    }
    
    where the tag Foo (which is a parent of bar and baz) is sorted before bar
    and baz. However, this doesn't work when the name of the struct (or
    a variable of an anonymous struct) follows the struct members such as
    in the following SystemVerilog example:
    
    struct packed {
        byte s_a, s_b, s_c;
        string s_str;
    } s_member;
    
    Here the members are sorted before the parent and the symbol tree
    construction code doesn't work correctly.
    
    This patch sorts symbols so that parents are sorted before their
    members - only if tags aren't in a parent-child relationship the original
    sorting by line is performed.
    
    Fixes #4060.
    
    Co-authored-by: Colomban Wendling <lists.ban@herbesfolles.org>

 src/symbols.c | 52 +++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 51 insertions(+), 1 deletion(-)

commit 1bf0e8f0a308a0a254c62477bc2991001bff505f
Merge: c254e4e81 56fcf568a
Author: Jiří Techet <techet@gmail.com>
Date:   Wed May 14 12:47:18 2025 +0200

    Merge pull request #4098 from techee/search_dlg_size
    
    Improve search/replace dialog sizing under various locales

commit d3330b1684b438c9d5f84ee55f5b874e875658d5
Author: Jiří Techet <techet@gmail.com>
Date:   Sun May 11 15:48:55 2025 +0200

    toml: add lexer support for highlighting unterminated strings

 data/filedefs/filetypes.toml         |  1 +
 scintilla/lexilla/include/SciLexer.h |  1 +
 scintilla/lexilla/lexers/LexTOML.cxx | 12 ++++++++++++
 src/highlighting.c                   |  3 ++-
 src/highlightingmappings.h           |  5 +++--
 5 files changed, 19 insertions(+), 3 deletions(-)

commit e28e6abd58b8c3c940037c5f234d13f0579d9682
Author: Jiří Techet <techet@gmail.com>
Date:   Sun May 11 15:51:31 2025 +0200

    zig: add lexer support for highlighting unterminated strings

 data/filedefs/filetypes.zig          |  1 +
 scintilla/lexilla/include/SciLexer.h |  1 +
 scintilla/lexilla/lexers/LexZig.cxx  | 13 +++++++++++++
 src/highlighting.c                   |  3 ++-
 src/highlightingmappings.h           |  3 ++-
 5 files changed, 19 insertions(+), 2 deletions(-)

commit bdf6be6398bb274ac313fdbc6da7474c24f45f80
Author: Jiří Techet <techet@gmail.com>
Date:   Sun May 11 15:50:59 2025 +0200

    nix: add lexer support for highlighting unterminated strings

 data/filedefs/filetypes.nix          |  1 +
 scintilla/lexilla/include/SciLexer.h |  1 +
 scintilla/lexilla/lexers/LexNix.cxx  | 13 +++++++++++++
 src/highlighting.c                   |  3 ++-
 src/highlightingmappings.h           |  1 +
 5 files changed, 18 insertions(+), 1 deletion(-)

commit da685eeb422749a9a0ac741552daaa7e8accda31
Author: Jiří Techet <techet@gmail.com>
Date:   Sun May 11 15:50:12 2025 +0200

    dart: add lexer support for highlighting unterminated strings

 data/filedefs/filetypes.dart         |  1 +
 scintilla/lexilla/include/SciLexer.h |  1 +
 scintilla/lexilla/lexers/LexDart.cxx | 13 +++++++++++++
 src/highlighting.c                   |  3 ++-
 src/highlightingmappings.h           |  1 +
 5 files changed, 18 insertions(+), 1 deletion(-)

commit c254e4e81bfe2479848b62eefd92eb26e489a302
Merge: d6eedb6b7 c340e2d6f
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sun Apr 27 19:48:54 2025 +0200

    Merge pull request #4287 from strepon/update-czech
    
    Update Czech localization

commit d6eedb6b7bb9352bf750e4fc24128d74fda7c1dd
Merge: 7833f6401 543d95590
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Apr 27 19:41:03 2025 +0200

    Merge pull request #4250 from Pynckels/print-external
    
    Add %d %e %p to print_external, align meaning of %f with build

commit 543d9559084154439d73f95dfa41d2eaec35fac0
Author: Pynckels <filip.pynckels@telenet.be>
Date:   Thu Apr 24 16:13:06 2025 +0200

    Add %d %e %p to print_external, align meaning of %f with build

 .gitignore     |   1 +
 src/build.c    |  66 ++-----------------------
 src/printing.c |   6 +--
 src/utils.c    | 148 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/utils.h    |   4 ++
 5 files changed, 160 insertions(+), 65 deletions(-)

commit 7833f640114bc4596d52c2575cace99202aa1102
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Wed Apr 23 21:13:26 2025 +0200

    Small update of German translation

 po/de.po | 2711 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 1435 insertions(+), 1276 deletions(-)

commit 31b4fae468068aa378c29e3194c5c40313ee5481
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Wed Apr 23 21:04:16 2025 +0200

    Update of Brazilian Portuguese translation

 po/pt_BR.po | 3217 +++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1680 insertions(+), 1537 deletions(-)

commit c340e2d6f19275f984f6b6c8bb5e159aea109973
Author: Stanislav Horacek <stanislav.horacek@gmail.com>
Date:   Sun Apr 6 22:06:11 2025 +0200

    update Czech localization

 po/cs.po | 110 +++++++++++++++++++++------------------------------------------
 1 file changed, 36 insertions(+), 74 deletions(-)

commit 6a266bff0f70199a727aaabea0cf0b6e94c68ae3
Merge: 230e2e886 4c5363c7b
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Mar 23 22:44:13 2025 +0100

    Merge pull request #4278 from techee/multipaste
    
    Allow pasting and autocompletion for multiple cursors

commit 4c5363c7b0638dfa6546fd1b5c0c09ddbae960ff
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Mar 23 10:16:01 2025 +0100

    Allow pasting and autocompletion for multiple cursors
    
    Without this, when having a column mode caret, paste only inserts
    the text into the primary cursor position but not to all of them.
    
    Similarly, without the patch, autocomplete only works for the primary
    cursor position only.
    
    Fixes #625.
    
    Closes #2328.

 src/editor.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 230e2e8861516e877ef3ba22222cc5afa01f216b
Merge: 045d28bfc 68918428b
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Mar 23 08:53:26 2025 +0100

    Merge pull request #4044 from techee/themes
    
    Add themes from geany-themes

commit 68918428bffd811320fe7939450e3cb0ce7a4502
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Nov 13 22:20:28 2024 +0100

    Add themes from geany-themes
    
    This patch:
    - adds a scripts/update-themes.py script copying themes with compatible
      licenses (themes with no explicit license are skipped for now)
    - copies these themes under data/colorschemes
    - adds lgpl-2.0.txt, lgpl-2.1.txt to data/colorschemes to
      cover themes not falling under Geany's GPL 2.0 or later
    
    Fixes #4035.

 data/Makefile.am                         |  47 ++-
 data/colorschemes/abc-dark.conf          | 120 ++++++++
 data/colorschemes/abc-light.conf         | 120 ++++++++
 data/colorschemes/alt.conf               |  23 +-
 data/colorschemes/bespin.conf            | 121 ++++++++
 data/colorschemes/black.conf             | 125 ++++++++
 data/colorschemes/carbonfox.conf         | 114 +++++++
 data/colorschemes/cyber-sugar.conf       | 135 +++++++++
 data/colorschemes/darcula.conf           | 149 +++++++++
 data/colorschemes/dark-colors.conf       | 136 +++++++++
 data/colorschemes/dark-fruit-salad.conf  | 121 ++++++++
 data/colorschemes/dark.conf              | 120 ++++++++
 data/colorschemes/delt-dark.conf         | 106 +++++++
 data/colorschemes/earthsong.conf         | 120 ++++++++
 data/colorschemes/epsilon.conf           | 119 ++++++++
 data/colorschemes/evg-ega-dark.conf      | 148 +++++++++
 data/colorschemes/gedit.conf             | 120 ++++++++
 data/colorschemes/github.conf            | 122 ++++++++
 data/colorschemes/grey8.conf             | 116 +++++++
 data/colorschemes/hacker.conf            | 116 +++++++
 data/colorschemes/himbeere.conf          | 135 +++++++++
 data/colorschemes/inkpot.conf            | 118 ++++++++
 data/colorschemes/kugel.conf             | 132 ++++++++
 data/colorschemes/kurayami.conf          | 153 ++++++++++
 data/colorschemes/lgpl-2.0.txt           | 480 +++++++++++++++++++++++++++++
 data/colorschemes/lgpl-2.1.txt           | 501 +++++++++++++++++++++++++++++++
 data/colorschemes/matcha.conf            | 130 ++++++++
 data/colorschemes/mc.conf                | 117 ++++++++
 data/colorschemes/metallic-bottle.conf   | 115 +++++++
 data/colorschemes/notepad-plus-plus.conf | 122 ++++++++
 data/colorschemes/oblivion2.conf         | 120 ++++++++
 data/colorschemes/octagon.conf           | 136 +++++++++
 data/colorschemes/one-dark.conf          | 148 +++++++++
 data/colorschemes/pygments.conf          | 131 ++++++++
 data/colorschemes/retro.conf             | 115 +++++++
 data/colorschemes/sleepy-pastel.conf     | 102 +++++++
 data/colorschemes/slushpoppies.conf      | 120 ++++++++
 data/colorschemes/solarized-dark.conf    | 147 +++++++++
 data/colorschemes/solarized-light.conf   | 147 +++++++++
 data/colorschemes/spyder-dark.conf       | 118 ++++++++
 data/colorschemes/steampunk.conf         | 123 ++++++++
 data/colorschemes/tango-dark.conf        | 130 ++++++++
 data/colorschemes/tango-light.conf       | 120 ++++++++
 data/colorschemes/tinge.conf             | 128 ++++++++
 data/colorschemes/ubuntu.conf            | 116 +++++++
 data/colorschemes/underthesea.conf       | 114 +++++++
 data/colorschemes/vibrant-ink.conf       | 123 ++++++++
 doc/making-a-release                     |   3 +
 scripts/update-themes.py                 | 119 ++++++++
 49 files changed, 6558 insertions(+), 3 deletions(-)

commit 045d28bfc3b7f0e6a85ef080094e663b208fee0f
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Feb 23 18:05:09 2025 +0100

    Add new filetype and ctags parser for Terraform HCL language (#4246)

 ctags/Makefile.am                |  1 +
 ctags/optlib/terraform.c         | 88 ++++++++++++++++++++++++++++++++++++++++
 data/Makefile.am                 |  1 +
 data/filedefs/filetypes.HCL.conf | 39 ++++++++++++++++++
 data/filetype_extensions.conf    |  1 +
 meson.build                      |  1 +
 src/tagmanager/tm_parser.c       | 18 ++++++++
 src/tagmanager/tm_parser.h       |  1 +
 src/tagmanager/tm_parsers.h      |  3 +-
 tests/ctags/Makefile.am          |  1 +
 tests/ctags/simple.tf            | 29 +++++++++++++
 tests/ctags/simple.tf.tags       | 12 ++++++
 tests/meson.build                |  1 +
 13 files changed, 195 insertions(+), 1 deletion(-)

commit 2eb4b6c70ad2fab2cae6da25a2cdf0e30c5c4b14
Merge: 6a674d4cf 0e8f06e8a
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Feb 18 13:15:02 2025 +0100

    Merge pull request #4242 from b4n/doxygiwarn
    
    Silence spurious undocumented warnings when generating GI

commit 6a674d4cfb1cf74cbccd38403e13670655dabb24
Merge: 707ad9799 838795b72
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Feb 18 13:14:12 2025 +0100

    Merge pull request #4247 from techee/param_doc
    
    pluginextension: Add basic parameter documentation to avoid doxygen
    warnings.

commit 838795b7295fd69c34bb45361a9f56aae0161a83
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Feb 17 17:54:17 2025 +0100

    pluginextension: Add basic parameter documentation to avoid doxygen warnings

 src/pluginextension.c | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 707ad9799f5ad07473277ae3000c39d69973a063
Merge: 0282e55d0 6010c380b
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Feb 17 01:56:54 2025 +0100

    Merge pull request #4241 from b4n/meson-deprecated
    
    meson: Stop using features deprecated in our base target version

commit 0282e55d04f0c43068aa91adfd8064af8c7b3c48
Merge: 528b1a252 7f253f99e
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Feb 17 01:50:33 2025 +0100

    Merge pull request #4243 from b4n/ci-ubuntu
    
    CI: Update to Ubuntu 22.04 runners as 20.04 are getting deprecated

commit 7f253f99e7461438c23350dc1cfd8536767e5cae
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed Feb 12 12:19:17 2025 +0100

    CI: Update to Ubuntu 22.04 runners as 20.04 are getting deprecated
    
    See https://github.com/actions/runner-images/issues/11101

 .github/workflows/build.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 528b1a25263124dfc3021d6bb40c0f52179cc57e
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed Feb 12 12:16:01 2025 +0100

    Fix Doxygen markup for a return value

 src/symbols.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 0e8f06e8afa594a2b5247cd07267fdfe1eae8e30
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed Feb 12 10:44:25 2025 +0100

    Silence spurious undocumented warnings when generating GI
    
    Weirdly enough, if the HTML (or possibly LATEX?) output is not
    generated, Doxygen incorrectly warns about all parameters and return
    values not being documented.
    
    Workaround this by disabling undocumented warnings when generating GI
    which only produces XML, and thus triggers the bug.
    
    See https://stackoverflow.com/a/38745256

 doc/Doxyfile.in | 4 ++--
 doc/Makefile.am | 2 ++
 doc/meson.build | 2 ++
 3 files changed, 6 insertions(+), 2 deletions(-)

commit 6010c380b255246bbe743072b4f77fb2e3f42017
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed Feb 12 10:40:33 2025 +0100

    meson: Stop using features deprecated in our base target version
    
    Stop using features deprecated in Meson 0.56, given we depend on it.

 meson.build       | 6 +++---
 tests/meson.build | 8 ++++----
 2 files changed, 7 insertions(+), 7 deletions(-)

commit b6e75c1bb7b427a040e34f0636bc3d848e4ebf7d
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Feb 9 16:34:11 2025 +0100

    Create geany.nsi with Meson

 meson.build | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 909e88ea6bad60708e9048df8363faa453bcda28
Merge: 716c681c0 ff0ce020f
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Feb 6 23:11:42 2025 +0100

    Merge pull request #4231 from techee/meson_test
    
    Add ctags unit test for meson

commit 716c681c0c93506557cff478ae5483c3a53189d3
Merge: 645e9c6a2 8d47a666b
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 6 23:02:55 2025 +0100

    Merge pull request #4232 from techee/regex_unused
    
    regex: Remove unused variable

commit ff0ce020f577d087fde3022d5cb719f0357e5074
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Nov 24 23:31:10 2024 +0100

    Add unit test for meson

 tests/ctags/Makefile.am                |  1 +
 tests/ctags/simple.Meson_unittest      | 48 ++++++++++++++++++++++++++++++++++
 tests/ctags/simple.Meson_unittest.tags | 24 +++++++++++++++++
 tests/meson.build                      |  1 +
 4 files changed, 74 insertions(+)

commit 645e9c6a2526757e164aebce792f2f5a5af1331d
Merge: fd559b914 3f94f5e88
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Feb 6 22:17:41 2025 +0100

    Merge pull request #4226 from b4n/kb-change-kaboom
    
    Fixes keybinding editing after bloopers from #4192.

commit fd559b91434b49ec276a9c94ece7b498b03e49f7
Merge: be86af8f8 a595a37e5
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Feb 6 22:15:26 2025 +0100

    Merge pull request #4225 from b4n/unittest-ext
    
    tests/ctags: Allow testing filetypes with no suffix patterns

commit 8d47a666b806351cb922a3671dd70e521a727e9a
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 6 16:15:48 2025 +0100

    regex: Remove unused variable
    
    clang reports:
    
    ../ctags/gnu_regex/regex_internal.c:697:36: warning: variable 'q' set but not used [-Wunused-but-set-variable]
      697 |                   const unsigned char *raw, *p, *q, *end;

 ctags/gnu_regex/regex_internal.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit be86af8f8012d9085dadc1fdf97f71038c39e5a7
Merge: 416714a74 a949e6952
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Feb 6 01:00:22 2025 +0100

    Merge pull request #4221 from b4n/line-end-pref-sensitive
    
    Fix initial sensitivity of the inconsistent line end pref

commit 416714a74b6e6e51430bd313003d8628d021557c
Merge: 6f33aefb7 196659319
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Feb 6 00:49:11 2025 +0100

    Merge pull request #4228 from techee/kr_fix
    
    Fix some warnings on macOS with clang

commit 1966593193dffdd3d4c908b6fea42bffd7318c66
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 6 00:45:21 2025 +0100

    Fix clang warning in regex.h
    
    Without this patch, clang generates warnings like the below
    because of the clash with the __used attribute:
    
    ./gnu_regex/regex.h:367:3: warning: declaration does not declare anything [-Wmissing-declarations]
      367 |   unsigned long int __REPB_PREFIX(used);
          |   ^~~~~~~~~~~~~~~~~
      CC       optlib/meson.lo
    
    Patch provided by Colomban Wendling, thanks!

 ctags/gnu_regex/regex.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 265e32cc805d84db2f73b36325979c93ed791686
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Feb 5 21:40:23 2025 +0100

    Avoid warning about unused variable when using quartz

 src/socket.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eddaf38690b7e0119e46b5576f5ac0cd3e5ea221
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Feb 5 21:39:53 2025 +0100

    Remove unused variables

 ctags/parsers/geany_lcpp.c | 2 --
 src/filetypes.c            | 2 --
 2 files changed, 4 deletions(-)

commit 6f33aefb7c51e99a7534de44ee97e91d8c23ddf2
Merge: 10efabbbc a253555f4
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Feb 6 00:30:01 2025 +0100

    Merge pull request #4230 from b4n/string-plus-int
    
    Avoid clang string-plus-int warning

commit 10efabbbc8151b384a9c1647b8079a6fe34d267e
Merge: 6ac79a310 018b83e4f
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Feb 5 23:58:04 2025 +0100

    Merge pull request #4205 from techee/win_dark_experiment
    
    Use themed title bar on Windows

commit 6ac79a310c99d10c05967e57cd995e40f138f546
Merge: bebd35400 101bd516d
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Feb 5 23:51:42 2025 +0100

    Merge pull request #4204 from techee/win_scintilla_cursor
    
    Workaround incorrect scaling of "reverse arrow" cursor under Windows and HiDPI screens

commit 018b83e4fd4e286d873984a976acb587c5ef4aea
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Jan 11 22:55:32 2025 +0100

    Use themed title bar on Windows
    
    Based on a patch from @GabrielFrigo4. Thanks!
    
    Modified to connect to the realized signal using
    a patch from Colomban Wendling. Thanks!

 src/search.c   | 13 +++++++++++++
 src/ui_utils.c |  5 +++++
 src/win32.c    | 38 ++++++++++++++++++++++++++++++++++++++
 src/win32.h    |  2 ++
 4 files changed, 58 insertions(+)

commit bebd354001729f05c0b7012d6350640f3acfa7d5
Merge: be946d5d0 aeb2c5ed7
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Feb 5 22:52:47 2025 +0100

    Merge pull request #4224 from b4n/pref_size
    
    Allow shrinking the preferences dialog again

commit a253555f4b89e459b2e9780d1b479d9657675006
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed Feb 5 22:51:43 2025 +0100

    Avoid clang string-plus-int warning
    
    Some versions of CLang warn when performing pointer arithmetic on
    strings, trying to avoid people thinking `+` is a string concatenation
    operator in C.  It's kind of silly, but given we only seem to have one
    of those instances, just "fix" it using array syntax instead.
    
    Fixes #4229.

 tests/test_encodings.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bcba6305d39e2db9ece500ceeb0a4a9860b677ff
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Feb 5 19:44:07 2025 +0100

    regex: Eliminate K&R function parameter syntax to avoid warnings

 ctags/gnu_regex/regcomp.c | 19 +++--------
 ctags/gnu_regex/regexec.c | 80 +++++++++++++++--------------------------------
 2 files changed, 30 insertions(+), 69 deletions(-)

commit be946d5d07b5c4582068580d06a3b940c4d378f0
Merge: 43e126597 c5e9d98a2
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Feb 5 18:35:52 2025 +0100

    Merge pull request #4181 from techee/macos_regex
    
    Use builtin regex on macOS for performance reasons

commit c5e9d98a269475dc7b41222b744f14ca657630f2
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Jan 2 22:59:13 2025 +0100

    Use builtin regex on macOS for performance reasons

 configure.ac | 18 +++++++++++-------
 meson.build  |  6 +++++-
 2 files changed, 16 insertions(+), 8 deletions(-)

commit 3f94f5e88262fea5f0c1b1ef72c27bbeb86a4f0a
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed Feb 5 00:41:42 2025 +0100

    prefs: Edit the correct keybinding when there is a filter
    
    When the keybinding list is filtered and the keybinding cell is edited,
    store the value in the correct row instead of the one corresponding to
    the Nth visible one, but in the unfiltered tree.
    
    E.g., if filtering with `redo` it shows only 1 item, and editing it
    should change that one (Edit/Redo), not the first of the unfiltered
    list (File/New).
    
    Related-to: #4192

 src/prefs.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit b43827e346a62e6bb1c9eaa02a7bf2f143a01dbc
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed Feb 5 00:33:29 2025 +0100

    prefs: Fix crash changing a keybinding
    
    Fix crash when changing a keybinding using the key input dialog.
    
    Related-to: #4192

 src/prefs.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit a595a37e582a117189d3c2aa6c541bd8d3676cb5
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Feb 3 18:32:51 2025 +0100

    tests/ctags: Allow testing filetypes with no suffix patterns
    
    Filetypes need not have a filename suffix pattern (like e.g. `*.c`),
    but can have other form of patterns (e.g. `Makefile`, `meson.build`,
    etc.), or even no patterns at all.
    
    Such less common patterns make it impossible to match them in
    unittests, as filenames used there need to be of the form `test_*`.
    
    Fix this by adding a fake extension to each filetype that is the name
    of the filetype followed with `_unittest`, e.g. `CMake_unittest` or
    `Meson_unittest`.
    
    Fixes #4074.

 tests/ctags/runner.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit aeb2c5ed7406db3616a820655837bb225c115f05
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Feb 1 23:44:30 2025 +0100

    Allow shrinking the preferences dialog again
    
    Use a more flexible way of setting the default preference window size
    to allow shrinking the window if desired.
    
    Related to #4195.

 data/geany.glade | 1 +
 src/prefs.c      | 1 -
 2 files changed, 1 insertion(+), 1 deletion(-)

commit 43e12659798fabc73e1c141c84261c84b977e48f
Merge: 75cbdf714 6b41a0e6c
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Jan 31 22:12:49 2025 +0100

    Merge pull request #4218 from techee/open_doc_warning_fix
    
    Re-convert filter_iter after removing/re-adding iter from/to store

commit 6b41a0e6cdecf7656e290c8ae0c67bb1f7cb6915
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Jan 28 00:19:08 2025 +0100

    Re-convert filter_iter after removing/re-adding iter from/to store
    
    By
    
    openfiles_remove(doc);
    sidebar_openfiles_add(doc);
    
    doc->priv->iter (which is pointed to by iter) is re-created. This
    invalidates filter_iter which has to be re-converted from iter to
    avoid runtime warning.

 src/sidebar.c | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit 75cbdf714039eba3d02fe35dc132f5ccd1b436c4
Merge: 1f6590a6c 85dd68883
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Jan 31 00:22:50 2025 +0100

    Merge pull request #4217 from techee/glade_save
    
    Re-save geany.glade with Glade

commit a949e69524c6e467ed74075a0ffc7c12b3a510c8
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Jan 31 00:16:19 2025 +0100

    Fix initial sensitivity of the inconsistent line end pref

 src/prefs.c | 1 +
 1 file changed, 1 insertion(+)

commit 85dd688836019b8d52594b3ea286e007e6732420
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jan 26 22:18:10 2025 +0100

    Re-save geany.glade with Glade
    
    Seems to always generate this set of diffs (which are possibly a result
    of merging some old PRs made with older Glade version).

 data/geany.glade | 33 ++++++++++++++++-----------------
 1 file changed, 16 insertions(+), 17 deletions(-)

commit 1f6590a6c941cbd4038058778b331a4e74dcde72
Merge: 3bd3acf35 bb6bfdffa
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jan 26 22:14:00 2025 +0100

    Merge pull request #4210 from techee/doc_filter
    
    Add filter for open documents sidebar item

commit bb6bfdffaf9550a3e5da9d6a74146987c586c7f9
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Jan 22 11:55:13 2025 +0100

    Document the filtering feature
    
    The documentation just refers to the Symbols tab documentation which is
    more or less identical so there's no need of duplicated text.

 doc/geany.txt | 1 +
 1 file changed, 1 insertion(+)

commit f54843ac4f341774bb44245791e1f0e86e717cc5
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Jan 20 16:59:35 2025 +0100

    Remove redundant sidebar_openfiles_select()
    
    There is already sidebar_select_openfiles_item() which does more or less
    the same (plus tree expanding and scrolling to the given item which
    we probably always want).

 src/document.c |  2 +-
 src/sidebar.c  | 19 +------------------
 src/sidebar.h  |  2 --
 3 files changed, 2 insertions(+), 21 deletions(-)

commit 74d3b271fbb2e1ba63239f84e166557720f43794
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jan 19 20:54:46 2025 +0100

    Add code for filtering document tree

 data/geany.glade | 40 ++++++++++++++++++++++++++++-----
 src/callbacks.c  | 31 ++++++++++++++++++++++++++
 src/callbacks.h  |  6 +++++
 src/sidebar.c    | 68 +++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 src/sidebar.h    |  2 ++
 5 files changed, 141 insertions(+), 6 deletions(-)

commit 3bd3acf35b463e9219017dc4a4c2ee5d563f7260
Merge: c1e25dafd 433ef5515
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jan 26 21:15:00 2025 +0100

    Merge pull request #4199 from techee/glib_version
    
    Bump required glib version to 2.56

commit c1e25dafd6f2ae270f082caccb1a1188cc57b883
Merge: eb5c3fb35 93c9ea64f
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Jan 26 17:29:50 2025 +0100

    Merge pull request #4209 from eht16/saveactions_fix_new_files_from_cli
    
    SaveActions: Ignore files open from CLI for InstantSave and PUD

commit 7c19704c186b10828be9513f320a516c5bc2c6c6
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jan 19 20:37:48 2025 +0100

    Move code for selecting document in sidebar to sidebar.c
    
    This removes the internal logic from document.c and moves it to sidebar.c
    where it belongs.

 src/document.c | 16 +---------------
 src/sidebar.c  | 17 +++++++++++++++++
 src/sidebar.h  |  2 ++
 3 files changed, 20 insertions(+), 15 deletions(-)

commit b2e70fd16b678f2954e54ed84eef0df1b7c22ad8
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jan 19 20:31:07 2025 +0100

    Set GtkTreeModelFilter as a model for document tree
    
    This commit doesn't perform any filtering yet - it only uses
    GtkTreeModelFilter and makes sure that existing functionality works
    as before.
    
    The reason for the additional changes is the fact that some tree operations
    work on top of GtkTreeIter/GtkTreePath referring the filtered model
    (typically "visual" things like item selection or expanding/collapsing)
    while other operations work on top of the original model/store - typically
    insertions/deletions/modifications of the stored data. When needed,
    conversions from one type of iterator/path to the other were added.

 src/document.c |  14 +++++--
 src/sidebar.c  | 116 ++++++++++++++++++++++++++++++++++++++++++---------------
 src/sidebar.h  |   2 +
 3 files changed, 99 insertions(+), 33 deletions(-)

commit eb5c3fb35110c21d7e28a88c24a8606013b24d3d
Merge: 1206c1bb0 6dbcd514c
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Jan 19 15:25:22 2025 +0100

    Merge pull request #4192 from eht16/issue2848_add_filter_for_keybindings
    
    Add filter for keybindings in preferences dialog

commit 6dbcd514c5f86c016c631bbb4423085290321034
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Jan 5 11:03:08 2025 +0100

    Preferences: Retitle assign keybinding dialog title
    
    Related to #4185.

 src/prefs.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 54d67e308394a5d88ed52515d101f786ed5f22a7
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Jan 5 11:02:21 2025 +0100

    Plugin Manager: Bind Ctrl-F shortcut to focus the filter entry

 src/plugins.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 71f5865f080dd370d87dbab5987ea3749f352212
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Jan 5 11:01:39 2025 +0100

    Preferences: add filter entry for keybindings
    
    Closes #2848.

 data/geany.glade |  18 ++++++++-
 src/prefs.c      | 121 +++++++++++++++++++++++++++++++++++++++++++++++++++----
 2 files changed, 129 insertions(+), 10 deletions(-)

commit 93c9ea64fd78bd138444dc13924d2438a3012d10
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Jan 19 12:52:39 2025 +0100

    SaveActions: Ignore files open from CLI for InstantSave and PUD
    
    When opening new files via command line, those files should be
    ignored by Instant Save and Persistent Untitled Documents to
    not override the provided filename and should not be treated
    as new files.

 plugins/saveactions.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1206c1bb035157963e46469bf3d0ab34494b8cf1
Merge: 49b3bdc6a 53a09b5b8
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Jan 15 16:08:55 2025 +0100

    Merge pull request #4195 from techee/pref_size
    
    Set some reasonable minimum width for the preferences dialog

commit 49b3bdc6a7d9009b61c80cfde6222d7767006331
Merge: 89c036a98 5350136b4
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Jan 15 15:12:52 2025 +0100

    Merge pull request #4095 from techee/scss
    
    Add support for SCSS/LESS

commit 89c036a98d419b543d9f506524cf2eaf81ca6c6b
Merge: 5f0b74661 cd097ad14
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Jan 15 15:12:18 2025 +0100

    Merge pull request #3934 from techee/toml
    
    Add TOML support

commit 101bd516de3da8f3e47056aa72cdbbaf5685fa60
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Jan 14 22:21:24 2025 +0100

    Workaround incorrect scaling of "reverse arrow" cursor under Windows and HiDPI screens
    
    The GDK_RIGHT_PTR cursor is provided only by GTK - there's no native
    Windows cursor of this shape so GTK renders the cursor by itself from
    the cursor theme bitmap. The code doing this is apparently buggy and
    does not take into account HiDPI screens so on a screen with 300% scaling,
    the cursor is 3x smaller.
    
    Workaround this by using GDK_HAND2 which maps to a native Windows cursor
    that doesn't suffer from this problem.
    
    See https://sourceforge.net/p/scintilla/bugs/2460/

 scintilla/gtk/PlatGTK.cxx | 6 ++++++
 1 file changed, 6 insertions(+)

commit 433ef5515eb7f420b24a4ca69b9ea4f7d977b504
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Jan 9 11:10:58 2025 +0100

    Replace deprecated GTrashStack with GSList
    
    Using GTrashStack after the glib version bump produces warnings now.
    Replace it with GSList (as GTrashStack is a list internally anyway and
    in fact, GTrashStack wasn't used in Geany for its intended purpose; for
    undo/redo Geany just needs a stack-like behavior).

 src/document.c        | 54 +++++++++++++++++++++++++++++++++------------------
 src/documentprivate.h |  4 ++--
 2 files changed, 37 insertions(+), 21 deletions(-)

commit 8280bc2c32485083e79aa88b3369790c38d372fd
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Jan 9 11:07:39 2025 +0100

    Bump required glib version to 2.56
    
    Also remove now unneeded GLIB_CHECK_VERSION() checks.

 m4/geany-gtk.m4               |  6 +++---
 meson.build                   |  6 +++---
 src/libmain.c                 | 11 -----------
 src/spawn.c                   |  4 ----
 src/tagmanager/tm_workspace.c | 25 -------------------------
 5 files changed, 6 insertions(+), 46 deletions(-)

commit 720b79a112a2199d6668ee45d3aa87c12514b4f8
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Jan 8 18:44:39 2025 +0100

    Add adwaita-icon-theme-legacy package

 scripts/gtk-bundle-from-msys2.sh | 2 ++
 1 file changed, 2 insertions(+)

commit c7f592e1760832b9651bb4233c8fcfbd8384ca03
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jan 5 21:06:43 2025 +0100

    Make toolbar icons small by default
    
    This makes the toolbar icons look more similar to other
    Windows applications.

 scripts/gtk-bundle-from-msys2.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cd097ad1495156079ee48b7890e7acb76e7bb594
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Nov 26 20:03:22 2024 +0100

    Move languages without strings to the end of the switch

 src/highlighting.c | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 573b8e158b0459c1023ed9da2371828910ce2368
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Aug 16 14:14:18 2024 +0200

    iniconf: some adjustments for parsing TOML
    
    This patch:
    
    - allows . and - in keys
    - improve parsing of TOML [[arrays_of_tables]]
    - adds support for 'single quoted keys' = true and
      "double quoted keys" = true
    
    See https://github.com/universal-ctags/ctags/pull/4099

 ctags/parsers/iniconf.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 606f65b458e0436c6a5a17617352c68aa20fd324
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Aug 13 15:21:55 2024 +0200

    Add TOML support
    
    This commit adds TOML configuration language support to Geany. It uses
    the recently merged Scintilla TOML lexer; for ctags parsing it uses
    the conf file parser which works reasonably well for TOML as well.
    
    See https://github.com/ScintillaOrg/lexilla/pull/261
    
    Fixes #1268

 data/Makefile.am                     |   1 +
 data/filedefs/filetypes.toml         |  57 +++++
 data/filetype_extensions.conf        |   1 +
 meson.build                          |   1 +
 scintilla/Makefile.am                |   1 +
 scintilla/lexilla/lexers/LexTOML.cxx | 482 +++++++++++++++++++++++++++++++++++
 scintilla/lexilla/src/Lexilla.cxx    |   1 +
 scintilla/scintilla_changes.patch    |   3 +-
 src/filetypes.c                      |   1 +
 src/filetypes.h                      |   1 +
 src/highlighting.c                   |  11 +
 src/highlightingmappings.h           |  27 ++
 12 files changed, 586 insertions(+), 1 deletion(-)

commit 5f0b746613c87095ff4670929bb356092da43f17
Merge: f38709bd9 631c5d775
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Jan 8 13:16:25 2025 +0100

    Merge pull request #4168 from techee/scintilla_update
    
    Update to Scintilla 5.5.4 and Lexilla 5.4.2

commit 53a09b5b8f99ffe76b4312c324556e9552eecc2a
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jan 5 19:54:23 2025 +0100

    Set some reasonable minimum width for the preferences dialog

 src/prefs.c | 1 +
 1 file changed, 1 insertion(+)

commit f38709bd967c8021771942972c7b0dcfa4ccb20c
Merge: 518fc6ea9 d3cb1f16b
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jan 5 14:28:57 2025 +0100

    Merge pull request #4069 from techee/geany_quit_signal
    
    Add the geany-before-quit signal emitted before Geany is quitting

commit d3cb1f16bb275147edaf98a49fdf7b7104c90a97
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Nov 23 17:28:52 2024 +0100

    Remove misleading main_status.quitting assignment
    
    main_status.quitting = TRUE is already set in main_quit() which is the
    only caller of do_main_quit() and the assignment here makes the
    false impression it isn't set for the code above it.

 src/libmain.c | 2 --
 1 file changed, 2 deletions(-)

commit 012ce4029c1de65618ac5d2757fa296f168c23a6
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Nov 23 12:12:41 2024 +0100

    Add the geany-before-quit signal emitted before Geany is quitting

 doc/pluginsignals.c | 12 ++++++++++++
 src/geanyobject.c   |  6 ++++++
 src/geanyobject.h   |  1 +
 src/libmain.c       |  2 ++
 src/plugindata.h    |  2 +-
 5 files changed, 22 insertions(+), 1 deletion(-)

commit 518fc6ea99b64bce595f0b16be99e5d70d5e1ad9
Merge: e76af66ae fed6542c3
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Jan 5 11:44:44 2025 +0100

    Merge pull request #4190 from eht16/windows_gtk_bundle_curl_retry
    
    Windows: Let "curl" retry package downloads and show errors

commit 54551a2879e61fc43b59029406a8684f85df69db
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Jan 5 10:59:05 2025 +0100

    Move UTF-8 capable sub string matching from plugin manager to utils

 src/plugins.c | 44 +-------------------------------------------
 src/utils.c   | 48 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/utils.h   |  2 ++
 3 files changed, 51 insertions(+), 43 deletions(-)

commit e76af66aec5b4e941444b3d3b490b755576456bb
Merge: ddcfcbd8a 015e488fe
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Jan 5 11:34:44 2025 +0100

    Merge pull request #4088 from eht16/windows_add_new_dependencies
    
    Windows add new dependencies

commit 015e488fed9b91e837a6197a4d9cd469ba4e8c78
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Thu Jan 2 17:53:13 2025 +0100

    Windows: Add "shared-mime-info" dependency to GTK bundle

 scripts/gtk-bundle-from-msys2.sh | 2 ++
 1 file changed, 2 insertions(+)

commit af3ac3d1dc171012b94f28f80dc2758ec752c0b5
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Wed Jan 1 13:56:40 2025 +0100

    Revert "CI: Copy used C++ runtime library into the GTK bundle"
    
    This reverts commit 354c7ba4e66803f16d9e0452b7829d47cb742587.
    After upgrading the Docker base image to Debian Trixie and so using
    newer cross compiler toolchain versions, this hack might not be
    necessary any longer.

 scripts/ci_mingw64_geany.sh | 7 -------
 1 file changed, 7 deletions(-)

commit 53c6ebbd119d0eb16bb49553a2ad1d7890410167
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sat Nov 30 12:41:37 2024 +0100

    Windows: Include gspawn-win64-helper*.exe binaries into GTK bundle

 scripts/gtk-bundle-from-msys2.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ad9446759a71214b7b63517a42b4df329a829bb5
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sat Nov 30 12:41:11 2024 +0100

    Windows: Add new dependencies to GTK bundle
    
    Closes #4084.

 scripts/gtk-bundle-from-msys2.sh | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit ddcfcbd8a5217486087a26efd2fb832c76adf258
Merge: 3eeb361b6 4cf437f31
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Jan 4 19:38:22 2025 +0100

    Merge pull request #4096 from techee/search_focus
    
    Focus the search/replace dialog after the wrap dialog is dismissed

commit fed6542c3528d1b913fafed7dc0510ca1789be42
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sat Jan 4 15:04:54 2025 +0100

    Windows: Let "curl" retry package downloads and show errors

 scripts/gtk-bundle-from-msys2.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3eeb361b6a2e29cdbc473cf4dc277cbe5b23283b
Merge: 2e8456a00 bb1ebf675
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Fri Dec 27 14:26:21 2024 +0100

    Merge pull request #3820 from ntrel/doc-search
    
    [docs] Add Document List tips

commit 631c5d7752cd3ee5beafb0d7f931ac273ca11d32
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Dec 22 22:36:22 2024 +0100

    Update HACKING with Lexilla update in addition to Scintilla

 HACKING | 22 ++++++++++++----------
 1 file changed, 12 insertions(+), 10 deletions(-)

commit 2e8456a00fffc00a128a184c4b5a966848a0b4d0
Merge: 7a017c764 6840f130e
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Dec 22 20:10:24 2024 +0100

    Merge pull request #4149 from techee/date_dialog_width
    
    Make the label in custom date format dialog shorter

commit 72fa1b457e932bb70c3380f157792a1b36ad9cb5
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Dec 20 23:34:35 2024 +0100

    Add mappings for newly introduced styles
    
    Also fixes incorrectly spelled (wrt. the config file) SCE_RUST_BYTESTRINGR
    name.

 data/filedefs/filetypes.html | 2 +-
 data/filedefs/filetypes.rust | 2 ++
 src/highlighting.c           | 4 ++++
 src/highlightingmappings.h   | 8 ++++++--
 4 files changed, 13 insertions(+), 3 deletions(-)

commit 68b6a36f9d0f692cb40806ebce3e9ed9e49251f2
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Dec 20 22:38:16 2024 +0100

    Update to Scintilla 5.5.4 and Lexilla 5.4.2

 meson.build                                    |   4 +
 scintilla/Makefile.am                          |   4 +
 scintilla/gtk/PlatGTK.cxx                      |  30 +-
 scintilla/gtk/ScintillaGTK.cxx                 |  14 +-
 scintilla/gtk/ScintillaGTK.h                   |   2 +-
 scintilla/include/ILoader.h                    |  13 +
 scintilla/include/Scintilla.h                  |  42 +-
 scintilla/include/Scintilla.iface              | 102 ++-
 scintilla/include/ScintillaCall.h              |  41 +-
 scintilla/include/ScintillaMessages.h          |  27 +
 scintilla/include/ScintillaTypes.h             |  16 +
 scintilla/lexilla/include/Lexilla.h            |  16 +-
 scintilla/lexilla/include/SciLexer.h           |   2 +
 scintilla/lexilla/lexers/LexAU3.cxx            |   2 +-
 scintilla/lexilla/lexers/LexAbaqus.cxx         |   2 +-
 scintilla/lexilla/lexers/LexAda.cxx            |   2 +-
 scintilla/lexilla/lexers/LexAsciidoc.cxx       |   2 +-
 scintilla/lexilla/lexers/LexAsm.cxx            |  89 ++-
 scintilla/lexilla/lexers/LexBash.cxx           |  86 ++-
 scintilla/lexilla/lexers/LexBasic.cxx          |   6 +-
 scintilla/lexilla/lexers/LexBatch.cxx          |  74 ++-
 scintilla/lexilla/lexers/LexCIL.cxx            |   2 +-
 scintilla/lexilla/lexers/LexCOBOL.cxx          | 262 ++++----
 scintilla/lexilla/lexers/LexCPP.cxx            | 313 +++++----
 scintilla/lexilla/lexers/LexCSS.cxx            |   2 +-
 scintilla/lexilla/lexers/LexCaml.cxx           |   2 +-
 scintilla/lexilla/lexers/LexCmake.cxx          |   2 +-
 scintilla/lexilla/lexers/LexCoffeeScript.cxx   |   2 +-
 scintilla/lexilla/lexers/LexD.cxx              |   5 +-
 scintilla/lexilla/lexers/LexDart.cxx           |   2 +-
 scintilla/lexilla/lexers/LexDiff.cxx           |   2 +-
 scintilla/lexilla/lexers/LexErlang.cxx         |   2 +-
 scintilla/lexilla/lexers/LexForth.cxx          |   2 +-
 scintilla/lexilla/lexers/LexFortran.cxx        |   4 +-
 scintilla/lexilla/lexers/LexGDScript.cxx       |   7 +-
 scintilla/lexilla/lexers/LexHTML.cxx           | 690 ++++++++++++--------
 scintilla/lexilla/lexers/LexHaskell.cxx        |   4 +-
 scintilla/lexilla/lexers/LexJulia.cxx          |   7 +-
 scintilla/lexilla/lexers/LexLaTeX.cxx          |   2 +-
 scintilla/lexilla/lexers/LexLisp.cxx           |   2 +-
 scintilla/lexilla/lexers/LexLua.cxx            | 419 ++++++++----
 scintilla/lexilla/lexers/LexMake.cxx           |   2 +-
 scintilla/lexilla/lexers/LexMarkdown.cxx       |   2 +-
 scintilla/lexilla/lexers/LexMatlab.cxx         |   4 +-
 scintilla/lexilla/lexers/LexNim.cxx            |   2 +-
 scintilla/lexilla/lexers/LexNsis.cxx           |   2 +-
 scintilla/lexilla/lexers/LexNull.cxx           |   2 +-
 scintilla/lexilla/lexers/LexPO.cxx             |   2 +-
 scintilla/lexilla/lexers/LexPascal.cxx         |   2 +-
 scintilla/lexilla/lexers/LexPerl.cxx           |  90 ++-
 scintilla/lexilla/lexers/LexPowerShell.cxx     |   2 +-
 scintilla/lexilla/lexers/LexProps.cxx          |  50 +-
 scintilla/lexilla/lexers/LexPython.cxx         | 197 +++---
 scintilla/lexilla/lexers/LexR.cxx              |   5 +-
 scintilla/lexilla/lexers/LexRaku.cxx           |   7 +-
 scintilla/lexilla/lexers/LexRuby.cxx           |  29 +-
 scintilla/lexilla/lexers/LexRust.cxx           | 152 +++--
 scintilla/lexilla/lexers/LexSQL.cxx            | 115 ++--
 scintilla/lexilla/lexers/LexSmalltalk.cxx      |  13 +-
 scintilla/lexilla/lexers/LexTCL.cxx            |   2 +-
 scintilla/lexilla/lexers/LexTxt2tags.cxx       |   2 +-
 scintilla/lexilla/lexers/LexVHDL.cxx           |   2 +-
 scintilla/lexilla/lexers/LexVerilog.cxx        |   4 +-
 scintilla/lexilla/lexers/LexVisualProlog.cxx   |   2 +-
 scintilla/lexilla/lexers/LexYAML.cxx           |   2 +-
 scintilla/lexilla/lexers/LexZig.cxx            |   2 +-
 scintilla/lexilla/lexlib/CatalogueModules.h    |   6 +-
 scintilla/lexilla/lexlib/CharacterCategory.cxx | 106 ++-
 scintilla/lexilla/lexlib/CharacterCategory.h   |  12 +-
 scintilla/lexilla/lexlib/CharacterSet.cxx      |  14 +
 scintilla/lexilla/lexlib/CharacterSet.h        |   1 +
 scintilla/lexilla/lexlib/InList.cxx            |  37 ++
 scintilla/lexilla/lexlib/InList.h              |  18 +
 scintilla/lexilla/lexlib/LexAccessor.cxx       |  13 +-
 scintilla/lexilla/lexlib/LexAccessor.h         |   8 +-
 scintilla/lexilla/lexlib/LexerSimple.cxx       |  14 +-
 scintilla/lexilla/lexlib/LexerSimple.h         |   4 +-
 scintilla/lexilla/lexlib/OptionSet.h           |   9 +
 scintilla/lexilla/lexlib/SparseState.h         |   3 +-
 scintilla/lexilla/lexlib/StyleContext.cxx      |   6 +-
 scintilla/lexilla/lexlib/StyleContext.h        |   9 +-
 scintilla/lexilla/lexlib/SubStyles.h           |  23 +-
 scintilla/lexilla/lexlib/WordList.cxx          |  10 +-
 scintilla/lexilla/lexlib/WordList.h            |   4 +-
 scintilla/lexilla/src/Lexilla.cxx              | 282 ++++----
 scintilla/lexilla/version.txt                  |   2 +-
 scintilla/src/AutoComplete.cxx                 |  83 +--
 scintilla/src/AutoComplete.h                   |   5 +-
 scintilla/src/CallTip.cxx                      |  39 +-
 scintilla/src/CallTip.h                        |   2 +-
 scintilla/src/CellBuffer.cxx                   | 551 +++++++---------
 scintilla/src/CellBuffer.h                     | 113 ++--
 scintilla/src/ChangeHistory.cxx                | 157 +++--
 scintilla/src/ChangeHistory.h                  |  30 +-
 scintilla/src/CharacterCategoryMap.cxx         | 106 ++-
 scintilla/src/CharacterCategoryMap.h           |  12 +-
 scintilla/src/Decoration.cxx                   |   1 +
 scintilla/src/Document.cxx                     | 462 ++++++++------
 scintilla/src/Document.h                       |  55 +-
 scintilla/src/EditModel.cxx                    |   1 +
 scintilla/src/EditModel.h                      |   3 +-
 scintilla/src/EditView.cxx                     |  69 +-
 scintilla/src/Editor.cxx                       | 851 +++++++++++++++----------
 scintilla/src/Editor.h                         |  15 +-
 scintilla/src/Geometry.h                       |  40 +-
 scintilla/src/Indicator.cxx                    |   1 +
 scintilla/src/Indicator.h                      |   6 +-
 scintilla/src/KeyMap.cxx                       |   1 +
 scintilla/src/LineMarker.cxx                   |   1 +
 scintilla/src/LineMarker.h                     |   6 +-
 scintilla/src/MarginView.cxx                   |   2 +-
 scintilla/src/Partitioning.h                   |   2 +-
 scintilla/src/PerLine.cxx                      |   1 +
 scintilla/src/Platform.h                       |   7 +-
 scintilla/src/PositionCache.cxx                |  15 +-
 scintilla/src/PositionCache.h                  |   4 +-
 scintilla/src/RESearch.cxx                     | 237 ++++---
 scintilla/src/RESearch.h                       |  25 +-
 scintilla/src/RunStyles.cxx                    |  26 +-
 scintilla/src/ScintillaBase.cxx                |  36 +-
 scintilla/src/ScintillaBase.h                  |   4 +
 scintilla/src/Selection.cxx                    |  49 +-
 scintilla/src/Selection.h                      |  16 +-
 scintilla/src/SparseVector.h                   |   4 +-
 scintilla/src/Style.cxx                        |   9 +-
 scintilla/src/Style.h                          |   1 +
 scintilla/src/UndoHistory.cxx                  | 635 ++++++++++++++++++
 scintilla/src/UndoHistory.h                    | 160 +++++
 scintilla/src/UniConversion.cxx                |  32 +-
 scintilla/src/UniConversion.h                  |  17 +-
 scintilla/src/ViewStyle.cxx                    | 135 ++--
 scintilla/src/ViewStyle.h                      |   1 +
 scintilla/src/XPM.cxx                          |   3 +-
 scintilla/version.txt                          |   2 +-
 134 files changed, 4832 insertions(+), 2785 deletions(-)

commit 56fcf568afb170b34195834b0c8aaa8242ff54d6
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Dec 18 14:54:36 2024 +0100

    Remove now unused ui_hbutton_box_copy_layout()

 src/ui_utils.c | 27 ---------------------------
 src/ui_utils.h |  2 --
 2 files changed, 29 deletions(-)

commit 7a017c764038bcdfcb99db7365c3196fd8aebdbf
Merge: 1e8f519b0 2b03a7c08
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Dec 13 14:27:24 2024 +0100

    Merge pull request #4071 from dkondor/xdg_activation
    
    Pass DESKTOP_STARTUP_ID via the socket to focus window

commit 1e8f519b080adeceb222fa812e5fed67b8ac2b55
Merge: 453ece0e7 19ff75d22
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Dec 13 14:26:37 2024 +0100

    Merge pull request #4148 from techee/powershell_fix
    
    powershell: use the latest parser from ctags supporting herestrings

commit 6840f130e68df9387369dfc3f203b53452b49627
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Dec 11 14:09:52 2024 +0100

    Make the label in custom date format dialog shorter
    
    Fixes #3625.

 src/ui_utils.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 453ece0e730d58958f4c5cf08ee7b091b43cf076
Merge: 397bb5eac b6244c6b4
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Dec 9 12:29:45 2024 +0100

    Merge pull request #4079 from techee/plugin_manager_warning
    
    Fix GTK runtime errors generated by the plugin manager

commit 397bb5eac38b24bbbc3b8c434766dc109af2d7f8
Merge: 2ac0280c0 e6c39c6e9
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Dec 9 12:28:29 2024 +0100

    Merge pull request #4061 from techee/saveactions_str
    
    Split label in saveactions preferences to make the dialog less wide

commit 19ff75d22f6cfcb09e7d3a4ec173a49fb045e157
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Dec 8 18:37:21 2024 +0100

    powershell: use the latest parser from ctags
    
    Fixes 4089.

 ctags/parsers/powershell.c | 67 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 67 insertions(+)

commit 2ac0280c0c7e76304678c613e0021adb01b7cee0
Merge: 5ed56a09f 8ceddadfd
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Dec 7 17:38:58 2024 +0100

    Merge pull request #4099 from techee/pref_wrap_label
    
    Move long label from glade to prefs.c and use geany_wrap_label for it

commit 8ceddadfde2f79dab8a3648e1e1588faa0592c90
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Dec 5 22:19:20 2024 +0100

    Move long label from glade to prefs.c and use geany_wrap_label for it
    
    This is done similarly to other long strings from the prefs dialog.
    Makes the dialog less wide under some locales.

 data/geany.glade | 15 ---------------
 src/prefs.c      |  6 ++++++
 2 files changed, 6 insertions(+), 15 deletions(-)

commit 3b1a11fa080e70256b135bab4fc26a09e425b687
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Dec 5 18:50:34 2024 +0100

    Add padding between the "Find all" expander and "Close dialog" below it
    
    This patch adds 6px between them so they don't appear so close to
    each other.

 src/search.c | 2 ++
 1 file changed, 2 insertions(+)

commit f7088c1d6520d6f1d486e7dfed7a0fcc240bc453
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Dec 5 18:44:52 2024 +0100

    Drop homogenous sizing for checkbox buttons
    
    The hbox into which the 3+3 checkboxes with options are stored
    is spaced homogenously right now. In some locales (German for instance)
    some translation in the first column is much larger than all the
    tranlsations in the second column which with the homogenous sizing
    leads to a lot of wasted space in the second column and too
    wide dialog.
    
    This patch fixes that by dropping the homogenous spacing.

 src/search.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit d0c593693af773ab66eab590a0f04ce2577b117f
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Dec 5 17:47:27 2024 +0100

    Drop homogenous spacing of additional buttons in search/replace dialog
    
    In some languages, the text in the buttons of the search-replace dialog
    is quite long. For instance, in Czech the "In session" button contains
    "Ve všech otevřených dokumentech" (in all open documents). Homogenous
    spacing of all the buttons means that all of them have the width of
    the longest string which makes the search dialog extremely wide.
    
    This patch drops the use of the GtkButtonBox which uses homogenous
    spacing and uses ordinary GtkBox instead. However, to semi-simulate
    the "homogenous" appearance of buttons, the patch sets the minimum
    width of the buttons to 130 so all buttons whose text fits to this
    width have the same size (for most languages I tried, nearly all
    strings fit this width).
    
    Note that the buttons in the action area of the dialog are still
    sized homogenously as I didn't find a way to modify this behavior.
    However, this doesn't seem to be a problem in practice with the
    languages I tested.

 src/search.c | 83 +++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 51 insertions(+), 32 deletions(-)

commit 4cf437f31c7133786642889214c7f48b1e35c935
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Dec 4 21:21:54 2024 +0100

    Remove parent argument from document_find_text() and search_show_wrap_dialog()
    
    Since find/replace dialogs are hidden now when the wrap dialog is
    shown, the parent of the wrap dialog is always the main window and the
    parameter is unnecessary.

 src/document.c | 10 +++++-----
 src/document.h |  2 +-
 src/search.c   | 17 +++++++----------
 src/search.h   |  4 ++--
 4 files changed, 15 insertions(+), 18 deletions(-)

commit e171d2a1d764717d0b359feadfe4b90399f9735d
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Dec 4 21:08:59 2024 +0100

    Hide find/replace dialogs when wrap dialog is shown
    
    These dialogs are restored once the wrap dialog is closed.
    
    In addition to a cleaner interface where two dialogs are not displayed
    on top of each other, once the find/replace dialog is restored, it
    gains focus so users can keep searching without interruption (without
    this patch, the editor window gets focus so users have to press Ctrl+F
    again to get to the search dialog again).

 src/search.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 83c1ad8ae46b7b1b684176b5030109064a052491
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Nov 29 00:34:55 2024 +0100

    Move show_wrap_search_dialog() to search.h
    
    This will allow the wrap dialog access search and replace dialogs in
    the following commits.

 src/document.c | 38 +-------------------------------------
 src/search.c   | 37 ++++++++++++++++++++++++++++++++++++-
 src/search.h   |  4 +++-
 3 files changed, 40 insertions(+), 39 deletions(-)

commit 5350136b43f0fe0896c1a71f57176798f5060de4
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Dec 4 15:59:13 2024 +0100

    Don't use CSS parser for LESS
    
    It doesn't seem to produce very good results. In any case, add
    commented-out options to use either CSS or SCSS parsers so users can
    experiment with them.

 data/filedefs/filetypes.LESS.conf | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit fe9cf586ca4f09a5814886208b92e15285cd2d2b
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Dec 4 15:57:58 2024 +0100

    Use SCSS ctags optlib parser

 ctags/Makefile.am                 |   1 +
 ctags/optlib/scss.c               | 212 ++++++++++++++++++++++++++++++++++++++
 data/filedefs/filetypes.SCSS.conf |   2 +-
 meson.build                       |   1 +
 src/tagmanager/tm_parser.c        |  19 ++++
 src/tagmanager/tm_parser.h        |   1 +
 src/tagmanager/tm_parsers.h       |   3 +-
 tests/ctags/Makefile.am           |   1 +
 tests/ctags/simple.scss           |  89 ++++++++++++++++
 tests/ctags/simple.scss.tags      |  38 +++++++
 tests/meson.build                 |   1 +
 11 files changed, 366 insertions(+), 2 deletions(-)

commit fdef23cc65ee7e5743efd2e124760ff47522f07b
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Dec 4 14:43:34 2024 +0100

    Minor updates to match Geany style

 data/filedefs/filetypes.LESS.conf | 3 ---
 data/filedefs/filetypes.SCSS.conf | 3 ---
 data/filetype_extensions.conf     | 4 ++--
 3 files changed, 2 insertions(+), 8 deletions(-)

commit 8594bb7bd722acdbb32bf3942f81245660fcb9a3
Author: Kirill Zhumarin <kirill.zhumarin@gmail.com>
Date:   Sat Apr 1 22:07:10 2023 +0300

    fix file naming

 data/Makefile.am                                           | 4 ++--
 data/filedefs/{filetypes.less.conf => filetypes.LESS.conf} | 0
 data/filedefs/{filetypes.scss.conf => filetypes.SCSS.conf} | 0
 3 files changed, 2 insertions(+), 2 deletions(-)

commit 8f9e31a12c9c7fe1d7a69570bee0b120cae09796
Author: Kirill Zhumarin <kirill.zhumarin@gmail.com>
Date:   Sat Apr 1 17:47:13 2023 +0300

    add less and scss file types

 data/Makefile.am                  |  2 ++
 data/filedefs/filetypes.less.conf | 19 +++++++++++++++++++
 data/filedefs/filetypes.scss.conf | 26 ++++++++++++++++++++++++++
 data/filetype_extensions.conf     |  2 ++
 4 files changed, 49 insertions(+)

commit 5ed56a09f9bdaf882d33aa37bb8762129175b61d
Author: Azq2 <kirill.zhumarin@gmail.com>
Date:   Wed Dec 4 01:29:22 2024 +0300

    update JS keywords and extensions (#3440)
    
    Co-authored-by: Jiří Techet <techet@gmail.com>

 data/filedefs/filetypes.javascript | 2 +-
 data/filetype_extensions.conf      | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit e6c39c6e92a8c70e0bfb307bd9241c6f836dd021
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Nov 30 16:31:03 2024 +0100

    Make saveaction preference strings shorter
    
    The existing strings make the dialog too wide and they are a little too
    verbose. I believe the substitutes contain roughly the same information
    value.

 plugins/saveactions.c | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 34c97386f471df7dc923145dda30df3d879f0c66
Merge: ce817f715 896dfa13f
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Nov 30 16:04:38 2024 +0100

    Merge pull request #4077 from LiquidCake/saveactions_persistent_temp_files_doc
    
    persistent-temp-files-plugin: (persistent-untitled-documents) added p…

commit ce817f7159aa4ff3ae7489adc3f6e8a5f53ac1e3
Merge: 22a8a1f55 b40afcb85
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Nov 30 16:03:24 2024 +0100

    Merge pull request #3911 from LiquidCake/saveactions_persistent_temp_files
    
    "persistent temp files" feature for saveactions plugin (sqashed PR)

commit b40afcb856a222b1217b953bfadc2267c3b2bb42
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Nov 28 14:49:37 2024 +0100

    Make padding identical to instant save settings in the dialog

 plugins/saveactions.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 99a292e9b389f954c2c37729e63a3f5a84cb5404
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Nov 28 09:42:46 2024 +0100

    Make instantsave and persistent document save work for templates and similar
    
    We don't want to convert non-empty documents to instant save or
    persistent untitled documents immediately since these may just be
    temporary files with some information that the user wants to close
    after their creation.
    
    Instead, these converted to files only after they are modified for the
    first time.

 plugins/saveactions.c | 35 +++++++++++++++++++++++++++--------
 1 file changed, 27 insertions(+), 8 deletions(-)

commit a6d1346a76b17deb2180ad04ea62c64d059f3c6d
Author: LiquidCake <han132321@gmail.com>
Date:   Wed Nov 27 21:47:58 2024 +0200

    autosave: fixed inability to disabled feature

 plugins/saveactions.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 8cb2871dc2613ee41a747c5ccf049696ec3dcb4c
Author: LiquidCake <han132321@gmail.com>
Date:   Wed Nov 27 02:42:10 2024 +0200

    untitled docs plugin: fixed issue with unset document file type

 plugins/saveactions.c | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit 2b03a7c08278aa13e4e3c1f9b547f7b4f5b5203f
Author: Kondor Dániel <kondor.dani@gmail.com>
Date:   Sat Nov 23 22:40:41 2024 +0100

    socket: support startup_id tokens on X11 and Wayland
    
    This allows requesting the main window to be activated when opening files via the socket interface. This relies on the following protocols:
     - X11: Startup notification: https://specifications.freedesktop.org/startup-notification-spec/latest/
     - Wayland: xdg-activation: https://wayland.app/protocols/xdg-activation-v1
    
    Both are natively supported by GTK, the only change required is some extra plumbing to get the activation token to the already running Geany instance.

 src/libmain.c | 16 +++++++++++++++-
 src/socket.c  | 41 +++++++++++++++++++++++++++++++++++++----
 src/socket.h  |  2 +-
 3 files changed, 53 insertions(+), 6 deletions(-)

commit 896dfa13f233615a0dc159733c3c4a1001445f89
Author: LiquidCake <han132321@gmail.com>
Date:   Mon Nov 25 21:14:56 2024 +0200

    persistent-temp-files-plugin: (persistent-untitled-documents) added plugin description

 doc/geany.txt | 44 ++++++++++++++++++++++++++++++++------------
 1 file changed, 32 insertions(+), 12 deletions(-)

commit 22a8a1f55e30db8566f752211bcd895c707ea24c
Merge: 32ef42eb9 13a5b085a
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Nov 26 19:47:41 2024 +0100

    Merge pull request #3954 from techee/nix
    
    Add Nix support

commit b6244c6b4e66c5f51a8564e652079f90cc5a3f3b
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Nov 26 18:48:38 2024 +0100

    Fix GTK runtime errors generated by the plugin manager
    
    The use of geany_wrap_label_new() together with the list below seems
    to interact in a strange way somehow and generate lots of runtime
    warnings/errors.
    
    This is a (cowardly) attempt by fixing this without having to understand
    what is going on ;-). Simply using gtk_label_new() seems to resolve
    the issue.
    
    Also, I think the text can be made a bit shorter in case the translation
    is too wide for some languages. The "at startup" is kind of misleading
    anyway since plugins are loaded immediately when checked in the box
    below and since this is a preference, it's remembered so I think it's
    pretty clear it happens at startup too.
    
    Fixes #2065.

 src/plugins.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 32ef42eb9e41029e89e52a9cee78afd06706aa7a
Merge: 0e5a873f0 c7d5a2603
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Nov 26 16:31:24 2024 +0100

    Merge pull request #4073 from techee/optlib_tests
    
    Re-enable Forth ctags parser and add unit test for it

commit 0e5a873f0249bed118764754575c09d85acaa085
Merge: 4264d0c50 a7ae4b583
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Nov 25 17:01:48 2024 +0100

    Merge pull request #4075 from cousteaulecommandant/sv
    
    tagmanager: (System)Verilog: don't tag module of instances

commit a7ae4b583ebebe6aa056edbe1e640d71493b1753
Author: Javier Mora <cousteaulecommandant@gmail.com>
Date:   Sun Nov 24 23:57:14 2024 +0100

    tagmanager: Verilog: don't tag module of instances
    
    Currently, for a Verilog line like `a_module inst (clk, d, q);`,
    ctags will emit both an "instance" tag and a "module" reference,
    which Geany incorrectly interprets as a module definition.
    
    Disable ctags roles for Verilog (and SystemVerilog) modules to prevent
    this.

 src/tagmanager/tm_parser.c     | 3 +++
 tests/ctags/sysverilog.sv      | 4 ++--
 tests/ctags/sysverilog.sv.tags | 4 ----
 3 files changed, 5 insertions(+), 6 deletions(-)

commit dd9f5151355f452a35d404465d34ac54e6d11b0e
Author: Javier Mora <cousteaulecommandant@gmail.com>
Date:   Thu Nov 21 22:49:08 2024 +0100

    Change icon of SystemVerilog struct/enum objects
    
    Unlike in the C parser, "struct" in SystemVerilog refers to declarations
    of struct/union *objects*, not definitions of struct/union "types".
    The same goes for enum declarations.
    
    Unlike in C, there is no way to define a "struct type" (or union/enum)
    except by using a typedef.  Therefore, all "structure definitions" use
    typedef; otherwise they're simply declaring struct objects.
    
    This puts the ctags "struct" and "enum" in the same category as "net" or
    "register"; the tm_parser should reflect this.
    
    - Put Enums on the same tm_parser group as Structs and Unions, separate
      from Typedefs.
    - Change the icon for the Structs/Unions/Enums to "three gray boxes"
      (OTHER), so that it resembles an "aggregate of multiple signals" or
      "a grayed-out (anonymous/signal-ified) type".

 src/tagmanager/tm_parser.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c7d5a2603de6a3a021d60414624c84cb25056541
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Nov 24 23:30:18 2024 +0100

    Add forth ctags unit test

 tests/ctags/Makefile.am     |  1 +
 tests/ctags/simple.fth      | 31 +++++++++++++++++++++++++++++++
 tests/ctags/simple.fth.tags | 18 ++++++++++++++++++
 tests/meson.build           |  1 +
 4 files changed, 51 insertions(+)

commit 7f9bed009033c0a861e057aa3e69c7ff99cc79c1
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Nov 24 23:28:52 2024 +0100

    Re-enable Forth ctags parser
    
    Accidentally removed in #3977.

 src/filetypes.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a76de4a033c99210e8cb7edce1165a638cf277ec
Author: LiquidCake <han132321@gmail.com>
Date:   Sun Nov 24 18:50:46 2024 +0200

    persistent-temp-files-plugin: (persistent-untitled-documents) added 'persistent-untitled-documents' feature, re-organized 'instantsave' feature config

 plugins/saveactions.c | 1034 ++++++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 888 insertions(+), 146 deletions(-)

commit c32c92feaeb9724559e62251bb01d12be5afa59a
Author: LiquidCake <han132321@gmail.com>
Date:   Sun Nov 24 18:48:40 2024 +0200

    persistent-temp-files-plugin: (persistent-untitled-documents) added function to API

 src/libmain.c    | 12 ++++++++++++
 src/main.h       |  2 ++
 src/plugindata.h |  2 +-
 3 files changed, 15 insertions(+), 1 deletion(-)

commit 4264d0c507abc32c4e9f13aebaaec53d0c9e376b
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sun Nov 24 15:47:41 2024 +0100

    Add Latgalian translation provided by Artūrs

 po/ltg.po | 5929 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 5929 insertions(+)

commit 13a5b085af525f6aa9e90aa1ae1484db9e7712f2
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Aug 14 11:04:15 2024 +0200

    Add Nix support

 data/Makefile.am                     |   1 +
 data/filedefs/filetypes.nix          |  62 +++++
 data/filetype_extensions.conf        |   1 +
 meson.build                          |   1 +
 scintilla/Makefile.am                |   1 +
 scintilla/lexilla/include/SciLexer.h |  32 +++
 scintilla/lexilla/lexers/LexNix.cxx  | 527 +++++++++++++++++++++++++++++++++++
 scintilla/lexilla/src/Lexilla.cxx    |   3 +
 scintilla/scintilla_changes.patch    |   3 +-
 src/editor.c                         |   1 +
 src/filetypes.c                      |   1 +
 src/filetypes.h                      |   1 +
 src/highlighting.c                   |  11 +
 src/highlightingmappings.h           |  31 +++
 14 files changed, 675 insertions(+), 1 deletion(-)

commit 4a07dd715e600a801ada4015f321642173edaec9
Merge: 4c1191ac4 87cdc362b
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Nov 23 18:46:36 2024 +0100

    Merge pull request #4042 from techee/find_wrap
    
    Make "Find" the default button in the wrap search dialog

commit 4c1191ac442e1bcceb60d7c2497e0baf5d5f4fa9
Merge: 382776fd3 8fad65c66
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Nov 20 16:08:04 2024 +0100

    Merge pull request #3977 from techee/filetype_groups
    
    Regroup filetypes by letter

commit 8fad65c66c6f088a78eeae2c0397ab4c4f470bee
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Nov 18 19:35:36 2024 +0100

    Update documentation

 HACKING       |  3 +--
 doc/geany.txt | 29 -----------------------------
 2 files changed, 1 insertion(+), 31 deletions(-)

commit 0b4732d9f7fae9d7064c5330316f7ed654425294
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Oct 6 13:49:16 2024 +0200

    Regroup filetypes by letter
    
    This patch converts the currently used groups like "Programming languages",
    "Scripting languages", etc. to groups based on the starting letter of
    the language only. There are two main reasons for this change:
    
    1. Some languages are hard to categorize by some semantic group name and
    the group names are not really fitting. In addition, the currently
    used group name "Programming languages" isn't very good as "Scripting
    languages" are also a subset of programming languages. On the other
    hand it's hard to find a good substitute for "Programming languages" -
    mostly these are "Compiled languages" but not always and some languages
    allow to be both interpreted and compiled which complicates the situation.
    2. The "Programming languages" group is too big and the menu is so long
    that it doesn't fit the display on smaller screens and one has to scroll
    the menu to get to the right item which isn't user friendly. Things will
    get only worse as there are still many "Programming languages" that
    Geany does not support yet and that might be added to the editor in the
    future.
    
    The newly introduced alphabetic groups are:
    A-B
    C
    D-E-F
    G-H-I
    J-K-L
    M-N-O
    P-Q
    R-S
    T-U-V-W
    X-Y-Z
    
    These allow roughly even distribution of existing languages into smaller
    groups with enough space for possible future language additions. While
    it would be possible to make the group names more symmetrical, e.g. by
    having "R-S-T", "U-V-W", I found that the asymmetry helps quicker
    navigation as one remembers the group with his favorite language is
    e.g. "the one before the long group" without thinking where exactly in
    the alphabet the letter is.
    
    Some notes to the implementation:
    1. It mostly follows the existing implementation trying to do minimal
    changes and doing things in a "dumb and straightforward way". This means
    that group names are hard coded (they could also be autogenerated,
    possibly auto-attempting to distribute languages into evenly sized
    groups).
    2. Technically this change breaks API as it modifies GeanyFiletypeGroupID
    which is used for the group member of GeanyFiletype which is accessible
    to plugins. However, this member isn't documented to plugins and
    no existing plugin from geany-plugins uses it so probably not a big
    problem.
    3. Because grouping happens automatically now, the [Groups] section
    from filetype_extensions.conf can be removed and is not read any more.
    4. Because grouping happens automatically now, the [5] argument from
    FT_INIT() can be removed.
    5. In addition, this patch also removes the [4] argument from FT_INIT()
    which determined the suffix in the filetype menu like
    "C++ source file" - IMO the "source file", "file", etc. suffix for all
    the languages in the menu introduced just a visual clutter and made
    legibility worse. In addition with the removal of [Groups] from
    filetype_extensions.conf in (3), it would not be possible to determine
    the right suffix for custom file types.
    6. The newly introduced groups are untranslatable strings - there should
    be no need to translate those.
    7. If users create a non-builtin filetype starting with a non-alphabetic
    character, it will be placed into a group called Other. This group won't
    be displayed if there are no such filetype.
    8. Human-readable names of languages are converted to non-translatable
    strings because otherwise their placement into groups may be confusing.
    Also, these names should start with the same letter like the language
    name itself otherwise the grouping in Tools->Configuration Files->
    Filetype Configuration might not correspond to the language name.

 data/filetype_extensions.conf |   8 --
 src/dialogs.c                 |  60 +++++++--
 src/filetypes.c               | 292 +++++++++++++++++++++---------------------
 src/filetypes.h               |  15 ++-
 4 files changed, 203 insertions(+), 172 deletions(-)

commit 382776fd3e5c09cc9c005798d2d1e6a2d7a666f8
Merge: f998f789f ffc8f62b5
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Nov 20 14:50:04 2024 +0100

    Merge pull request #4037 from cousteaulecommandant/verilog_keywords
    
    filetypes.verilog: add Verilog-2005 keywords

commit f998f789fa0424fc928ba86a5be7b7ab69a1ef9c
Merge: c043996a9 4b7c56e5f
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Nov 20 14:45:41 2024 +0100

    Merge pull request #4039 from cousteaulecommandant/sv
    
    Add support for SystemVerilog

commit 4b7c56e5f482d2fb562fe81bd45b8641c5642828
Author: Javier Mora <cousteaulecommandant@gmail.com>
Date:   Mon Nov 18 20:25:13 2024 +0100

    Add SystemVerilog ctags unit tests
    
    Added two ctags unit tests for SystemVerilog: one with a "normal" design
    (an executable testbench) to exercise logic and simulation constructs,
    and one with a package and several OOP-related constructs.
    
    It should be noted that some incorrect behavior has been found in ctags
    when writing the tests; these were written down as comments in the test
    files, and should be fixed in upstream ctags.

 tests/ctags/Makefile.am        |   2 +
 tests/ctags/oop.sv             | 145 +++++++++++++++++++++++++++++++
 tests/ctags/oop.sv.tags        | 118 +++++++++++++++++++++++++
 tests/ctags/sysverilog.sv      | 192 +++++++++++++++++++++++++++++++++++++++++
 tests/ctags/sysverilog.sv.tags | 118 +++++++++++++++++++++++++
 tests/meson.build              |   2 +
 6 files changed, 577 insertions(+)

commit e7a215ddedc345e06a1878705c037b6694467868
Author: Javier Mora <cousteaulecommandant@gmail.com>
Date:   Sun Nov 17 23:23:54 2024 +0100

    Regenerate Verilog ctags unit tests
    
    Regenerate tests/ctags/*.v.tags, which were broken as a result of
    modifying the Verilog ctags parser in commit
    "Unify Verilog and SystemVerilog tags".

 tests/ctags/bug1111214-j-chan.v.tags | 12 +++++------
 tests/ctags/bug1111214.v.tags        |  4 ++--
 tests/ctags/bug1743330.v.tags        |  4 ++--
 tests/ctags/bug2747828.v.tags        |  4 ++--
 tests/ctags/bug960316.v.tags         |  8 ++++----
 tests/ctags/bug961001.v.tags         | 32 ++++++++++++++---------------
 tests/ctags/state_machine.v.tags     | 16 +++++++--------
 tests/ctags/traffic_signal.v.tags    | 40 +++++++++++++++++++++---------------
 8 files changed, 64 insertions(+), 56 deletions(-)

commit b26b7fc801316433683848da3b5d558cafcd8e5d
Author: Javier Mora <cousteaulecommandant@gmail.com>
Date:   Sun Nov 17 22:47:25 2024 +0100

    Add missing SystemVerilog tasks/functions
    
    Add all tasks and functions from SystemVerilog-2017 section 21
    ("Input/output system tasks and system functions") in addition to those
    from section 20 ("Utility system tasks and system functions").
    
    (These were listed in a single section in the Verilog-2005 standard,
    but SystemVerilog split them into two sections, hence the confusion.)

 data/filedefs/filetypes.SystemVerilog.conf | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 85564aa10dbdc8b2e47354d913c797f39fd5c4fa
Author: Javier Mora <cousteaulecommandant@gmail.com>
Date:   Sun Nov 17 14:43:24 2024 +0100

    Split SystemVerilog keywords into type / not type
    
    Moved all SystemVerilog keywords that are used when declaring signals
    to a separate `word3` category, as it was done for Verilog in PR #4037.
    
    The list has been obtained by picking all the keywords marked as
    K_(EVENT|REGISTER|LOCALPARAM|PORT|PARAMETER|CONSTANT|SPECPARAM|NET)
    in ctags/parsers/verilog.c, extended with additional keywords from
    SystemVerilog-2017 section 6.7 "Net declarations" (as it was done for
    Verilog in PR #4037), and with `signed` and `unsigned`.
    
    The result is a superset of the `word3` category for Verilog,
    extended with some keywords such as `logic`, `int`, `ref`, etc.

 data/filedefs/filetypes.SystemVerilog.conf | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 66710b09699d416e024574bb744f80ebe09eb186
Author: Javier Mora <cousteaulecommandant@gmail.com>
Date:   Sun Nov 17 00:53:04 2024 +0100

    tagmanager: Unify Verilog and SystemVerilog tags
    
    Use a consistent and unified map_* and group_* for Verilog and
    SystemVerilog.
    
    Some SystemVerilog features have been mirrored into Verilog,
    resulting in the following changes to the latter:
    - The following categories have been split:
        - constant <--> define
        - port <--> net/register
    - The following categories have been merged:
        - event -><- net/register
    - The following categories have been added (enabled):
        - block
        - instance
    - Changes in group icons.
    
    Note that module instantiation (in both Verilog and SystemVerilog) now
    creates two ctags: one for a module definition and one for an instance.
    The former should be removed, since the module isn't being defined here,
    and Ctrl-click on the module name shouldn't take us here.
    This needs to be fixed in ctags.

 src/tagmanager/tm_parser.c | 78 ++++++++++++++++++----------------------------
 1 file changed, 31 insertions(+), 47 deletions(-)

commit bee6076de639bcadd57eef4afd426e4e20cb1a32
Author: Javier Mora <cousteaulecommandant@gmail.com>
Date:   Sun Nov 10 18:45:58 2024 +0100

    tagmanager: SystemVerilog: map ctags
    
    Extend SystemVerilog with additional tags supported by ctags.
    The tag `tm_tag_other_t` has been left unassigned for future expansion.

 src/tagmanager/tm_parser.c | 60 ++++++++++++++++++++++++++++------------------
 1 file changed, 37 insertions(+), 23 deletions(-)

commit 4ad90857cf94f8f0628f0eaeb440c06d070231db
Author: Javier Mora <cousteaulecommandant@gmail.com>
Date:   Sun Nov 10 02:20:58 2024 +0100

    Add SystemVerilog filetype
    
    Add SystemVerilog filetype and syntax highlighting:
    - Create SystemVerilog filedefs file, including all the standard
      keywords from SystemVerilog-2017 (IEEE Std 1800-2017).
    - Set it to use the existing Verilog lexer and ctags parser
      (which already supported both Verilog and SystemVerilog).
    - Create an initial draft for a ctags mapping for SystemVerilog.
    
    The ctags parser is currently underutilized, since classes and other
    SystemVerilog constructs are tagged but not shown in the Symbols panel.
    These will be added in a future commit.

 data/Makefile.am                           |  1 +
 data/filedefs/filetypes.SystemVerilog.conf | 45 ++++++++++++++++++++++++++++++
 data/filetype_extensions.conf              |  5 ++--
 src/tagmanager/tm_parser.c                 | 43 ++++++++++++++++++++++++++++
 src/tagmanager/tm_parser.h                 |  1 +
 src/tagmanager/tm_parsers.h                |  3 +-
 6 files changed, 95 insertions(+), 3 deletions(-)

commit ffc8f62b5d94625e614c53784bc1f3a7b00140d7
Author: Javier Mora <cousteaulecommandant@gmail.com>
Date:   Sat Nov 9 19:26:44 2024 +0100

    filetypes.verilog: add Verilog-2005 keywords
    
    - Add Verilog-2001 and Verilog-2005 keywords to filetypes.verilog
      (right now only Verilog-1995 keywords are highlighted).
      These keywords were already included in ctags.
    - Add all System tasks and functions as of Verilog-2005 to `word2` list
      (right now only a handful appear; perhaps from an older standard).
    
    Details on added/removed keywords:
    
    Add new keywords from Verilog-2001 and Verilog-2005 standard (Annex B)
    (right now only Verilog-1995 keywords are listed):
    
        automatic generate endgenerate genvar localparam uwire
        config endconfig cell design instance liblist use
        library incdir include
        pulsestyle_ondetect pulsestyle_onevent showcancelled noshowcancelled
    
    Remove invalid Verilog keywords:
    
        attribute endattribute strength @
    
    Put all "keywords used to declare nets/variables/constants/events"
    in `word3` list; leave rest in `word`.
    
    Add all functions/tasks listed under "System tasks and functions"
    in the Verilog-2005 standard (chapter 17).

 data/filedefs/filetypes.verilog | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 87cdc362bfe480f830c97ac009d328978156c887
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Nov 12 20:02:19 2024 +0100

    Make "Find" the default button in the wrap search dialog
    
    When the "Wrap search and find again?" dialog appears, it makes more
    sense to wrap instead of cancel the dialog by default (the dialog
    can always be canceled by Escape).
    
    The implementation of this patch more or less duplicates the code of
    dialogs_show_question_full() and makes the Find button default. While it
    would be possible to add one more parameter to dialogs_show_question_full()
    controlling this behavior, there's currently no other use of this in
    Geany (in all other cases, the action button performs a destructive
    action so Cancel is default) so I believe having this local implementation
    of the dialog is a better option not complicating other uses.
    
    Fixes #1192.

 src/document.c | 39 +++++++++++++++++++++++++++++++++++++--
 1 file changed, 37 insertions(+), 2 deletions(-)

commit c043996a9a3dc1b0aa36571cd5f5d61fd8d2eb59
Merge: bf35b7b77 c8586cb78
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Nov 10 17:40:18 2024 +0100

    Merge pull request #3973 from techee/dart
    
    Add Dart support

commit c8586cb7893982a7ff4b10d39a18128063ada030
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Aug 14 11:04:15 2024 +0200

    Add Dart support
    
    This PR adds support for the Dart language:
    1. It uses the Dart lexer which has been recently merged to lexilla
    2. The keywords are based on Notepad4 keywords
    3. Build menu settings is based on
       https://github.com/geany/geany/issues/371

 data/Makefile.am                     |   1 +
 data/filedefs/filetypes.dart         |  93 +++++
 data/filetype_extensions.conf        |   1 +
 meson.build                          |   1 +
 scintilla/Makefile.am                |   1 +
 scintilla/lexilla/lexers/LexDart.cxx | 702 +++++++++++++++++++++++++++++++++++
 scintilla/lexilla/src/Lexilla.cxx    |   3 +
 scintilla/scintilla_changes.patch    |   3 +-
 src/editor.c                         |   2 +
 src/filetypes.c                      |   4 +-
 src/filetypes.h                      |   1 +
 src/highlighting.c                   |  18 +
 src/highlightingmappings.h           |  42 +++
 13 files changed, 870 insertions(+), 2 deletions(-)

commit bf35b7b778d085b81df11c8b2e71ded47c6a8379
Merge: 2900a447e 6dc240625
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Nov 9 17:08:04 2024 +0100

    Merge pull request #3892 from ajpf44/add-filetype-support
    
    Add support for .tsx and .jsx file extensions to

commit 2900a447e7ef288cb37247b663d42970b0b50f30
Merge: c5d68efa7 274f56062
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Nov 8 16:25:57 2024 +0100

    Merge pull request #3974 from techee/zig
    
    Add Zig support

commit 274f560628f4db504cf6b917b1b7652a18e9710a
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Oct 3 22:47:12 2024 +0200

    Add Zig support
    
    Fixes #3724.

 data/Makefile.am                     |   3 +-
 data/filedefs/filetypes.zig          |  74 ++++++
 data/filetype_extensions.conf        |   1 +
 meson.build                          |   1 +
 scintilla/Makefile.am                |   3 +-
 scintilla/lexilla/include/SciLexer.h |  92 +++++++
 scintilla/lexilla/lexers/LexZig.cxx  | 463 +++++++++++++++++++++++++++++++++++
 scintilla/lexilla/src/Lexilla.cxx    |   3 +
 scintilla/scintilla_changes.patch    |   3 +-
 src/document.c                       |   1 +
 src/editor.c                         |   2 +
 src/filetypes.c                      |   1 +
 src/filetypes.h                      |   1 +
 src/highlighting.c                   |  13 +
 src/highlightingmappings.h           |  33 +++
 15 files changed, 691 insertions(+), 3 deletions(-)

commit c5d68efa7edb4c37af00283e0c684aa7365a61d0
Merge: 3122fb1db e1a5e9848
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Nov 4 16:13:53 2024 +0100

    Merge pull request #4029 from cousteaulecommandant/fix-readme-rst
    
    Fix README: highlight code as such using ``code``

commit 3122fb1dbcc1906df32a89f0a9d19253fa44288f
Merge: 6ffe16b10 fd70da00d
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Nov 3 18:22:51 2024 +0100

    Merge pull request #4013 from techee/optlib
    
    Use Forth and Meson optlib-based ctags parsers

commit fd70da00d9ae846b63d533f6d7d63dc3d96e0a5c
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Nov 1 21:51:19 2024 +0100

    Fix current_scope value passed to tm_workspace_is_autocomplete_tag()
    
    When the parser doesn't provide scope, symbols_get_current_function()
    returns "unknown" in its tagname argument. We have to set it to NULL
    in this case so tm_workspace_is_autocomplete_tag() works correctly.

 src/symbols.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit dcd2f3e6201c5a51252bedb005df3f3c5b285bf8
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Oct 25 22:47:38 2024 +0200

    Use Forth and Meson optlib-based ctags parsers
    
    This patch also updates update-ctags.py to update parsers in the
    optlib directory.

 ctags/Makefile.am                  |   2 +
 ctags/optlib/forth.c               |  76 +++++++++++
 ctags/optlib/meson.c               | 261 +++++++++++++++++++++++++++++++++++++
 data/filedefs/filetypes.Meson.conf |   1 +
 meson.build                        |   2 +
 scripts/update-ctags.py            |   7 +
 src/filetypes.c                    |   2 +-
 src/tagmanager/tm_parser.c         |  36 +++++
 src/tagmanager/tm_parser.h         |   2 +
 src/tagmanager/tm_parsers.h        |   4 +-
 10 files changed, 391 insertions(+), 2 deletions(-)

commit 6ffe16b104e306ec50548bcf032a558ac5b380e0
Merge: eb831d7c8 a3ab9b63f
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sat Nov 2 11:03:01 2024 +0100

    Merge pull request #1193 from techee/editorconfig
    
    Add .editorconfig

commit e1a5e9848ba014cc411f6aeb2f790e036613d2c6
Author: Javier Mora <cousteaulecommandant@gmail.com>
Date:   Sat Nov 2 00:44:10 2024 +0100

    Fix README: highlight code as such using ``code``
    
    Code snippets in README(.rst) should use ``double backticks``
    rather than `single backticks`.
    Otherwise it's hard to tell apart code from text in the README render
    (especially when it says "`code 1` or `code 2`").

 README | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit eb831d7c846abdf567c79fe0e0d64ce212acf7ca
Merge: 3469b9799 b46ca22f1
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Nov 1 18:02:28 2024 +0100

    Merge pull request #4014 from techee/java_kw
    
    Java: add Java SE23 keywords

commit b46ca22f173bf323eef4adafa750b56824c99c9d
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Oct 25 23:07:18 2024 +0200

    Java: add Java SE23 keywords
    
    See https://docs.oracle.com/javase/specs/jls/se23/html/jls-3.html#jls-3.9

 data/filedefs/filetypes.java | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3469b9799d5845eeb07a371b57b27e8bfab2caf3
Merge: 8d3a2eed7 bc0f01f63
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Nov 1 16:00:02 2024 +0100

    Merge pull request #4015 from techee/groovy_comments
    
    Groovy: add multi-line comment settings

commit bc0f01f63d2c43c970b85e8fed59882508b2beab
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Oct 25 23:18:03 2024 +0200

    Groovy: add comment settings

 data/filedefs/filetypes.Groovy.conf | 3 +++
 1 file changed, 3 insertions(+)

commit 8d3a2eed7d9d54cb780414c3e74efffe2a4bd7c9
Merge: 7e6b83594 7296fbcc2
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Oct 26 21:11:53 2024 +0200

    Merge pull request #4016 from techee/busybox
    
    Recognize shell scripts when using busybox

commit 7296fbcc2ae88cd30dcb7ad8fe289e9654bf1d8c
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Oct 25 23:33:35 2024 +0200

    Recognize shell scripts when using busybox
    
    Pretty much stolen patch from Colomban Wendling from
    
    https://github.com/geany/geany/issues/3884
    
    and converted to a pull request. Also tested, seems to work as expected.

 src/filetypes.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 7e6b83594847b32df4b7cf15bd5cd12643925eec
Merge: 2973111fa 6c1fdf6f8
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Oct 24 17:47:02 2024 +0200

    Merge pull request #3898 from techee/session_fix2
    
    Fix a problem when multiple project opens clear the default session

commit 2973111fae8f6d743b94e0ae9b22bae8875846c0
Merge: 1d717384b 458a77adb
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Oct 24 17:45:45 2024 +0200

    Merge pull request #3950 from techee/file_save2
    
    Modify utils_write_file() to always use g_file_replace_contents()

commit 1d717384b55465a5614bf2bb0a41d434d2bf06d7
Merge: 78f1f3f51 2cccabfac
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Oct 16 21:23:56 2024 +0200

    Merge pull request #4000 from techee/java_triple_quotes
    
    Support triple-quoted strings in Java

commit 2cccabfac66d6f2e0daba3eeb17dad0795d7b22e
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Oct 16 10:13:06 2024 +0200

    Support triple-quoted strings in Java
    
    Fixes #3995

 data/filedefs/filetypes.java | 1 +
 1 file changed, 1 insertion(+)

commit 78f1f3f516f14ac7f6088fe07c77fc3842497d8f
Merge: ddb627889 55c83ade6
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Oct 14 18:54:06 2024 +0200

    Merge pull request #3991 from techee/hacking_patch
    
    Update HACKING to better describe what has to be changed in scintilla_changes.patch

commit 55c83ade67f7cee741c94e27ae6c3c7e6f53f413
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Oct 11 20:38:32 2024 +0200

    Update HACKING to better describe what has to be changed in scintilla_changes.patch

 HACKING | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit ddb627889997df7b5a5a44ce581f7973824478cc
Merge: 46b540c8d efadb4a7c
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Oct 11 20:24:59 2024 +0200

    Merge pull request #3982 from b4n/scintilla-update-script-fix
    
    Fix Scintilla update script

commit efadb4a7c0ae9f77cebb160bb83c66d0965a370e
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Oct 7 22:52:26 2024 +0200

    Fix scintilla_changes.patch

 scintilla/scintilla_changes.patch | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e75602bf8eb4527cd2849c6df6c79929f9cae633
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Oct 7 22:50:50 2024 +0200

    Fix Scintilla update script
    
    scintilla/README is not a directory, so the test wouldn't ever pass.
    
    Also fix updating Lexilla lexers if the current directory contains a
    .cxx file, which would then match the unescaped `*.cxx` pattern.

 scripts/update-scintilla.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 46b540c8d017d3d40152594953c300d4f68e4812
Merge: 4c8a3d38f 669395588
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Oct 6 21:26:54 2024 +0200

    Merge pull request #3976 from eht16/issue3873_add_pyi_extension
    
    Add .pyi extension for Python

commit 4c8a3d38f22d35e13c32e4d2c5c247cb33a846b8
Merge: 30f84de9a e05048135
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Oct 6 19:07:08 2024 +0200

    Merge pull request #3967 from kugel-/for-upstream
    
    Rename enum member to workaround GI issue

commit 669395588a126c8ae6d698699e017867a38d0bc8
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Oct 6 13:31:23 2024 +0200

    Add .pyi extension for Python
    
    Closes #3873.

 data/filetype_extensions.conf | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e050481355ee44ea49f263ff356f52d0daabe8d1
Author: Thomas Martitz <t.martitz@avm.de>
Date:   Wed Oct 2 07:52:04 2024 +0200

    Rename enum member to workaround GI issue
    
    GI synthesizes an enum type "TMTagAttrType" with the members none_t,
    name_t and so on (common prefix "tm_tag_attr_" removed). In that context,
    tm_tag_attr_time_ aka. time_t clashes with the global time_t type.
    
    Since the member is unused so far simply rename it as an easy way out.

 src/tagmanager/tm_tag.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 458a77adb0a7c7b3d649bcaedfcbd07604c5dd5f
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Sep 13 13:03:55 2024 +0200

    Modify utils_write_file() to always use g_file_replace_contents()
    
    From having a look at where this function is used, by Geany it's
    used only to store configuration files in the .config directory and
    some auxiliary functions like writing the export file by the exporter
    plugin. In the geany-plugins project this function is used only for
    saving configuration files.
    
    Before this patch, the fwrite() method was used by default for saving
    configuration files (because g_file_replace_contents() normally used
    by Geany wasn't used in this function) which wasn't very safe and could
    lead to configuration file loss under some extreme conditions.
    
    The documentation of this function was changed to reflect the situation
    better than now - the previous comment made the impression that file
    permissions were always preserved with this method but it wasn't the
    case and depended on the exact configuration.

 src/utils.c | 69 +++++++++++++++++++++----------------------------------------
 1 file changed, 23 insertions(+), 46 deletions(-)

commit 30f84de9a5eb477a0898664a0aac941af252fe21
Merge: 96fa14ac3 a6c651804
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Sep 13 10:15:05 2024 +0200

    Merge pull request #3948 from techee/warning_fix2
    
    Fix indentation to suppress clangd warnings

commit 96fa14ac37fab523da2b38ac2b353d42b3538f66
Merge: eea0a25d5 10e8e786b
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Sep 13 10:12:58 2024 +0200

    Merge pull request #3949 from techee/cache_gitignore
    
    Add the .cache directory to .gitignore

commit 10e8e786b83d1fe833cf3e5f43086d588f55399b
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Sep 12 16:26:27 2024 +0200

    Add the .cache directory to .gitignore
    
    This is where clangd stores its precompiled files.

 .gitignore | 1 +
 1 file changed, 1 insertion(+)

commit a6c6518042df3b0370bb47a16a916663864105ee
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Sep 12 16:21:37 2024 +0200

    Fix indentation to suppress clangd warnings

 src/editor.c   | 3 +--
 src/libmain.c  | 3 +--
 src/ui_utils.c | 6 ++----
 3 files changed, 4 insertions(+), 8 deletions(-)

commit eea0a25d5de5914f6dfef99776c7a73e29dc6b5f
Merge: 6a954b96d 3a530ec2d
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Sep 10 16:05:39 2024 +0200

    Merge pull request #3945 from techee/extension_opening
    
    Don't call plugin extension functions when opening session files

commit 3a530ec2d9be3b1d0a973a0648faabf30035370c
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Sep 10 15:48:43 2024 +0200

    Don't call plugin extension functions when opening session files
    
    Without this, the symbol_highlight_provided() function is called
    for all the session files which starts LSP servers for all filetypes
    of the open files instead of lazily as the file tabs of individual
    files get selected.

 src/pluginextension.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 6a954b96d330e4d9f28f8ab12f07171c5f58b04a
Merge: 2522d6a79 e53025eda
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Sep 10 15:04:46 2024 +0200

    Merge pull request #3943 from techee/extension_closing
    
    Don't call plugin extension functions when quitting or closing all files

commit e53025edabe3d921374a163fe51ff5f0560d7065
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Sep 6 21:17:38 2024 +0200

    Don't call plugin extension functions when quitting or closing all files
    
    Plugins may need to call the _provided() function e.g. inside Scintilla
    event handler which can get called for every file when batch-closing
    a session. For the LSP plugin, the _provided() call then keeps starting
    the server even though it should be terminated when closing project
    or quitting Geany.

 src/pluginextension.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 2522d6a795303e1dd3d48e0af383ee83e49bee15
Merge: 4ff60a36b 3c6021ee6
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Aug 18 14:06:01 2024 +0200

    Merge pull request #3648 from techee/nim_lexer
    
    Convert Nim to builtin filetype and use Scintilla Nim lexer for it

commit 3c6021ee6614d987b7b6bfcb4eab1c049b067732
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Oct 23 11:59:43 2023 +0200

    Convert Nim to builtin filetype and use Scintilla Nim lexer for it

 data/Makefile.am                    |   2 +-
 data/filedefs/filetypes.Nim.conf    |  64 ---
 data/filedefs/filetypes.nim         |  71 ++++
 data/filetype_extensions.conf       |   2 +-
 meson.build                         |   1 +
 scintilla/Makefile.am               |   1 +
 scintilla/lexilla/lexers/LexNim.cxx | 814 ++++++++++++++++++++++++++++++++++++
 scintilla/lexilla/src/Lexilla.cxx   |   1 +
 scintilla/scintilla_changes.patch   |   1 +
 src/filetypes.c                     |   1 +
 src/filetypes.h                     |   1 +
 src/highlighting.c                  |  15 +
 src/highlightingmappings.h          |  29 ++
 13 files changed, 937 insertions(+), 66 deletions(-)

commit 4ff60a36bfd453415b2cc1dfe83206e6be5b8fe6
Merge: d9255cb4f 588427236
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Aug 16 22:06:50 2024 +0200

    Merge pull request #3171 from techee/prolog
    
    Add Prolog filetype support

commit 588427236ea7f14ff3a9d8f233653f32f8371d9f
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Apr 16 19:51:00 2022 +0200

    Add Prolog filetype support
    
    This patch adds basic Prolog support (only scintilla laxer, there's no
    ctags parser). I used swi-prolog for the compiler and run commands which
    I believe is the most commonly used prolog implementation.
    
    This patch contains keyword suggestions made by @rdipardo, thanks.

 data/Makefile.am                             |   1 +
 data/filedefs/filetypes.prolog               |  78 +++
 data/filetype_extensions.conf                |   1 +
 meson.build                                  |   1 +
 scintilla/Makefile.am                        |   1 +
 scintilla/lexilla/lexers/LexVisualProlog.cxx | 695 +++++++++++++++++++++++++++
 scintilla/lexilla/src/Lexilla.cxx            |   1 +
 scintilla/scintilla_changes.patch            |   1 +
 src/filetypes.c                              |   1 +
 src/filetypes.h                              |   1 +
 src/highlighting.c                           |  17 +
 src/highlightingmappings.h                   |  33 ++
 12 files changed, 831 insertions(+)

commit d9255cb4f75e28a5920eab10e96baab21820f3dc
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Thu Aug 15 19:13:16 2024 +0100

    Update Portuguese translation (#3933)
    
    Update pt.po file

 po/pt.po | 2143 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 1093 insertions(+), 1050 deletions(-)

commit 4fadf8e5d5f123b1bcf5e34d9d9925d63c6fd382
Merge: 5c32d4b56 12f56701e
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Aug 10 00:44:28 2024 +0200

    Merge pull request #3560 from techee/cancel_popups
    
    Hide autocompletion and calltip popups when code scrolled

commit 12f56701eff1a8ac504fff7d0cfc4998811c05f7
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Sep 24 11:15:06 2023 +0200

    Hide autocompletion and calltip popups when code scrolled
    
    When autocompletion or calltip popup is displayed and the user scrolls
    the editor window (e.g. using a mouse wheel), these popups are still
    displayed and become detached from the original point which is quite
    ugly.
    
    We can just simply dismiss them when the window scrolls.

 src/editor.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 5c32d4b56cc8e5d1da28a54fdcdb1029ca224770
Merge: 473c058e8 c942622e4
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Aug 9 23:22:56 2024 +0200

    Merge pull request #3480 from froonix/cil
    
    Add CIL lexer/filetype

commit 473c058e8da74779ff230e12dd77ef6cefeae2b2
Author: Puro_osso <125617376+daviii-lopes@users.noreply.github.com>
Date:   Sun Aug 4 08:51:35 2024 -0300

    Update pt_br translation (#3929)
    
    Co-authored-by: Davi Lopes <ctt_davi@proton.me>

 po/pt_BR.po | 39 ++++++++++++++++++++-------------------
 1 file changed, 20 insertions(+), 19 deletions(-)

commit 6444a182e205ee2598be78cee02fdeb10379e2ff
Merge: edd733013 d9dcf1edf
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Aug 3 16:41:50 2024 +0200

    Merge pull request #3849 from techee/lsp2
    
    Plugin extensions (aka LSP API)

commit c942622e453362f1f93a9d73e143815c5ae26db8
Author: Christian Schrötter <cs@fnx.li>
Date:   Fri Aug 2 02:03:00 2024 +0200

    Add CIL lexer/filetype

 data/Makefile.am                    |   1 +
 data/filedefs/filetypes.cil         |  61 ++++++
 data/filetype_extensions.conf       |   1 +
 meson.build                         |   1 +
 scintilla/Makefile.am               |   1 +
 scintilla/lexilla/lexers/LexCIL.cxx | 410 ++++++++++++++++++++++++++++++++++++
 scintilla/lexilla/src/Lexilla.cxx   |   1 +
 scintilla/scintilla_changes.patch   |   1 +
 src/editor.c                        |   1 +
 src/filetypes.c                     |   1 +
 src/filetypes.h                     |   1 +
 src/highlighting.c                  |  11 +
 src/highlightingmappings.h          |  25 +++
 13 files changed, 516 insertions(+)

commit edd733013047c1f2a4786a64e2364f8b30c41be9
Merge: 71969f600 8056d620b
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Aug 1 23:12:17 2024 +0200

    Merge pull request #3921 from techee/warning_fix
    
    Fix some runtime warnings

commit 71969f600023a333bcd3b717a434082a7039f316
Merge: a93f5fefa 9cf72b0d4
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Jul 28 14:12:13 2024 +0200

    Merge pull request #3811 from Biswa96/meson-fix-win-console-popup
    
    meson: Prevent showing console after running geany in Windows

commit 9cf72b0d42679ae8bf551d0d83836c9a83f77335
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Jul 7 14:02:42 2024 +0200

    CI: use Ubuntu 22.04 for Meson build

 .github/workflows/build.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2259ae9197007b279924645e8b43acc8778a5669
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Jul 7 13:44:37 2024 +0200

    Require Meson 0.56 or newer

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a93f5fefa663fe1947537ba80aff608a86011d03
Author: alevtina-karashokova <122361137+alevtina-karashokova@users.noreply.github.com>
Date:   Sun Jul 7 13:58:23 2024 +0300

    Update Russian translation (#3918)

 po/ru.po | 152 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 70 insertions(+), 82 deletions(-)

commit 8056d620bc067d153197ae5b4b5fae00163c711a
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Jul 2 11:10:15 2024 +0200

    Fix open document check in document_get_from_page()
    
    The check `page_num >= documents_array->len` isn't correct as
    `documents_array->len` isn't the number of open documents. This array
    never shrinks and closed documents are only marked as invalid.
    
    Without this patch, when closing a Geany project and the default session
    doesn't contain any document, the following warning appears:
    ```
    (geany:1740553): Geany-CRITICAL **: 11:02:39.105: document_get_from_notebook_child: assertion 'GTK_IS_BOX(page)' failed
    ```
    
    The corresponding stack trace when using `--g-fatal-warnings` is:
    ```
    #5  0x0000fffff7c241d0 in document_get_from_notebook_child
        (page=<optimized out>) at document.c:335
    #6  0x0000fffff7c242a4 in document_get_from_page (page_num=<optimized out>)
        at document.c:361
    #7  0x0000fffff7c4b248 in configuration_open_files
        (session_files=<optimized out>) at keyfile.c:1390
    #8  0x0000fffff7c4b354 in configuration_open_default_session ()
        at keyfile.c:1404
    #9  0x0000fffff7c5e430 in destroy_project (open_default=1) at project.c:480
    #10 0x0000fffff7c5e4d8 in project_close (open_default=1) at project.c:435
    ```
    
    This patch fixes that.

 src/document.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit e5ee2227807c50604176b73119f9d8c90c6b0e02
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Jul 2 10:56:59 2024 +0200

    Fix runtime warning when opening Geany without open files
    
    When Geany is opened with no open document, the following warning
    appears:
    ```
    (geany:1735619): Geany-CRITICAL **: 10:49:58.729: document_get_notebook_child: assertion 'doc != NULL' failed
    ```
    
    The corresponding stack trace when using `--g-fatal-warnings` is:
    ```
    #5  0x0000fffff7c232c8 in document_get_notebook_child (doc=<optimized out>)
        at document.c:269
    #6  0x0000fffff7c24140 in document_get_notebook_page (doc=<optimized out>)
        at document.c:291
    #7  0x0000fffff7c25198 in document_show_tab (doc=0x0) at document.c:1269
    #8  0x0000fffff7c4b24c in configuration_open_files
        (session_files=<optimized out>) at keyfile.c:1390
    #9  0x0000fffff7c4b354 in configuration_open_default_session ()
        at keyfile.c:1404
    #10 0x0000fffff7c4dfb0 in load_startup_files (argv=0xffffffffeef8, argc=1)
        at libmain.c:987
    ```
    
    This patch fixes that.

 src/document.c | 3 +++
 1 file changed, 3 insertions(+)

commit d9dcf1edfc214e23415ebe175f1c176a8c1e7e76
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jun 30 11:16:21 2024 +0200

    Bump plugin API

 src/plugindata.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 03ad03b13127f4d0fb839fc83f845a1c66a22705
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Jun 20 23:52:56 2024 +0200

    Add simple PluginExtension demo

 plugins/Makefile.am     |   5 ++
 plugins/demopluginext.c | 130 ++++++++++++++++++++++++++++++++++++++++++++++++
 plugins/meson.build     |   1 +
 3 files changed, 136 insertions(+)

commit 358d585c297d75f62bfe051ff1f250c4a38ca95b
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Jun 12 23:40:12 2024 +0200

    Add PluginExtension documentation
    
    Co-authored-by: Colomban Wendling <ban@herbesfolles.org>
    Co-authored-by: Lex Trotman <elextr@gmail.com>

 doc/plugins.dox       | 143 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/pluginextension.c | 102 +++++++++++++++++++++++++++++++++++
 src/pluginextension.h | 129 ++++++++++++++++++++++++++++++++++++++++++++-
 3 files changed, 373 insertions(+), 1 deletion(-)

commit ef70f3b7d12207a19e4b2ae904028bf911c5fc1c
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Apr 20 20:51:19 2024 +0200

    Add Geany code delegating keyword highlighting to plugins

 src/document.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 2fba3420c51753da1d25e07a128c14d33b23a86f
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jun 30 11:38:08 2024 +0200

    Add Geany code delegating symbol goto to plugins
    
    Most of the changes just make it possible for the extension freely
    decide whether to perform goto based on its internal logic.
    This moves obtaining the current word and related logic for Geany's
    TM-based goto into symbols_goto_tag().
    
    Co-authored-by: Colomban Wendling <ban@herbesfolles.org>

 src/editor.c      |  6 +-----
 src/keybindings.c |  8 +-------
 src/symbols.c     | 41 ++++++++++++++++++++++++++++++++---------
 src/symbols.h     |  2 +-
 4 files changed, 35 insertions(+), 22 deletions(-)

commit 554b5078e8e219c6aa491bd59c905eb0b9b3ae9f
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Apr 20 19:30:40 2024 +0200

    Add Geany code delegating calltips to plugins

 src/editor.c      | 14 +++++++++-----
 src/keybindings.c |  5 ++++-
 2 files changed, 13 insertions(+), 6 deletions(-)

commit 3edf06b7252a9f40a0ee54dfcebefa30f71bb368
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jun 30 01:59:40 2024 +0200

    Add Geany code delegating autocompletion to plugins

 src/editor.c      | 12 +++++++-----
 src/keybindings.c |  6 +++++-
 2 files changed, 12 insertions(+), 6 deletions(-)

commit 7a741bea339e74894ffdf537832d1ea9c039b34d
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Apr 20 19:03:59 2024 +0200

    Add interface used by plugins to replace some Geany functionality with their own implementation
    
    Co-authored-by: Colomban Wendling <ban@herbesfolles.org>

 meson.build           |   3 +
 plugins/geanyplugin.h |   1 +
 src/Makefile.am       |   2 +
 src/pluginextension.c | 175 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/pluginextension.h |  64 ++++++++++++++++++
 5 files changed, 245 insertions(+)

commit 9bf5769f582cbf3d82a1faca035e7f63e8908afe
Merge: 20908b843 39ce0c095
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Jun 29 15:45:50 2024 +0200

    Merge pull request #3916 from techee/symtree_icons
    
    Export some types/functions so plugins have access to Geany symbol icons

commit 39ce0c095967964db6b49b411f6bf54d08ae53d1
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Apr 20 20:58:19 2024 +0200

    Export some types/functions so plugins have access to Geany symbol icons

 src/symbols.c              | 21 +++++++++++++++++++--
 src/symbols.h              |  1 +
 src/tagmanager/tm_parser.h | 34 ++++++++++++++++++++--------------
 3 files changed, 40 insertions(+), 16 deletions(-)

commit 20908b843eb46fe185f32baf2fde96d0e20f70da
Merge: 422a75883 2aaa66b3b
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Jun 23 22:55:03 2024 +0200

    Merge pull request #3823 from ntrel/msg-tree-search
    
    [RFC] Enable keyboard searching for Compiler and Messages tree views

commit 422a7588357f1e1e4a9ac7f4edaa842ae2a99409
Merge: 7e01e3dd8 8f00b04ce
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Jun 22 09:07:35 2024 +0100

    Merge pull request #3903 from techee/win_msg
    
    Drop win32_message_dialog()s

commit 6c1fdf6f8e78512bd43ba2e84169f0321979eebf
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Jun 20 12:46:20 2024 +0200

    Add an explanation comment

 src/project.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 7e01e3dd8af374ea80ba0932f99bcdcb41955a88
Merge: 6d420cf52 0a25af7d1
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Jun 20 10:23:17 2024 +0100

    Merge pull request #3913 from techee/include_fix
    
    Don't include geanyfunctions.h from geanyplugin.h

commit 6d420cf5207bca801250479edfb4856d2f34f76d
Merge: 90027ebf0 944f188f0
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Jun 20 10:13:52 2024 +0100

    Merge pull request #3912 from techee/utils_private
    
    Move utils_utf8_strdown() under GEANY_PRIVATE in utils.h

commit 0a25af7d16bebf84729694ea6c4dd224b6deabd8
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Jun 20 00:32:54 2024 +0200

    Don't include geanyfunctions.h from geanyplugin.h
    
    Clangd complains with
    
    main file cannot be included recursively when building a preamble
    
    and I suspect geanyfunctions.h is the old (and now empty) version
    of geanyplugin.h so there's no need to include it anyway.

 plugins/geanyplugin.h | 1 -
 1 file changed, 1 deletion(-)

commit 944f188f018af3264dd132ca83c91c3a500cc6d0
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Jun 20 00:13:53 2024 +0200

    Move utils_utf8_strdown() under GEANY_PRIVATE in utils.h

 src/utils.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 90027ebf0f7034f0aad61d509c0f1f9a1dda7ea3
Merge: 4ce9018b8 abbe1c984
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jun 16 19:05:52 2024 +0200

    Merge pull request #3909 from techee/infobar_fix
    
    Avoid unwanted selection when infobar shows by mouse click in Scintilla

commit 4ce9018b8fcd580d667d1462326dcf887d5c2218
Merge: 948387391 e01d7c4f0
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Jun 15 22:14:11 2024 +0200

    Merge pull request #3877 from techee/ctags_sync6
    
    Update ctags to p6.1.20240519.0

commit 94838739140cd0552a91a3eecc0013d00f99a11f
Merge: b7f3e327c 0cf693037
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Jun 14 23:28:43 2024 +0200

    Merge pull request #3902 from techee/progressbar_cpu
    
    Fix elevated CPU usage after ui_progress_bar_start/stop() is used

commit b7f3e327c3bc0080325f8efcd35e44ba2077f556
Merge: 37e861805 293157c7a
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Jun 14 22:34:42 2024 +0200

    Merge pull request #3891 from b4n/document_activate_fix_2
    
    Fix emission of document-activate signal and associated UI glitches

commit abbe1c984f6da1f1a1fa89851b9d010e5d3a19ae
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Jun 14 13:17:41 2024 +0200

    Avoid unwanted selection when infobar shows by mouse click in Scintilla
    
    Steps to reporduce:
    1. Open file A in Geany
    2. In a separate window, edit the same file (using e.g. vi)
    3. Click to Geany editor so it regains focus
    4. An infobar appears. As it appears, several lines in editor are selected
    
    The selection is caused by the fact that as the same time the editor
    is being clicked, Geany checks if the document was modified and shows
    the info bar. The info bar makes the Scintilla editor smaller and it
    scrolls by the amount of lines corresponding to the height of the
    infobar. All this happens in the click handler and for Scintilla it
    appears as if the mouse button was presses during the scroll and it makes
    the selection.
    
    Showing infobars on idle seems to fix the problem.
    
    Fixes #3906.

 src/document.c | 34 ++++++++++++++++++++++++++--------
 1 file changed, 26 insertions(+), 8 deletions(-)

commit 293157c7a99880523900e29a1e3191800c2018fe
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Jun 1 22:25:21 2024 +0200

    Fix emission of document-activate signal and associated UI glitches
    
    PR https://github.com/geany/geany/pull/3267 broke handling of several
    special tab switch cases:
    
    * By showing the tab's child too early, it prevented the switch-page
      handler to properly work in situations where there was only one page,
      as the tab switch would happen at page creation yet the document
      would not be valid yet.
    * It removed explicit emission of the switch-page signal when the
      source and target pages are the same after session opening, which
      happens if the active session page is the first one.
    
    Fix this by mostly reverting 23367de0c5237558ea63cb8c711d46390d978267
    and implementing the delay directly in the switch-page handler.
    
    Fixes #3684.

 src/callbacks.c | 59 ++++++++++++++++++++++++++++++++++++++++++++++-----------
 src/document.c  | 39 +++++++++-----------------------------
 src/editor.c    |  7 ++-----
 src/keyfile.c   |  6 +++---
 src/libmain.c   |  2 +-
 src/notebook.c  |  2 --
 6 files changed, 63 insertions(+), 52 deletions(-)

commit 37e8618052e8cf6c4a534911625e160c40d7a5c9
Merge: a0964041b 0dfd4655a
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Jun 13 00:07:58 2024 +0200

    Merge pull request #3572 from techee/document_before_save_as
    
    Add "document-before-save-as" signal

commit a0964041b874f79a435271356326d0ac87721b6d
Merge: 05286579a 350434025
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed Jun 12 22:50:46 2024 +0200

    Merge pull request #3650 from b4n/autotools-gmo-update
    
    Autotools: regenerate gmo files when po files are updated

commit 8f00b04cefd88630e1860e100ffab3e8dd81f2a2
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Jun 12 13:43:35 2024 +0200

    Drop win32_message_dialog()s
    
    There doesn't seem to be much need for these and they look a little
    different from the rest of Geany (or a lot different when Windows
    uses the dark theme and Geany the light one). Before removing the native
    win32 file open dialogs, win32_message_dialog() was called from the native
    file dialog implementations so its presence was necessary but I think
    normal GTK dialogs will serve their purpose well.

 src/dialogs.c | 35 +---------------------------------
 src/win32.c   | 61 -----------------------------------------------------------
 src/win32.h   |  2 --
 3 files changed, 1 insertion(+), 97 deletions(-)

commit 05286579a253e2806192e863475b28b47843b2aa
Merge: 7909ce299 3106a9385
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Jun 12 14:01:33 2024 +0200

    Merge pull request #3861 from techee/native_dialogs
    
    Use GtkFileChooserNative for opening files on Windows and macOS

commit 3106a938506c3b73e775d055025fb774aa828b80
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Jun 11 22:21:26 2024 +0200

    Do not create empty file filters
    
    The xdg-desktop-portal file chooser implementation (that can be forced
    with `GTK_USE_PORTAL=1`) doesn't allow those and fails to create the
    dialog if there are any such filter.
    
    This seems like a potential xdg-desktop-portal bug, but it's easy
    enough to workaround, and there's no guarantee yet it will change.
    
    It's also unlikely to actually happen that we create such an empty
    filter, but it is possible if a filetype doesn't have a corresponding
    filetype_extensions.conf entry.

 src/dialogs.c   | 12 +++++++-----
 src/filetypes.c | 17 +++++++++++++++++
 2 files changed, 24 insertions(+), 5 deletions(-)

commit f1a2870609d855c4ba3acbfc341bb314cc96b687
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Jun 11 13:06:44 2024 +0200

    Remove some more win32 code that was previously used by native dialogs

 src/win32.c | 121 ------------------------------------------------------------
 1 file changed, 121 deletions(-)

commit 0cf69303741737f2b7fd0a0de024f5ecc0755985
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Jun 10 21:47:29 2024 +0200

    Fix elevated CPU usage after ui_progress_bar_start/stop() is used
    
    After calling
    ```
    ui_progress_bar_start("foo");
    ...
    ui_progress_bar_stop();
    ```
    
    which should theoretically completely stop the progress bar, I get
    elevated CPU usage of the whole Geany process ~1% CPU on idle (and
    around 4% on macOS) compared to 0% after Geany launch before the status
    bar progress bar is used (e.g. by compiling). GTK seems to keep the widget
    connected to "tick callback" which causes the higher CPU (in fact, there's
    no gtk_progress_bar_stop() so it can't do it).
    
    The workaround to fix this problem is to call
    ```
    gtk_progress_bar_set_fraction()
    ```
    which switches the progress bar to the mode where it shows the user-provided
    progress and this removes the "tick callback".

 src/printing.c | 2 ++
 src/ui_utils.c | 4 ++++
 2 files changed, 6 insertions(+)

commit 7a259e8ed7e76f3861d192afa083dae78de44e7b
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Jun 10 00:03:43 2024 +0200

    Apply Colomban's patch allowing to remember selected file filter

 src/dialogs.c | 32 ++++++++++++++++++--------------
 1 file changed, 18 insertions(+), 14 deletions(-)

commit 2337e3e9e4334b8c9ce44460b6f6f8ed94ab2986
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jun 9 19:15:46 2024 +0200

    Reword help tooltip for the native dialogs

 data/geany.glade | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7909ce299350e1ea882be3a559240aa374cec454
Merge: be7e3cea3 b3b2eed0a
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Jun 9 13:52:46 2024 +0200

    Merge pull request #3815 from ntrel/fb-open
    
    [plugins/filebrowser] Change external open default to `xdg-open`

commit be7e3cea30d723d9d4a3fcaa8ea3e7e83cd60c44
Merge: 539287d6f 41620fc86
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Jun 9 13:46:03 2024 +0200

    Merge pull request #3833 from ntrel/custom-dialog
    
    [build] Improve custom command dialog

commit 539287d6f2d45ee6fa62e8f88612f7f25ea77cdd
Merge: b17d6b2ba 186166f5c
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Jun 9 13:39:32 2024 +0200

    Merge pull request #3893 from techee/version_fix
    
    meson: make VERSION contain string, not a double

commit b17d6b2baea9691a610a927ef7a038c035a82df6
Merge: 1ec795330 17f87f857
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Jun 9 13:30:03 2024 +0200

    Merge pull request #3878 from eht16/issue3660_rename_win32_macro
    
    Remove custom WIN32 compiler macro in favor of _WIN32

commit 1ec79533008a3afd16514c689f84e444e3f8a9ad
Merge: 96e6fb7d3 65aab5a43
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Jun 9 13:26:07 2024 +0200

    Merge pull request #3885 from eht16/win32_add_glib_compile_schemas
    
    Windows: Add glib-compile-schemas.exe to GTK bundle

commit d267fa2d92b069a9c0c19675a0b88a842d967181
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Jun 8 23:08:27 2024 +0200

    Fix a problem when multiple project opens clear the default session
    
    Steps to reproduce:
    1. With no project open, open some files
    2. Open project A
    3. Without closing project A first, open project B
    4. Close project B
    5. The originally open files from (1) are gone
    
    The problem is that when project A closes and all its files are closed,
    load_config() gets called which contains
    
    configuration_save_default_session();
    
    This saves the session with all files closed and replaces the original
    session.
    
    This patch modifies the code to call configuration_save_default_session()
    only when there are some open tabs so the above problem gets solved.
    
    Even though I was worried that this would break saving default session
    when all its files get closed and then a project is loaded, it
    doesn't seem to be the case (I haven't investigated deep enough why).
    
    An alternative to this approach would be to pass a boolean as a parameter
    of quite many functions and propagate the information whether
    project close preceded its opening but it introduces a much bigger diff
    and makes the complicated session opening stuff even wilder.
    
    Fixes #3897.

 src/project.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 4b1be9a5776d1ca125a2b70177b618acee9b9db5
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Jun 8 20:52:56 2024 +0200

    Use GTK_IS_NATIVE_DIALOG() in tests instead of GTK_IS_WIDGET()

 plugins/saveactions.c | 12 ++++++------
 src/dialogs.c         | 16 ++++++++--------
 2 files changed, 14 insertions(+), 14 deletions(-)

commit da3442e2172c901762a74098655e0b1855b977a1
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Jun 8 20:30:10 2024 +0200

    Use default labels in native dialogs

 plugins/saveactions.c | 2 +-
 src/dialogs.c         | 4 ++--
 src/project.c         | 6 +++---
 src/symbols.c         | 2 +-
 src/ui_utils.c        | 2 +-
 5 files changed, 8 insertions(+), 8 deletions(-)

commit cf8c5c52d794ce39fc951075435689671d7f6af0
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Jun 8 12:22:57 2024 +0200

    Make strings translatable

 plugins/saveactions.c | 2 +-
 src/dialogs.c         | 4 ++--
 src/project.c         | 6 +++---
 src/symbols.c         | 2 +-
 src/ui_utils.c        | 2 +-
 5 files changed, 8 insertions(+), 8 deletions(-)

commit 26a1143fe9ca55f1b2172569598b5b4d129a807e
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Jun 8 11:44:25 2024 +0200

    Convert the saveactions plugin to use native dialogs

 plugins/saveactions.c | 41 ++++++++++++++++++++++++++++++++---------
 1 file changed, 32 insertions(+), 9 deletions(-)

commit 186166f5ca30d126cb4ee663df73947dfa616d10
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Jun 7 22:12:49 2024 +0200

    meson: make VERSION contain string, not a double
    
    In autotools, the generated config.h contains
    
    #define VERSION "2.1"
    
    while in meson it's
    
    #define VERSION 2.1

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6dc240625f4ace92bd18edf67d8961e77efb3ed6
Author: ajpf44 <ajpf44@gmail.com>
Date:   Thu Jun 6 09:24:55 2024 -0300

    Add support for .tsx and .jsx file extensions to filetype_extensions.conf

 data/filetype_extensions.conf | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 96e6fb7d3d924354a1bc9226f389124d29506010
Merge: dec5450cd e366b21fc
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Jun 2 18:47:51 2024 +0200

    Merge pull request #3757 from andy5995/iss-3752
    
    Add Dockerfile filedef

commit dec5450cd3fce2c4a0d4509b556d169dff73caa2
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri May 31 09:47:56 2024 +0200

    PowerShell: Update keywords (#3886)
    
    https://learn.microsoft.com/en-us/powershell/module/microsoft.powershell.core/about/about_language_keywords?view=powershell-7.4

 data/filedefs/filetypes.powershell | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e366b21fcc5eea51cc36ac151af2363dcedec8ac
Author: andy5995 <arch_stanton5995@protonmail.com>
Date:   Fri Feb 9 06:29:32 2024 -0600

    Add Dockerfile filedef
    
    Per @elextr will require further discussion.
    
    Closes https://github.com/geany/geany/issues/3752 but

 data/Makefile.am                        |  1 +
 data/filedefs/filetypes.Dockerfile.conf | 14 ++++++++++++++
 data/filetype_extensions.conf           |  3 ++-
 3 files changed, 17 insertions(+), 1 deletion(-)

commit ac357ed1c84d07a4e19d2dbb00251eaec6500e3c
Merge: 6f0519c32 dcd46bbe6
Author: Jiří Techet <techet@gmail.com>
Date:   Mon May 27 17:18:41 2024 +0200

    Merge pull request #3865 from techee/none_crash
    
    Fix crash by protecting tm_ctags_*() functions against TM_PARSER_NONE

commit dcd46bbe62e32d3ed1f6f25b977cdfeecd95ee2d
Author: Jiří Techet <techet@gmail.com>
Date:   Sun May 5 00:26:59 2024 +0200

    Protect tm_ctags_*() functions against TM_PARSER_NONE language parameter
    
    This can happen when in the filetype configuration we set
    
    [settings]
    tag_parser=
    
    This then leads to a crash in the ctags code.

 src/tagmanager/tm_ctags.c | 25 ++++++++++++++++++++++---
 1 file changed, 22 insertions(+), 3 deletions(-)

commit e01d7c4f00f0c168326568cdc17e2b3d6341351a
Author: Jiří Techet <techet@gmail.com>
Date:   Sun May 26 23:20:18 2024 +0200

    Update to the latest jscript parser which contains some fixes

 ctags/parsers/jscript.c | 70 ++++++++++++++++++++++++++++---------------------
 1 file changed, 40 insertions(+), 30 deletions(-)

commit ca9789473ad32a696d8f6bc712b4631bbf86f159
Author: Jiří Techet <techet@gmail.com>
Date:   Sun May 26 23:17:58 2024 +0200

    Map Matlab variables back to tm_tag_undef_t
    
    The parser makes tags for each assignment which is too noisy.

 src/tagmanager/tm_parser.c             |  3 +--
 tests/ctags/matlab_backtracking.m.tags | 10 ----------
 tests/ctags/matlab_test.m.tags         |  2 --
 3 files changed, 1 insertion(+), 14 deletions(-)

commit 834d81ce2b8ddcc495f70eb65ed2809689a7b47d
Author: Jiří Techet <techet@gmail.com>
Date:   Sun May 26 22:31:24 2024 +0200

    Map powershell enumlabel to tm_tag_enumerator_t

 src/tagmanager/tm_parser.c | 14 +++++++-------
 tests/ctags/enum.ps1.tags  | 16 ++++++++++++++++
 2 files changed, 23 insertions(+), 7 deletions(-)

commit 6f0519c3207e4752ff60f1d7d275becf32b42a8a
Author: Peter C. S. Scholtens <peter.scholtens@freedom.nl>
Date:   Sun May 26 00:46:32 2024 +0200

    Update nl.po (#3881)
    
    Removed two typo's

 po/nl.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 65aab5a43de127c9aa62c9a29c9abff8f7610921
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sat May 25 13:06:55 2024 +0200

    Windows: Compile GLib schemas after installation

 geany.nsi.in | 2 ++
 1 file changed, 2 insertions(+)

commit f5c2985eeb92f5882143699422a0f6a1b92f1add
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sat May 25 13:06:03 2024 +0200

    Windows: Add glib-compile-schemas.exe to GTK bundle
    
    This is necessary to compile GLib schemas, e.g. when installing plugins
    with their dependencies.

 scripts/gtk-bundle-from-msys2.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7d1b0ca805f1b830a9276ab48ceec2d8acb239de
Author: Chocobo1 <Chocobo1@users.noreply.github.com>
Date:   Tue May 21 17:33:21 2024 +0800

    Add file extensions for TypeScript (#3867)
    
    `.cts`: CommonJS TypeScript
    `.mts`: ES TypeScript
    
    See:
    https://www.typescriptlang.org/docs/handbook/modules/reference.html#module-format-detection

 data/filetype_extensions.conf | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 17f87f857adf4b2a4cea95f292e0899ba92e42ec
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Mon May 20 16:33:22 2024 +0200

    Remove custom WIN32 compiler macro in favor of _WIN32
    
    Closes #3660.

 ctags/gnu_regex/regex_internal.h | 2 +-
 m4/geany-mingw.m4                | 1 -
 2 files changed, 1 insertion(+), 2 deletions(-)

commit 266bf72d20e8ddc8fc2862c0ab3a5ab9cd523259
Merge: 529f5d496 bb15a702a
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Mon May 20 16:02:41 2024 +0200

    Merge pull request #3851 from eht16/issue3702_add_various_pref_replace_in_session
    
    Closes #3702.

commit f52ed0e95f74f714789bb156752d9921fff11606
Author: Jiří Techet <techet@gmail.com>
Date:   Sun May 19 14:25:13 2024 +0200

    Update matlab unit test output

 tests/ctags/matlab_test.m.tags | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit df6aca53349f12501ab9849da0e941337b981c53
Author: Jiří Techet <techet@gmail.com>
Date:   Sun May 19 14:20:30 2024 +0200

    Add missing powershell mapping

 src/tagmanager/tm_parser.c | 1 +
 1 file changed, 1 insertion(+)

commit 1b92bace7c781053ede56004bb7cbaf5200dd6e4
Author: Jiří Techet <techet@gmail.com>
Date:   Sun May 19 14:14:35 2024 +0200

    Update ctags to p6.1.20240519.0

 ctags/libreadtags/readtags.c | 298 ++++++++++++++++++++++++++++++-------------
 ctags/libreadtags/readtags.h |  20 ++-
 ctags/main/repoinfo.h        |   2 +-
 ctags/parsers/jscript.c      |  96 ++++++++++----
 ctags/parsers/matlab.c       |  11 +-
 ctags/parsers/pascal.c       |  11 ++
 ctags/parsers/powershell.c   |  35 +++++
 7 files changed, 354 insertions(+), 119 deletions(-)

commit 529f5d496b0182e495b3262407fa6e86533000fc
Author: Chocobo1 <Chocobo1@users.noreply.github.com>
Date:   Sun May 19 09:26:03 2024 +0800

    Add `.cjs` extension for JavaScript (#3866)
    
    `.cjs` is a commonly used file extension for Node.js and it is the
    complementary of `.mjs`.
    See: https://nodejs.org/docs/latest/api/esm.html#enabling

 data/filetype_extensions.conf | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d7bb8210d7ad880b0c903b78b0f66c46b755dae7
Author: Jiří Techet <techet@gmail.com>
Date:   Sat May 18 15:44:25 2024 +0200

    update-ctags.py: Also copy the readtags library

 scripts/update-ctags.py | 4 ++++
 1 file changed, 4 insertions(+)

commit 2d1b3d5cbc2c33f7371a7bb8393c454398a99759
Merge: 11b4a00a3 ae75c73b4
Author: Jiří Techet <techet@gmail.com>
Date:   Tue May 14 13:45:19 2024 +0200

    Merge pull request #3859 from techee/ctags_sync2
    
    Sync our ctags to the latest tag version (p6.1.20240421.0)

commit ae75c73b48db70a5d59e2dc02a566f1ebfa2ef46
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon May 13 22:32:25 2024 +0200

    Fix a JavaScript test
    
    Remove invalid code (despite what the code says) that now confuses the
    parser, leading to missing tags after it.

 tests/ctags/simple.js      | 3 ++-
 tests/ctags/simple.js.tags | 6 ++++++
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 77614bd228aaba187faaef3631d127f231fce1f4
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon May 13 22:04:02 2024 +0200

    Map PowerShell classes and enums

 src/tagmanager/tm_parser.c |  6 ++++--
 tests/ctags/Makefile.am    |  2 ++
 tests/ctags/class.ps1      | 29 +++++++++++++++++++++++++++++
 tests/ctags/class.ps1.tags | 12 ++++++++++++
 tests/ctags/enum.ps1       | 23 +++++++++++++++++++++++
 tests/ctags/enum.ps1.tags  |  8 ++++++++
 tests/meson.build          |  2 ++
 7 files changed, 80 insertions(+), 2 deletions(-)

commit 2d8d4f2edacbfc82743a4d020d9c22bc6526b92b
Author: Jiří Techet <techet@gmail.com>
Date:   Sun May 12 22:38:57 2024 +0200

    Use GTK_RESPONSE_ACCEPT which is also used by GtkFileChooserNative

 src/symbols.c  | 4 ++--
 src/ui_utils.c | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 4dff3767b9f80719dab3d1a83443be52cd377fa8
Author: Jiří Techet <techet@gmail.com>
Date:   Sun May 12 21:46:41 2024 +0200

    Use GtkFileChooserNative in ui_utils.c

 src/ui_utils.c | 28 ++++++++++++++++++----------
 1 file changed, 18 insertions(+), 10 deletions(-)

commit ee8f885acf554c494b00f0f3a80a3c17676838ca
Author: Jiří Techet <techet@gmail.com>
Date:   Sun May 12 21:38:15 2024 +0200

    Remove usage of windows-native dialogs from ui_utils.c and win32.c/h

 src/ui_utils.c | 16 -----------
 src/win32.c    | 89 ----------------------------------------------------------
 src/win32.h    |  4 ---
 3 files changed, 109 deletions(-)

commit 91fb8850281979356cdc38b5ea2b97e1b7132461
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Apr 28 19:53:35 2024 +0200

    Use GtkFileChooserNative depending on user configuration

 data/geany.glade |  16 +++++
 src/dialogs.c    | 197 +++++++++++++++++++++++++++++++++----------------------
 src/dialogs.h    |   3 +
 src/keyfile.c    |  11 +++-
 src/prefs.c      |   8 +++
 src/project.c    | 118 +++++++++++++++++++--------------
 src/symbols.c    |  29 ++++----
 src/ui_utils.h   |   2 +-
 8 files changed, 239 insertions(+), 145 deletions(-)

commit 0dfd4655a98778c74ba2f3c2de135627acb84e01
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Sep 19 20:37:23 2023 +0200

    Add "document-before-save-as" signal
    
    Right now only the "document-save" is fired when performing "save as"
    which lacks the information about the original file name (which, for
    instance, is necessary for the LSP client where it needs to notify
    the server that the "old" document was closed and the document under
    the new name opened).

 doc/pluginsignals.c | 11 +++++++++++
 src/document.c      |  2 ++
 src/geanyobject.c   |  7 +++++++
 src/geanyobject.h   |  1 +
 4 files changed, 21 insertions(+)

commit acb4678486110d90dd46eb6dea336f5907cafb14
Author: Jiří Techet <techet@gmail.com>
Date:   Fri May 10 23:27:17 2024 +0200

    Map freepascal namespaces and add a unit test for them

 src/tagmanager/tm_parser.c     |  5 +++--
 tests/ctags/Makefile.am        |  1 +
 tests/ctags/namespace.bas      | 15 +++++++++++++++
 tests/ctags/namespace.bas.tags | 12 ++++++++++++
 tests/meson.build              |  1 +
 5 files changed, 32 insertions(+), 2 deletions(-)

commit 0b52e79c93942d115d94a2df6015a1c704fb0ad6
Author: Jiří Techet <techet@gmail.com>
Date:   Fri May 10 23:08:50 2024 +0200

    Add dummy TMParserMapGroup for ldscript to avoid warnings

 src/tagmanager/tm_parser.c | 1 +
 1 file changed, 1 insertion(+)

commit 11b4a00a3020b1c9ace3d3ae65aa5ec7d5ff84e0
Merge: ef2255bce 1ae53900e
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri May 10 21:50:42 2024 +0200

    Merge pull request #3759 from andy5995/meson-fix-deprecated-str-fmt
    
    Fix deprecation warning about str.format() during meson setup

commit 1ae53900e616eee1415fbbb90ed1733a3a54422e
Author: andy5995 <arch_stanton5995@protonmail.com>
Date:   Fri Feb 9 07:36:33 2024 -0600

    Fix deprecation warning about str.format() during meson setup
    
    Each object in the list is a file object, not a string:
    
    `ctags_tests = files([...` hence the message:
    
    "tests/meson.build:359: DEPRECATION: Project uses feature that was
    always broken, and is now deprecated since '1.3.0': str.format: Value
    other than strings, integers, bools, options, dictionaries and lists
    thereof..."

 tests/meson.build | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit ef2255bced523a3ad75773bac3e77b02725f10fd
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Wed May 1 13:49:00 2024 +0200

    Small update of German translation

 po/de.po | 1850 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 941 insertions(+), 909 deletions(-)

commit bb15a702a9a0ae9eb4e2f805e391f30c6a9f06ad
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Apr 28 14:50:31 2024 +0200

    fixup: do not increase plugin API version

 src/plugindata.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d515bce2167fd8623c83dc51e38562a4b822d019
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Apr 27 22:11:33 2024 +0200

    Use repoinfo.h with the used tag version

 ctags/main/repoinfo.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aa0c796b5c1e6a1b6a4050086309a5864819eca3
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Apr 27 22:09:38 2024 +0200

    Switch to uctags regex-based matlab parser
    
    Even though the output isn't perfect, I'd prefer not to maintain
    our own version of the parser (with different kinds which makes
    ctags files incompatible with our version).

 ctags/Makefile.am                      |   2 +-
 ctags/parsers/geany_matlab.c           | 150 ---------------------------------
 ctags/parsers/matlab.c                 |  53 ++++++++++++
 meson.build                            |   2 +-
 src/tagmanager/tm_parser.c             |   6 +-
 tests/ctags/matlab_backtracking.m.tags |  10 +++
 tests/ctags/matlab_test.m.tags         |   6 +-
 7 files changed, 73 insertions(+), 156 deletions(-)

commit 978eb03e3bb33612013495054238fbc2a66683cf
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Apr 27 19:38:51 2024 +0200

    Update unit tests for javascript
    
    There are lots of differences because of
    
    https://github.com/universal-ctags/ctags/commit/6d85089456ed215ce6b6a673744ae42ccc5e0e99
    
    Also
    
    https://github.com/universal-ctags/ctags/commit/b1870b826a384c35671937743720464947af3b7e
    
    seems to confuse the parser in simple.js so it doesn't generate
    my_global_var2.
    
    Finally, Geany reports
    
    (geany:820768): Tagmanager-WARNING **: 20:38:28.755: ignoring null tag in /home/parallels/projects/geany/doc/reference/jquery.js(line: 2, language: JavaScript)

 tests/ctags/1795612.js.tags                       |  4 +-
 tests/ctags/1850914.js.tags                       |  4 +-
 tests/ctags/1878155.js.tags                       |  4 +-
 tests/ctags/1880687.js.tags                       |  4 +-
 tests/ctags/3470609.js.tags                       |  8 +-
 tests/ctags/arraylist.js.tags                     | 34 +++++++-
 tests/ctags/bracematch.js.tags                    |  8 +-
 tests/ctags/bug1950327.js.tags                    |  4 +-
 tests/ctags/bug2888482.js.tags                    |  2 +
 tests/ctags/bug3571233.js.tags                    |  6 +-
 tests/ctags/complex-return.js.tags                | 16 ++--
 tests/ctags/js-class-related-unterminated.js.tags |  4 +-
 tests/ctags/js-const.js.tags                      |  4 +-
 tests/ctags/js-let.js.tags                        |  4 +-
 tests/ctags/js-string-continuation.js.tags        |  4 +-
 tests/ctags/js-unknown-construct-nesting.js.tags  |  4 +-
 tests/ctags/jsFunc_tutorial.js.tags               | 98 ++++++++++++++---------
 tests/ctags/parenthesis-rvalue.js.tags            |  8 +-
 tests/ctags/secondary_fcn_name.js.tags            | 12 +--
 tests/ctags/simple.js.tags                        | 10 ++-
 tests/ctags/ui5.controller.js.tags                |  2 +
 21 files changed, 146 insertions(+), 98 deletions(-)

commit 27659bdef5000de4cdf79ca0c154f7c9ad1dcd01
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Apr 27 19:15:59 2024 +0200

    Disable roles for macro kinds in C/C++
    
    When role kinds are enabled, they report tags also for checks like
    
    #ifdef MY_MACRO
    
    in which we are not interested.

 src/tagmanager/tm_parser.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 65bad205df3ce7a5bc089d3a71beac27e03b54de
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Apr 27 19:07:12 2024 +0200

    Update asm test
    
    Note: in C and other languages function arguments contain braces
    but it doesn't seem to be the case here. So instead of mymacro(args)
    we get mymacroargs in the pretty-printer script. Not sure if it's
    our problem or if the asm parser should be updated upstream.

 tests/ctags/masm.asm.tags | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 786819ba79574afcfd0cd92d0ac561a925441c1c
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Apr 27 19:00:31 2024 +0200

    Map filter to tm_tag_function_t for powershell to get the same output as before

 src/tagmanager/tm_parser.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cdf1aa1fbc7ba8d93dc3373a0c8600a80a4c03be
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Apr 27 18:55:31 2024 +0200

    Map defines to tm_tag_variable_t of verilog so we get the same output as before

 src/tagmanager/tm_parser.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e00a2684d34446ae7426ee8e00349f8d3595e2fc
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Apr 27 18:49:46 2024 +0200

    Map title/subtitle of the rst parser
    
    Without it we might not get proper hierarchy in the sidebar because
    of missing parent tags.

 src/tagmanager/tm_parser.c  |  6 ++++--
 tests/ctags/simple.rst      |  8 ++++++++
 tests/ctags/simple.rst.tags | 12 ++++++++----
 3 files changed, 20 insertions(+), 6 deletions(-)

commit f21e1de08482a73fdc41694e7dbc81c9735a29dc
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Apr 27 18:36:38 2024 +0200

    Update parser kind mappings
    
    All extra kinds are mapped to undef_t.
    
    Geany starts after this step.

 src/tagmanager/tm_parser.c | 51 ++++++++++++++++++++++++++++++----------------
 1 file changed, 33 insertions(+), 18 deletions(-)

commit 7943b7d9ec47805caac6b071ca13da4a73c14326
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Apr 27 10:52:19 2024 +0200

    Add ldscript parser
    
    The parser isn't used by Geany itself but is started from within
    the cxx parser and the asm parser which don't run correctly
    without it.

 ctags/Makefile.am           |   1 +
 ctags/parsers/ldscript.c    | 925 ++++++++++++++++++++++++++++++++++++++++++++
 meson.build                 |   1 +
 src/tagmanager/tm_parser.c  |  12 +
 src/tagmanager/tm_parser.h  |   1 +
 src/tagmanager/tm_parsers.h |   3 +-
 6 files changed, 942 insertions(+), 1 deletion(-)

commit baaed02db0c345da0034d7f87fa3aa8c2f55b753
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Apr 27 00:59:31 2024 +0200

    Update all parsers and related files to ctags p6.1.20240421.0
    
    Geany compiles fine after this step, it just doesn't run because
    of incorrect mappings.

 ctags/Makefile.am                        |   11 +
 ctags/dsl/es.c                           |   37 +-
 ctags/dsl/es.h                           |    6 +
 ctags/dsl/optscript.c                    |  240 ++-
 ctags/dsl/optscript.h                    |    2 +-
 ctags/main/CommonPrelude.c               |   96 ++
 ctags/main/args.c                        |    6 +-
 ctags/main/colprint.c                    |   11 +-
 ctags/main/ctags.h                       |   50 +-
 ctags/main/debug.c                       |    5 +-
 ctags/main/debug.h                       |   14 +-
 ctags/main/dependency.c                  |   26 +-
 ctags/main/dependency.h                  |    1 +
 ctags/main/dependency_p.h                |    1 +
 ctags/main/e_msoft.h                     |    1 -
 ctags/main/entry.c                       |  551 ++++--
 ctags/main/entry.h                       |  159 +-
 ctags/main/error_p.h                     |    4 +-
 ctags/main/field.c                       |  155 +-
 ctags/main/field.h                       |   10 +-
 ctags/main/field_p.h                     |   12 +-
 ctags/main/fmt.c                         |   12 +-
 ctags/main/general.h                     |    2 +-
 ctags/main/htable.c                      |  200 ++-
 ctags/main/htable.h                      |   16 +-
 ctags/main/interval_tree_generic.h       |  197 +++
 ctags/main/keyword.c                     |   38 +-
 ctags/main/keyword.h                     |   20 +
 ctags/main/kind.c                        |    7 +-
 ctags/main/lregex.c                      |  977 ++++++++---
 ctags/main/lregex_p.h                    |    7 +-
 ctags/main/lxpath.c                      |   17 +-
 ctags/main/lxpath.h                      |    2 +
 ctags/main/lxpath_p.h                    |    1 +
 ctags/main/main.c                        |    2 +-
 ctags/main/mbcs.c                        |    4 +-
 ctags/main/mini-geany.c                  |   48 +-
 ctags/main/nestlevel.c                   |   50 +-
 ctags/main/nestlevel.h                   |   17 +-
 ctags/main/numarray.c                    |   12 +-
 ctags/main/numarray.h                    |    3 +-
 ctags/main/options.c                     |  238 +--
 ctags/main/options_p.h                   |    5 +-
 ctags/main/param.c                       |   92 +-
 ctags/main/param.h                       |    4 +-
 ctags/main/param_p.h                     |   21 +-
 ctags/main/parse.c                       |  655 +++++--
 ctags/main/parse.h                       |   35 +-
 ctags/main/parse_p.h                     |   24 +-
 ctags/main/parsers_p.h                   |   40 +-
 ctags/main/promise.c                     |   56 +-
 ctags/main/promise.h                     |    2 +
 ctags/main/ptag.c                        |   39 +-
 ctags/main/ptag_p.h                      |    5 +
 ctags/main/ptrarray.c                    |   18 +-
 ctags/main/ptrarray.h                    |    4 +-
 ctags/main/rbtree.c                      |  713 ++++----
 ctags/main/rbtree.h                      |  193 +--
 ctags/main/rbtree_augmented.h            |  247 +++
 ctags/main/read.c                        |  144 +-
 ctags/main/read.h                        |   21 +-
 ctags/main/read_p.h                      |    9 +-
 ctags/main/repoinfo.h                    |    2 +-
 ctags/main/routines.c                    |   59 +-
 ctags/main/routines.h                    |    5 +-
 ctags/main/script.c                      |   10 +-
 ctags/main/script_p.h                    |    6 +-
 ctags/main/seccomp.c                     |    2 +
 ctags/main/selectors.c                   |  445 +++--
 ctags/main/selectors.h                   |   20 +-
 ctags/main/sort.c                        |   44 +-
 ctags/main/strlist.c                     |    4 +-
 ctags/main/subparser.h                   |    1 +
 ctags/main/subparser_p.h                 |    1 -
 ctags/main/trace.h                       |   14 +-
 ctags/main/trashbox.c                    |    1 +
 ctags/main/types.h                       |    4 +-
 ctags/main/unwindi.c                     |    6 +-
 ctags/main/utf8_str.c                    |   83 +
 ctags/main/utf8_str.h                    |   22 +
 ctags/main/vstring.c                     |   32 +-
 ctags/main/vstring.h                     |   61 +-
 ctags/main/writer-ctags.c                |   79 +-
 ctags/main/writer-json.c                 |   34 +-
 ctags/main/writer.c                      |    4 +-
 ctags/main/writer_p.h                    |    8 +-
 ctags/main/xtag.c                        |    6 +-
 ctags/main/xtag_p.h                      |    4 +-
 ctags/parsers/abaqus.c                   |    6 +-
 ctags/parsers/ada.c                      |   74 +-
 ctags/parsers/asciidoc.c                 |   42 +-
 ctags/parsers/asm.c                      |  654 ++++++-
 ctags/parsers/autoit.c                   |   34 +-
 ctags/parsers/basic.c                    |  326 +++-
 ctags/parsers/bibtex.c                   |   93 +-
 ctags/parsers/bibtex.h                   |   25 +
 ctags/parsers/clojure.c                  |   38 +-
 ctags/parsers/cobol.c                    |   12 +-
 ctags/parsers/cpreprocessor.c            |  505 +++++-
 ctags/parsers/cpreprocessor.h            |   26 +-
 ctags/parsers/css.c                      |    9 +-
 ctags/parsers/cxx/cxx.c                  |   16 +
 ctags/parsers/cxx/cxx_debug.c            |   17 +-
 ctags/parsers/cxx/cxx_keyword.c          |   81 +-
 ctags/parsers/cxx/cxx_keyword.h          |   15 +-
 ctags/parsers/cxx/cxx_parser.c           |  133 +-
 ctags/parsers/cxx/cxx_parser_block.c     |  100 +-
 ctags/parsers/cxx/cxx_parser_function.c  |   76 +-
 ctags/parsers/cxx/cxx_parser_internal.h  |   16 +
 ctags/parsers/cxx/cxx_parser_lambda.c    |    3 +-
 ctags/parsers/cxx/cxx_parser_module.c    |  331 ++++
 ctags/parsers/cxx/cxx_parser_namespace.c |    4 +-
 ctags/parsers/cxx/cxx_parser_template.c  |   43 +-
 ctags/parsers/cxx/cxx_parser_tokenizer.c |   86 +-
 ctags/parsers/cxx/cxx_parser_typedef.c   |   13 +-
 ctags/parsers/cxx/cxx_parser_using.c     |   26 +-
 ctags/parsers/cxx/cxx_parser_variable.c  |  123 +-
 ctags/parsers/cxx/cxx_qtmoc.c            |    3 +-
 ctags/parsers/cxx/cxx_scope.c            |   25 +-
 ctags/parsers/cxx/cxx_scope.h            |    5 +
 ctags/parsers/cxx/cxx_side_chain.c       |  230 +++
 ctags/parsers/cxx/cxx_side_chain.h       |   33 +
 ctags/parsers/cxx/cxx_tag.c              |  159 +-
 ctags/parsers/cxx/cxx_tag.h              |   50 +-
 ctags/parsers/cxx/cxx_token.c            |   18 +-
 ctags/parsers/cxx/cxx_token.h            |   11 +-
 ctags/parsers/cxx/cxx_token_chain.c      |   92 +-
 ctags/parsers/cxx/cxx_token_chain.h      |   10 +-
 ctags/parsers/diff.c                     |    4 +-
 ctags/parsers/erlang.c                   |   10 +-
 ctags/parsers/flex.c                     |   18 +-
 ctags/parsers/fortran.c                  |  188 +-
 ctags/parsers/gdscript.c                 |   74 +-
 ctags/parsers/geany_lcpp.h               |   23 +
 ctags/parsers/go.c                       |   13 +-
 ctags/parsers/haskell.c                  |    2 +-
 ctags/parsers/haxe.c                     |   57 +-
 ctags/parsers/html.c                     |  181 +-
 ctags/parsers/iniconf.c                  |   24 +-
 ctags/parsers/jscript.c                  | 2752 ++++++++++++++++++------------
 ctags/parsers/jscript.h                  |   32 +
 ctags/parsers/json.c                     |    7 +-
 ctags/parsers/julia.c                    |   16 +-
 ctags/parsers/lisp.c                     |   18 +-
 ctags/parsers/lua.c                      |   18 +-
 ctags/parsers/make.c                     |   85 +-
 ctags/parsers/markdown.c                 |  190 ++-
 ctags/parsers/markdown.h                 |   37 +
 ctags/parsers/nsis.c                     |   34 +-
 ctags/parsers/objc.c                     |   14 +-
 ctags/parsers/ocaml.c                    |   18 +-
 ctags/parsers/pascal.c                   |   18 +-
 ctags/parsers/perl.c                     |  334 +++-
 ctags/parsers/perl.h                     |    1 +
 ctags/parsers/php.c                      |   75 +-
 ctags/parsers/powershell.c               |  234 ++-
 ctags/parsers/python.c                   |  190 ++-
 ctags/parsers/r.c                        |   19 +-
 ctags/parsers/rst.c                      |  410 ++++-
 ctags/parsers/ruby.c                     |  665 ++++++--
 ctags/parsers/ruby.h                     |   43 +
 ctags/parsers/rust.c                     |   25 +-
 ctags/parsers/sh.c                       |  515 +++++-
 ctags/parsers/sh.h                       |   42 +
 ctags/parsers/sql.c                      |  358 +++-
 ctags/parsers/tcl.c                      |   21 +-
 ctags/parsers/tcloo.c                    |   11 +-
 ctags/parsers/tex.c                      |    9 +-
 ctags/parsers/typescript.c               |   14 +-
 ctags/parsers/verilog.c                  |  687 +++++---
 ctags/parsers/vhdl.c                     |   12 +-
 meson.build                              |   11 +
 172 files changed, 13120 insertions(+), 4504 deletions(-)

commit 7b14e1a8a31a6b52700c33c5880093e6e9a28d28
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Apr 26 23:47:52 2024 +0200

    Update perl6.c to raku.c parser
    
    The file name has been changed and we cannot use the script for the
    update.

 ctags/Makefile.am                 |   2 +-
 ctags/parsers/{perl6.c => raku.c} | 105 ++++++++++++++++++++++++--------------
 meson.build                       |   2 +-
 3 files changed, 69 insertions(+), 40 deletions(-)

commit de4f029fb23c4058a71db6f05a4c892643a0ec62
Merge: 9a507b47b aa4e90180
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Apr 24 00:09:36 2024 +0200

    Merge pull request #3785 from techee/anon_fix
    
    Rename both scope and var_type of anonymous types

commit aa4e901807e8f0294f25d9f4ef3516b775ce0b8d
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Mar 6 23:11:36 2024 +0100

    Rename both scope and var_type of anonymous types
    
    In addition to scope, anonymous type can appear also inside var_type
    which should be renamed as well.
    
    Thanks to Colomban Wendling for improving the original version of this
    patch.
    
    Fixes #3717.

 src/tagmanager/tm_ctags.c      | 59 ++++++++++++++++++++++++------------------
 tests/ctags/Makefile.am        |  1 +
 tests/ctags/nested_anon.c      |  5 ++++
 tests/ctags/nested_anon.c.tags |  6 +++++
 tests/meson.build              |  1 +
 5 files changed, 47 insertions(+), 25 deletions(-)

commit c0cd092a49a3162f57691099f115fc2689515774
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Tue Apr 23 22:45:46 2024 +0200

    fixup: move new search pref to the end of struct

 src/search.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9a507b47bc514514d15838d0dbf442317ed987fd
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Apr 22 22:20:14 2024 +0200

    meson: Use host instead of target
    
    They are gonna be the same in practice, but it's not how "target" is
    supposed to be used, see [1] and [2].
    
    Streamline this to use "host", which also makes things match our
    Autotools closer.
    
    [1] https://mesonbuild.com/Cross-compilation.html
    [2] https://www.gnu.org/software/autoconf/manual/html_node/Specifying-Target-Triplets.html

 meson.build | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 15831f4dfb7c8cd7de5080e8dfddf7d84ca60c4f
Merge: 9fff38560 c8365fd88
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Apr 21 21:34:31 2024 +0200

    Merge pull request #3720 from b4n/encodings-ui-improvements
    
    Encodings UI improvements

commit 9fff385604685e6707b0741ed9a737aaa5c23248
Merge: a168fac8f 053667e3a
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Apr 21 21:33:21 2024 +0200

    Merge pull request #3716 from b4n/encodings-fixes
    
    Various encodings conversion fixes

commit a168fac8f683668f78517087b4efbc63cf48f98f
Merge: 2c4261510 c509b9000
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Apr 21 19:50:41 2024 +0200

    Merge pull request #3163 from techee/ocaml_parser
    
    Add Ocaml ctags parser

commit 8c9818eb861065ca48854e0d7aed5b2daf52310a
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Apr 21 17:57:49 2024 +0200

    Reformat various prefs table in docs

 doc/geany.txt | 271 +++++++++++++++++++++++++++++-----------------------------
 1 file changed, 136 insertions(+), 135 deletions(-)

commit 0a817aaca27051522321a9c9a1717eed41f56d35
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Apr 21 17:47:45 2024 +0200

    Add missing various pref docs

 doc/geany.txt | 3 +++
 1 file changed, 3 insertions(+)

commit 8bc9132acd14d6e9a1792bc9a9e7e2829b675c79
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Apr 21 17:47:15 2024 +0200

    Add a various pref to skip 'replace in session' confirmation dialog
    
    Closes #3702.

 doc/geany.txt    | 4 ++++
 src/keyfile.c    | 2 ++
 src/plugindata.h | 2 +-
 src/search.c     | 3 ++-
 src/search.h     | 2 ++
 5 files changed, 11 insertions(+), 2 deletions(-)

commit 2c4261510de9cf7d6024a3faffa0ad37704ef1b2
Merge: 679d79f98 6f72e72a1
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Apr 21 17:34:53 2024 +0200

    Merge pull request #3656 from cx384/fortran_keywords
    
    Update fortran keywords

commit 679d79f9870ea37802598634c6e3fc6c905725de
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Apr 20 19:46:39 2024 +0200

    tests: Mark several functions static

 tests/test_sidebar.c | 8 ++++----
 tests/test_utils.c   | 4 ++--
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 548c971499aecfa1021541b00ff40b0c6506cabb
Merge: 3f60bdef1 53a42c6de
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Apr 20 17:26:59 2024 +0200

    Merge pull request #3846 from b4n/utils-get-initials
    
    Fix invalid memory access and Unicode support in utils_get_initials()

commit 53a42c6de7875b0f112b4ed22eb3f3e1c9cf967c
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Apr 19 23:15:14 2024 +0200

    Fix invalid memory access and Unicode support in utils_get_initials()
    
    Fix utils_get_initials() reading past the end of the input string if
    that string was empty.
    
    Also fix support for non-ASCII initials for which the UTF-8 character
    representation would have been truncated to the first byte only,
    leading to an invalid value.
    
    Fixes #3844.

 src/utils.c        | 32 ++++++++++++++++++++++++--------
 tests/test_utils.c | 23 +++++++++++++++++++++++
 2 files changed, 47 insertions(+), 8 deletions(-)

commit 3f60bdef185421f9d9934f4579b942f78fe82bc3
Merge: 0acee692b c120dcb36
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Apr 19 01:44:44 2024 +0200

    Merge pull request #3837 from b4n/erl-ns
    
    Erlang: display module node in the symbols tree

commit 0acee692b122890c7bd1085c9b8b1dcd63a51bd8
Merge: 32bbe1061 3bc2cf5ef
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Apr 19 01:42:53 2024 +0200

    Merge pull request #3838 from b4n/search-after-toolbar-edit
    
    Fix search entry after editing the toolbar

commit 32bbe106195f953e980bfa756b5a7ccad1ee209d
Author: Nick Treleaven <ntrel002@gmail.com>
Date:   Mon Apr 15 13:05:01 2024 +0100

    Fix Find in Files invalid directory error (#3818)
    
    When the Find in Files path doesn't exist, the status bar says "Cannot execute grep tool...: Failed to change the working directory. Check the path setting in Preferences". Which is confusing and hides the real problem in the middle of irrelevant text. Instead, show a dialog with the correct error only. Fixes #1347.
    
    * Fix FiF capitalization
    * Set FIF search/directory entry background to indicate error

 data/geany.glade |  2 +-
 src/search.c     | 20 +++++++++++++++-----
 src/ui_utils.c   |  5 +++++
 3 files changed, 21 insertions(+), 6 deletions(-)

commit fc9126271c9cf8268b1bf71eb7cefe660d6cdd33
Merge: 36f794ae7 067cc9e14
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Apr 14 15:30:16 2024 +0200

    Merge pull request #3812 from Biswa96/meson-add-geany-icon
    
    meson: Add icon with geany program

commit 36f794ae7f4d83afa58ae3c60b3fb3ddda60f9d3
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Apr 14 14:05:21 2024 +0200

    Windows: Update indirect dependencies for bundle creation
    
    The MSYS2 gettext package was split into multiple packages,
    we need "gettext-runtime" now.

 scripts/gtk-bundle-from-msys2.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3bc2cf5efb0e6d71dccc88105658656e70282a61
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Apr 14 01:54:28 2024 +0200

    Fix search entry after editing the toolbar
    
    According to b0b0ebb469a6b7eb74d321e6f5d7fe6f0bfcf6ba we guard against
    proxying the widget more than once for some Windows reasons, but this
    breaks the case where the same GeanyEntryAction has to re-create a
    fresh proxy, like when moving the item around.
    
    So, move the guard value to the proxied widget, not the action.
    
    Fixes #3831.

 src/geanyentryaction.c | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit c120dcb368c55157ca2051a917287ae539498f25
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Apr 14 00:37:15 2024 +0200

    Erlang: display module node in the symbols tree
    
    Properly display the module node itself in the symbols tree so it can
    be the module content's parent instead of having each content node
    showing the module name as prefix.
    
    Fixes #2650.

 src/tagmanager/tm_parser.c | 3 ++-
 tests/ctags/maze.erl.tags  | 2 ++
 tests/ctags/test.erl.tags  | 2 ++
 3 files changed, 6 insertions(+), 1 deletion(-)

commit a44df8bb570e5d43f882649826e5d34ca3907a63
Author: Nick Treleaven <ntrel002@gmail.com>
Date:   Sat Apr 13 12:24:56 2024 +0100

    [msgwin] Reset compiler/messages treeview width at start of build/search (#3816)
    
    * [build] Reset compiler treeview width at start of build
    
    If the previous build had a long error message, I have to scroll to the
    right. The next build is still scrolled to the right and I can't see all
    the normal length messages until I manually scroll back to the left.
    
    * Same for Find in Files, Find Usage

 src/build.c  |  2 ++
 src/search.c | 17 +++++++++++------
 2 files changed, 13 insertions(+), 6 deletions(-)

commit 41620fc8626ab2c0f1b00b9d695b5b773273745d
Author: Nick Treleaven <ntrel002@gmail.com>
Date:   Fri Apr 12 17:55:07 2024 +0100

    [build] Improve custom command dialog
    
    Show the command stem in the label.
    Use command label for dialog title.

 src/build.c   | 13 ++++++++++---
 src/dialogs.c |  1 +
 2 files changed, 11 insertions(+), 3 deletions(-)

commit 2aaa66b3b59780f298576fb3ea90ae0f77282502
Author: Nick Treleaven <ntrel002@gmail.com>
Date:   Mon Apr 8 11:16:22 2024 +0100

    Enable keyboard searching for Compiler and Messages tree views

 src/msgwindow.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bb1ebf675c902f842ebe934f1005dc128f14273d
Author: Nick Treleaven <ntrel002@gmail.com>
Date:   Mon Apr 8 11:01:14 2024 +0100

    Toggling treeview parent is GTK; Add note about GTK2 notebook tabs

 doc/geany.txt | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit dbaf99e3528a2f9007c4ab0ced416bdd87c22574
Author: Nick Treleaven <ntrel002@gmail.com>
Date:   Mon Apr 8 10:35:38 2024 +0100

    Document *Go to line* offsets (#3817)

 doc/geany.txt | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit fd6d4ceec27e68486cde9d8c33038e1d18e48612
Author: Nick Treleaven <ntrel002@gmail.com>
Date:   Fri Apr 5 19:23:22 2024 +0100

    [docs] Add Document List tips

 doc/geany.txt | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit b3b2eed0a7a3fb9730790981a753ea8b3f717399
Author: Nick Treleaven <ntrel002@gmail.com>
Date:   Fri Apr 5 10:48:57 2024 +0100

    [filebrowser] Change external open default to xdg-open

 plugins/filebrowser.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1735daeb2cff6022cf9f5da6b13d6f2340cca6e1
Author: தமிழ்நேரம் <67970539+TamilNeram@users.noreply.github.com>
Date:   Fri Apr 5 00:54:00 2024 +0530

    Added தமிழ் translation file -  ta.po (#3723)
    
    Added தமிழ் translation

 po/ta.po | 6218 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 6218 insertions(+)

commit bfbbb21bfd0944c08f15ac77df0947af9452e1d2
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Thu Apr 4 21:10:59 2024 +0200

    Remove pointer to removed intl_stats.sh

 README.I18N | 8 --------
 1 file changed, 8 deletions(-)

commit 067cc9e1494c52d84a91c38410e487b494bb50de
Author: Biswapriyo Nath <nathbappai@gmail.com>
Date:   Thu Apr 4 13:35:31 2024 +0000

    meson: Add icon with geany program

 meson.build | 4 ++++
 1 file changed, 4 insertions(+)

commit 90968916af982c0a8f26d5a1b3f4623200312e9e
Author: Biswapriyo Nath <nathbappai@gmail.com>
Date:   Wed Apr 3 14:39:58 2024 +0000

    meson: Prevent showing console after running geany in Windows
    
    Previously, a console window is shown in background when geany.exe is executed.
    This change fixes the above issue by specifying _windows_ subsystem type.

 meson.build | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 3a92129d61d4d8e96136e29d4709bb638527be40
Merge: 8320f20cd 546fb85b2
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Thu Mar 28 09:56:55 2024 +0100

    Merge pull request #3791 from eht16/issue3627_remove_win32_native_dialog_from_glade
    
    Remove "Use Windows native dialogs" GUI setting

commit 8320f20cdc874e0489778d7951b666382973c29b
Merge: 847dc92d0 34956bc80
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Mar 20 21:36:54 2024 +0100

    Merge pull request #3795 from techee/hacking2
    
    Update HACKING with find_shebang() and editor_set_indentation_guides()

commit 34956bc802ebd7cb697612f70cb9422893f6f4e1
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Mar 19 23:19:15 2024 +0100

    Update HACKING with find_shebang() and ditor_set_indentation_guides()

 HACKING | 5 +++++
 1 file changed, 5 insertions(+)

commit c509b9000633acd9c9af93f15a84a3f4e6dd5ad3
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Apr 12 21:37:36 2022 +0200

    Add Ocaml ctags parser

 ctags/Makefile.am           |    1 +
 ctags/parsers/ocaml.c       | 2094 +++++++++++++++++++++++++++++++++++++++++++
 meson.build                 |    1 +
 src/filetypes.c             |    2 +-
 src/tagmanager/tm_parser.c  |   22 +
 src/tagmanager/tm_parser.h  |    1 +
 src/tagmanager/tm_parsers.h |    3 +-
 tests/ctags/Makefile.am     |    1 +
 tests/ctags/simple.ml       |   35 +
 tests/ctags/simple.ml.tags  |   20 +
 tests/meson.build           |    1 +
 11 files changed, 2179 insertions(+), 2 deletions(-)

commit 847dc92d0e412baff0a9b640bbd25b1cbe546cfa
Merge: dcefe723a fad5af87e
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Mar 19 22:23:32 2024 +0100

    Merge pull request #3169 from techee/perl6
    
    Add Raku (Perl 6) filetype support (lexer and ctags parser)

commit fad5af87e74dbb3850c0e3a5cb764894dbc2151c
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Mar 18 23:07:24 2024 +0100

    fixup! Add Raku (Perl 6) filetype support (lexer and ctags parser)

 src/filetypes.c | 1 +
 1 file changed, 1 insertion(+)

commit 3b666ca60dc70039b6ede71a9323eb994256f6b4
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Mar 17 23:22:55 2024 +0100

    fixup! Add Raku (Perl 6) filetype support (lexer and ctags parser)

 src/filetypes.c | 1 +
 1 file changed, 1 insertion(+)

commit 546fb85b22ea8cf48d7c6ac373c713a608707d5e
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Mar 17 18:17:45 2024 +0100

    Remove "Use Windows native dialogs" GUI setting
    
    This is a left-over from #3219 and should have been removed already.
    
    Fixes #3627.

 data/geany.glade | 16 ----------------
 src/prefs.c      |  3 ---
 2 files changed, 19 deletions(-)

commit dcefe723a79f24107dcb08bbc63b1ef4581f2849
Merge: 8d97d8f15 a8bb8700e
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Mar 17 15:11:40 2024 +0100

    Merge pull request #3769 from andy5995/ci-add-codeql
    
    CI: Add CodeQL Analysis workflow

commit a8bb8700e1d55e63c71fa2850d9862d211178677
Author: andy5995 <arch_stanton5995@protonmail.com>
Date:   Mon Mar 11 01:47:23 2024 -0500

    Change concurrency rules

 .github/workflows/build.yml  | 2 +-
 .github/workflows/codeql.yml | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit e5a73c9e3608ca7185c508fe8f0d1199a4a89078
Author: andy5995 <arch_stanton5995@protonmail.com>
Date:   Sun Mar 3 20:27:21 2024 -0600

    Add CodeQL Analysis workflow

 .github/workflows/codeql.yml | 80 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 80 insertions(+)

commit 8d97d8f15dda2f9691232820bb6814162fb2473e
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Mar 3 17:59:46 2024 +0100

    Windows: Remove only existing directories when bundling GTK

 scripts/gtk-bundle-from-msys2.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b3a1eae2b2ea0579bb94dd0cbbf43dba76113117
Merge: 06acd17cb 6e2dee3cf
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Mar 3 14:39:29 2024 +0100

    Merge pull request #3760 from eht16/3746_add_screenshot_to_readme
    
    Add screenshot to README

commit 06acd17cbeab6c0154e752b584aaf5001d9af1e8
Merge: 0494e3417 ae29d6938
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Mon Feb 12 23:49:02 2024 +0100

    Merge pull request #3765 from geany/dependabot/github_actions/actions/upload-artifact-4
    
    Bump actions/upload-artifact from 3 to 4

commit 0494e3417e13a58be7222c9db4d231a363513991
Merge: 6fc6f9384 a17e35225
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Mon Feb 12 23:47:07 2024 +0100

    Merge pull request #3764 from geany/dependabot/github_actions/docker/login-action-3
    
    Bump docker/login-action from 2 to 3

commit 6fc6f938416933f69a2d523a2ad2beef9d1884ec
Merge: abc80e894 82b0d10d9
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Mon Feb 12 23:45:35 2024 +0100

    Merge pull request #3763 from geany/dependabot/github_actions/actions/cache-4
    
    Bump actions/cache from 3 to 4

commit abc80e894e391e1c73fa97315271c1e646a29059
Merge: eb28f070b 0eca44124
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Mon Feb 12 23:43:01 2024 +0100

    Merge pull request #3762 from geany/dependabot/github_actions/actions/checkout-4
    
    Bump actions/checkout from 3 to 4

commit ae29d6938eb7c1791a8ebedecedd888828cf7ce8
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Feb 12 22:37:21 2024 +0000

    Bump actions/upload-artifact from 3 to 4
    
    Bumps [actions/upload-artifact](https://github.com/actions/upload-artifact) from 3 to 4.
    - [Release notes](https://github.com/actions/upload-artifact/releases)
    - [Commits](https://github.com/actions/upload-artifact/compare/v3...v4)
    
    ---
    updated-dependencies:
    - dependency-name: actions/upload-artifact
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .github/workflows/build.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a17e35225fa01d5f3e12965b7d2b660190382af5
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Feb 12 22:37:16 2024 +0000

    Bump docker/login-action from 2 to 3
    
    Bumps [docker/login-action](https://github.com/docker/login-action) from 2 to 3.
    - [Release notes](https://github.com/docker/login-action/releases)
    - [Commits](https://github.com/docker/login-action/compare/v2...v3)
    
    ---
    updated-dependencies:
    - dependency-name: docker/login-action
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .github/workflows/build.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 82b0d10d97b931dfa20d8f9e3c1c5fd3699bcd88
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Feb 12 22:37:16 2024 +0000

    Bump actions/cache from 3 to 4
    
    Bumps [actions/cache](https://github.com/actions/cache) from 3 to 4.
    - [Release notes](https://github.com/actions/cache/releases)
    - [Changelog](https://github.com/actions/cache/blob/main/RELEASES.md)
    - [Commits](https://github.com/actions/cache/compare/v3...v4)
    
    ---
    updated-dependencies:
    - dependency-name: actions/cache
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .github/workflows/build.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0eca441248c2fed63baf6cb851c24a710d0d8028
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Feb 12 22:37:13 2024 +0000

    Bump actions/checkout from 3 to 4
    
    Bumps [actions/checkout](https://github.com/actions/checkout) from 3 to 4.
    - [Release notes](https://github.com/actions/checkout/releases)
    - [Changelog](https://github.com/actions/checkout/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/actions/checkout/compare/v3...v4)
    
    ---
    updated-dependencies:
    - dependency-name: actions/checkout
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .github/workflows/build.yml | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit eb28f070bd54878951c27b1b66f16b4b2c0f87ad
Merge: 06b8e6b1c a5d9d5c35
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Mon Feb 12 23:36:49 2024 +0100

    Merge pull request #3758 from andy5995/add-dependabot
    
    Add dependabot.yml for Github Actions updates

commit a5d9d5c351faf7350807094377f3d20e3014a7cd
Author: andy5995 <arch_stanton5995@protonmail.com>
Date:   Fri Feb 9 07:05:30 2024 -0600

    Add dependabot.yml
    
    This will cause dependabot to open PRs to bump any actions, such as
    "checkout" when never major versions are released.
    
    https://docs.github.com/en/code-security/dependabot/dependabot-version-updates/configuration-options-for-the-dependabot.yml-file

 .github/dependabot.yml | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 6e2dee3cf3df8d2d446d99c3241fc4bfc5cb8758
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sat Feb 10 23:52:30 2024 +0100

    Add screenshot to README
    
    Related to #3746.

 README | 5 +++++
 1 file changed, 5 insertions(+)

commit 06b8e6b1c9c73636906d23d2c272d85dabc0ff56
Merge: 512e88df8 c090698fa
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed Dec 20 12:02:05 2023 +0100

    Merge pull request #3719 from eht16/remove_deprecated_doxygen_settings
    
    Remove deprecated Doxygen settings

commit c8365fd881b0e0880be14f8a850a1f3c179f3966
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Dec 10 23:32:25 2023 +0100

    Don't try knowingly unsupported encodings

 src/encodings.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9e4c6e8b72980a83199d2fb78e21cf1766e2c704
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Dec 10 23:32:03 2023 +0100

    Don't display unsupported encodings

 src/encodings.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 3a019a43e96b8df423ce7af2d6a74231bbac0205
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Dec 10 23:16:12 2023 +0100

    encodings: Add a flag for whether the encoding is supported
    
    This adds support for checking whether an encoding is actually
    supported on the system, as some are commonly not supported everywhere,
    e.g. ISO-IR-111, ISO-8859-8-I or HZ.
    
    Here we assume that a conversion to UTF-8 means it also works the other
    way around (e.g. from UTF-8, assuming the data can be represented, of
    course).  This is a valid assumption if GNU libc or GNU libiconv is
    used, and might or might not hold for other implementations.
    This assumption however makes the code a fair bit simpler, and should
    have little impact in reality as this flag is mostly a suggestion that
    can be used to hide UI elements or skip attempts, and that in most
    situations it doesn't make much sense for us to be able to *write* to
    an encoding we cannot read.
    
    As for startup performances, checking all encodings takes about 10ms on
    my machine, which sounds Good Enough™.
    
    This is currently unused, but subsequent commits will start using this.

 src/encodings.c        | 27 ++++++++++++++++++++++++++-
 src/encodingsprivate.h |  1 +
 2 files changed, 27 insertions(+), 1 deletion(-)

commit 3b10790a41d570bb52cd1a40952914dd3641a743
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Dec 11 21:52:04 2023 +0100

    prefs: Remove separate checkbox for default open encoding
    
    Show and use the "Detect from file" combo member instead of having a
    dedicated checkbox for this.
    
    I don't see the value of having a separate checkbox for this:
    * We don't save two values anyway, so the value when detection is
      enabled is artificial;
    * It makes the UI more complex by having more controls;
    * It takes screen estate;
    * We already have the code for adding a "Detect from file" in the combo
      box.

 data/geany.glade | 16 ----------------
 doc/geany.txt    | 10 +++++-----
 src/prefs.c      | 40 +++++++++-------------------------------
 3 files changed, 14 insertions(+), 52 deletions(-)

commit c090698fafaf238e8a9b450c2cc4f2aaaaca3780
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Tue Dec 12 22:58:25 2023 +0100

    Remove deprecated Doxygen settings
    
    This removes the followings warnings when generating the docs:
    warning: Tag 'LATEX_SOURCE_CODE' at line 1758 of file 'Doxyfile.tmp' has become obsolete.
             To avoid this warning please remove this line from your configuration file or upgrade it using "doxygen -u"
    warning: Tag 'CLASS_DIAGRAMS' at line 2113 of file 'Doxyfile.tmp' has become obsolete.
             To avoid this warning please remove this line from your configuration file or upgrade it using "doxygen -u"
    warning: Changing CLASS_GRAPH option to TEXT because obsolete option CLASS_DIAGRAM was found and set to NO.

 doc/Doxyfile.in | 19 -------------------
 1 file changed, 19 deletions(-)

commit 053667e3a95650691f1a48673c94794d98b1da37
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Dec 12 22:38:11 2023 +0100

    Report actual error to the caller in encodings_convert_to_utf8_auto()
    
    This allows the caller to produce a more precise error message, and in
    some cases handle specific failures specifically if it wants to.

 src/document.c         | 16 ++++++----------
 src/encodings.c        | 43 ++++++++++++++++++++++++++-----------------
 src/encodingsprivate.h |  3 ++-
 src/templates.c        |  7 +++++--
 tests/test_encodings.c | 10 ++++++++--
 5 files changed, 47 insertions(+), 32 deletions(-)

commit effe633ef710c690eeff4bb37ce5ce1d13d1c8fc
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Dec 10 22:49:16 2023 +0100

    Small code cleanup
    
    Use more idiomatic loops.

 src/encodings.c | 18 +++---------------
 1 file changed, 3 insertions(+), 15 deletions(-)

commit 512e88df8d97284c191459450bce4dd7877b9c2b
Merge: ffaa38365 17523e5f8
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Dec 10 00:34:06 2023 +0100

    Merge pull request #3640 from eht16/issue3624_do_not_none_charset
    
    Do not show charset "None" in the list of encodings

commit ffaa38365b229f370d2085ed560575b7dbc2fd70
Merge: aaaf1ed59 ea2458e44
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Dec 10 00:18:54 2023 +0100

    Merge pull request #3681 from BayashiPascal/master
    
    Fix focusing the symbol list through key binding

commit ea2458e4472fe0d42d4e8ae460596b561b1d37c7
Author: Baillehache Pascal <baillehache.pascal@gmail.com>
Date:   Sat Nov 11 10:20:57 2023 +0900

    Fix focusing the symbol list through key binding
    
    Fixes #3678
    
    Co-authored-by: Colomban Wendling <lists.ban@herbesfolles.org>

 src/sidebar.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aaaf1ed59b56aecb5fb8d76b93a177b3652f3a17
Merge: e5680fe85 0629be7ac
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Dec 9 23:59:45 2023 +0100

    Merge pull request #3698 from TheDcoder/patch-1
    
    Add `.mjs` extension for JavaScript

commit 9b054d16b4ed54de2486c6762ea00478f041b08c
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Dec 9 21:06:48 2023 +0100

    meson: Add encodings test

 tests/meson.build | 1 +
 1 file changed, 1 insertion(+)

commit cb68cdb2f1b5c544b3235edde3bb12f149360fe7
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Dec 4 22:54:47 2023 +0100

    Refactor to remove duplication, lower assumptions and improve safety
    
    * Do not have repeated code paths having to manually update
      `buffer->size` with `strlen(buffer->data)`;
    * This also reduces how many code paths assume `buffer->data` is
      NUL-free at this stage -- we still have some, but they are a little
      less critical, and it's a step in the right direction anyway;
    * Perform the NUL-freeness check unconditionally, only assuming
      `buffer->size` is correct, which it ought to be anyway.

 src/encodings.c | 71 ++++++++++++++++++++++++++++++---------------------------
 1 file changed, 38 insertions(+), 33 deletions(-)

commit 3d4761788ab284687f46ae4c1285363a6b73ad22
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Dec 8 21:57:05 2023 +0100

    Fix silently truncating files with NULs
    
    This is slightly brittle, so it might require some refactoring.

 src/encodings.c        | 63 +++++++++++++++++++++++++-------------------------
 src/encodingsprivate.h |  2 +-
 tests/test_encodings.c | 47 +++++++++++++++----------------------
 3 files changed, 50 insertions(+), 62 deletions(-)

commit 65250c8359a3c02ccb6c872a912a92be52c9d8a3
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Dec 4 22:09:58 2023 +0100

    Add some tests for empty data with BOM

 tests/test_encodings.c | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)

commit a0ed61aad298c6b291d2703edd004807bcd065c5
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed Nov 29 23:31:23 2023 +0100

    Add some basic UTF-7 tests

 tests/test_encodings.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit e3177c8c3816904b896325aae06c4a3758ba13cf
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed Nov 29 21:37:50 2023 +0100

    Add basic tests for UTF-16* and UTF-32*

 tests/test_encodings.c | 59 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 59 insertions(+)

commit 187e04624ff04105199ee0a405d21de754836d3c
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Nov 28 23:28:22 2023 +0100

    Remove unused code

 src/encodings.c | 4 ----
 1 file changed, 4 deletions(-)

commit b23201c01390e6ed6d631cf232e404691ffe91ec
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Dec 8 21:43:40 2023 +0100

    encodings: Fix detection of non-UTF-8 inline encodings
    
    If there are non-UTF-8 data in the first 512 bytes we failed to detect
    the inline encoding using the regex match, because our regexes required
    a fully valid UTF-8 buffer.
    
    This kind of defeats the purpose of the feature; so relax the match to
    use plain bytes instead.

 src/encodings.c        | 2 +-
 tests/test_encodings.c | 3 +--
 2 files changed, 2 insertions(+), 3 deletions(-)

commit ae01d302425e53b82a90d87c4445d98441a77414
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Nov 28 23:18:33 2023 +0100

    Add some basic tests for encoding detection and conversion

 src/encodings.c        |  31 +++++--
 src/encodingsprivate.h |   1 +
 src/libmain.c          |   2 +
 tests/Makefile.am      |   3 +-
 tests/test_encodings.c | 217 +++++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 245 insertions(+), 9 deletions(-)

commit e5680fe85de536fc61ff0f2d4eadc54171d6c982
Author: rdipardo <59004801+rdipardo@users.noreply.github.com>
Date:   Thu Nov 23 02:56:19 2023 -0500

    Update Pascal filedef and extension mappings (#3694)
    
    * Update Pascal filedef and extension mappings
    
      #### filetypes.pascal
    
      - add line comments
    
      - pair the 'fpc' compile command with another common Free Pascal
        utility [^1], 'instantfpc', to build and run the current file
        in a single step
    
      #### filetype_extensions.conf
    
      - add Lazarus project files (*.lpr)
    
    * Replace obsolete [build_settings] with [build-menu]

 data/filedefs/filetypes.pascal | 18 ++++++++++++++----
 data/filetype_extensions.conf  |  2 +-
 2 files changed, 15 insertions(+), 5 deletions(-)

commit 0629be7ac2b97dc254fc51f1beda8dfe83c952a8
Author: Damon Harris <TheDcoder@protonmail.com>
Date:   Wed Nov 22 17:38:16 2023 +0530

    Add `.mjs` extension for JavaScript
    
    The `.mjs` extension is used by Node.js and others to denote JavaScript module files, unlike normal `.js` files these files are treated like ES6 modules by default.

 data/filetype_extensions.conf | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 88a0bfcb3618b2533a5e7e253c7ef7af3c0b0590
Merge: b02ee9a95 c42004402
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Nov 16 13:50:01 2023 +0100

    Merge pull request #3665 from b4n/less-warnings
    
    With this, you should be able to build src/ and plugins/ warning-free
    with:
    
        CFLAGS="-Wall -Wextra -g -Og -Wno-unused-parameter
        -Wunreachable-code -Wformat=2 -Wundef -Wshadow -Wpointer-arith
        -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes
        -Wmissing-declarations -Wnested-externs
        -Werror-implicit-function-declaration"
    
    (or just `-Wall -Wextra -g -Og -Wno-unused-parameter -Wwrite-strings`
    to start with) but for some Lexilla prototype and one deprecated
    Lexilla call.

commit c42004402ecefea7d809d4a51f7b427937ff4270
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Oct 29 23:08:25 2023 +0100

    Silence some -Wcast-function-type warnings
    
    We choose to think that unused extra parameters to a function are
    safely ignored, so that we can safely use a `void(*)(void*)` and call
    it as `void(*)(void*, void*)` and it'll Do the Right Thing™.  However,
    the compiler might easily warn about that, so hush it up.
    
    Although kind of shady, this should work on any platform where GTK
    does, so we should be fine.

 plugins/splitwindow.c | 2 +-
 src/dialogs.c         | 2 +-
 src/editor.c          | 2 +-
 src/notebook.c        | 2 +-
 src/symbols.c         | 2 +-
 src/utils.h           | 4 ++++
 6 files changed, 9 insertions(+), 5 deletions(-)

commit 50f4178ecce6abf802a44f563107bd0bca90720a
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Oct 29 21:13:16 2023 +0100

    Do not use GtkResponseType as response ID type
    
    `GtkResponseType` is supposed to be extensible by user code, and as
    such is not used as a type in GTK public API, but as `gint`, which
    allows passing other values (possibly from other enumerations) without
    risking type conversion issues or compiler warnings.
    
    Do the same in our own helper not to trigger GCC's `-Wenum-conversion`.

 src/document.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 496519d6631dfdef8d41559c642deac933e22f97
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Oct 26 21:48:21 2023 +0200

    Only pass literals as format strings for e.g. printf-style functions
    
    Passing a non-literal prevents the compiler from checking the arguments
    match the format, potentially hiding otherwise easy to detect bugs.

 src/document.c | 15 +++++++++------
 src/libmain.c  | 16 +++++++++-------
 src/search.c   | 10 ++++++----
 3 files changed, 24 insertions(+), 17 deletions(-)

commit 2705dd623e5c5b88679f7c2e790c3af5e371025b
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Oct 26 21:33:10 2023 +0200

    Fix variable shadowing
    
    Instead of renaming the local variable, rename the global one with the
    `build_` prefix to be a tad more clear and consistent.

 src/build.c | 36 ++++++++++++++++++------------------
 1 file changed, 18 insertions(+), 18 deletions(-)

commit 09b1558d3496a193d2efdd2f99adcb321743fffb
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed Oct 25 00:58:22 2023 +0200

    Silence warnings on appropriate GSourceFunc casts
    
    `g_source_set_callback()` is a generic API that takes a `GFunc`, but
    some specific `GSource`s use other signatures for their callback, so
    the cast is valid (given the callback is effectively correct).
    
    Silence warnings from `-Wcast-function-type` by inserting an
    intermediate `(void(*)(void))` cast, but keep some type checking by
    first casting to the actually wanted type:
    
        (GSourceFunc) (void(*)(void)) (GChildWatchFunc) spawn_watch_cb
    
    which reads from right to left:
    
    - `spawn_watch_cb`, the callback that should match `GChildWatchFunc`;
    - `(GChildWatchFunc)`, which allows the compiler to verify the function
      is effectively compatible with what we know it should be;
    - `(void(*)(void))`, dummy cast to silence `-Wcast-function-type`;
    - `(GSourceFunc)`, cast to the type expected by the generic API call.
    
    We could use GLib's `G_SOURCE_FUNC()` cast macro to some extent
    (everything but the rightmost cast), but it's in 2.58 which is newer
    than our target.

 src/spawn.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit f3d466a359c9c501d815938602f24dff6ab622ff
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed Oct 25 00:47:46 2023 +0200

    Avoid an easy-to-fix function cast
    
    plugin_free_leaf() is only used as a GFunc, so make it be one.

 src/plugins.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 727e8cde61d5357a63538df96ab4ca6c4cc8f931
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed Oct 25 00:31:33 2023 +0200

    Use g_*list_free_full() instead of g_*list_foreach()
    
    Simplifies code and avoids unnecessary or shady casts passing the
    element free function.

 plugins/filebrowser.c | 12 ++++--------
 src/dialogs.c         |  3 +--
 src/filetypes.c       |  3 +--
 src/plugins.c         |  6 ++----
 src/toolbar.c         |  3 +--
 5 files changed, 9 insertions(+), 18 deletions(-)

commit 0e0a96ef8e7fec5117f67f3aea1bcfa685d3f6d0
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Oct 24 22:29:32 2023 +0200

    Remove invalid placeholder code
    
    Since 9c49eceec823f042ffc93bea6e11e1e72d85df90 we don't have any
    per-GTK-version CSS data, so the array holding those and the associated
    metadata is empty.
    
    However an array in ISO C cannot be zero-sized, so just drop this
    placeholder code we might never need again anyway.

 src/ui_utils.c | 27 ---------------------------
 1 file changed, 27 deletions(-)

commit 910a7e651fb102fae18e788080da2666f31bd6c4
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Oct 24 22:26:40 2023 +0200

    Add casts for irrelevant -Wwrite-strings warnings
    
    Unfortunately GtkTargetEntry and GtkStockItem string members are not
    declared `const`, although they are used as so.  This requires adding
    casts when using literals together with -Wwrite-strings.

 src/notebook.c | 12 ++++++------
 src/toolbar.c  |  2 +-
 src/ui_utils.c |  8 ++++----
 src/vte.c      | 10 +++++-----
 4 files changed, 16 insertions(+), 16 deletions(-)

commit 73658f185b0398b2ec8610d6060f84033906001d
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Oct 24 22:13:01 2023 +0200

    "Fix" passing const arguments to spawn functions
    
    `char**` doesn't coerce to `const char**` or any variant thereof, so
    APIs expecting a `const char *const *` (like execv-style functions)
    usually just use `char**` as it's usually effectively *more* convenient
    for a caller.
    
    However, this means that if we want to pass const data, we need a cast
    (that is safe, as we know the API contract).
    
    If making the compiler treat string literals as const (using e.g. GCC's
    -Wwrite-strings), building an argument list composed of literals still
    need to be const, so make it so and add a cast to the API call.

 src/build.c    | 4 ++--
 src/printing.c | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 7f630aaf917b733c76640574610017fc3a7c15ab
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Oct 24 21:29:45 2023 +0200

    Fix fairly nasty implicit integer conversion
    
    Subtracting two unsigned values result in an unsigned value, and here
    to use a different sign on each side of a ternary operator.
    
    src/tagmanager/tm_workspace.c: In function 'sort_found_tags':
    src/tagmanager/tm_workspace.c:909:45: warning: operand of '?:' changes signedness from 'int' to 'gulong' {aka 'long unsigned int'} due to unsignedness of other operand [-Wsign-compare]
      909 |                 return info->sort_by_name ? g_strcmp0(t1->name, t2->name) : t2->line - t1->line;
          |                                             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    
    This is an especially valid concern as TMTag::line is an unsigned long,
    and the function returns an int, leading to possible sign swapping with
    extreme values.  This is fairly theoretical as it's unlikely actual
    files have enough lines for this to actually matter, but still.

 src/tagmanager/tm_workspace.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit ffad343f21be323b55b3ca44c6f2d0d4d9a008fb
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Oct 24 21:27:00 2023 +0200

    Fix harmless GCC warning
    
    src/tagmanager/tm_ctags.c: In function 'rename_anon_tags':
    src/tagmanager/tm_ctags.c:323:68: warning: array subscript has type 'char' [-Wchar-subscripts]
      323 |                                 anon_counter = ++anon_counter_table[kind];
          |                                                                    ^
    
    -Wchar-subscripts
        Warn if an array subscript has type "char".  This is a common cause
        of error, as programmers often forget that this type is signed on
        some machines.  This warning is enabled by -Wall.

 src/tagmanager/tm_ctags.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b02ee9a95a48690836f08ba10ccc9db89ee89c10
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Sun Nov 5 21:09:05 2023 +0000

    Update pt.po (#3654)
    
    Update Portuguese translation

 po/pt.po | 702 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 353 insertions(+), 349 deletions(-)

commit 2dc8c226760c1593c6ce2489dc534f99bca52b61
Merge: 5a0df3862 4b5430642
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Nov 3 00:00:59 2023 +0100

    Merge pull request #3643 from b4n/prefs-virtual-spaces-no-visual
    
    Move "Virtual Spaces" preference to "Editor -> Features"

commit 5a0df3862c19940705600b406fab2fd02b0812ac
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Oct 30 23:28:20 2023 +0100

    meson: Clean up VTE conditional

 meson.build | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 34ba3ddf1825271d337c2314eaf92ff7c71b7d17
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Oct 30 23:27:32 2023 +0100

    meson: Do not list Windows source files twice

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fb202dc583a9deefa3c17046fd7d5ad23c21e180
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Oct 30 23:21:01 2023 +0100

    meson: Only perform macos checks on macos
    
    Fixes #3649.

 meson.build | 18 +++++++++++++-----
 1 file changed, 13 insertions(+), 5 deletions(-)

commit 1e61b996ff4522a065724c05f290553b7ee4bab6
Merge: 949c11b6d 215271b02
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Nov 2 23:51:08 2023 +0100

    Merge pull request #3642 from b4n/meson-cfg_data-type
    
    meson: Use only a single type for a given configuration data item

commit 949c11b6d7f3299c87ff7e1b3206c9b37a24f201
Merge: eef67ecc2 4b791b27b
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Nov 2 20:15:04 2023 +0100

    Merge pull request #3670 from techee/hacking_fix2
    
    HACKING: use the correct function name to be updated for highlighting

commit 4b791b27bb182b17fe11cc9f511206bb683f4307
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Nov 1 23:07:59 2023 +0100

    HACKING: use the correct function name to be updated for highlighting

 HACKING | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eef67ecc200a6cf07f277c28282facf9854cd2ea
Merge: b7dd86194 158b89854
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Oct 29 20:32:37 2023 +0100

    Merge pull request #3657 from b4n/format-size
    
    Replace utils_make_human_readable_str() with g_format_size()

commit b7dd861941218b340abc5edf8e344907135ec721
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sat Oct 28 13:19:02 2023 +0200

    Increase the default width for the sidebar (#3637)
    
    This should prevent the sidebar from being cutoff or clipped
    of the window. The new value is about 25% of the default
    window width.
    
    Closes #3630.

 src/keyfile.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 158b89854627752d266094b316b9ed08360a1858
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed Oct 25 21:36:53 2023 +0200

    Replace utils_make_human_readable_str() with g_format_size()
    
    This allows removing a needlessly complex and tricky function (I dare
    you understanding what it actually does the first time around) in which
    we even introduced subtle (but luckily invisible for now) bugs over
    time as it was probably not understood properly, and more sensitive to
    breakage than it ought to be.
    
    It also actually improves results, as we unit for bytes, and proper
    translation for the units.
    
    Note that this switches to SI units, which is probably actually better.

 src/dialogs.c |  2 +-
 src/utils.c   | 49 -------------------------------------------------
 src/utils.h   |  3 ---
 3 files changed, 1 insertion(+), 53 deletions(-)

commit ba6fc4a4fa48239daca7350ec05d25e44cc89169
Merge: 7fd2507e6 d0b67df06
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed Oct 25 21:29:02 2023 +0200

    Merge pull request #2398 from b4n/gcc8-array-size
    
    Rewrite HL_N_ENTRIES macro to avoid a GCC8 false positive warning

commit 35043402562a8ba8566f0cd4d7be6a1c94f006ba
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Oct 23 21:05:13 2023 +0200

    Autotools: regenerate gmo files when po files are updated
    
    Make sure the gmo files are regenerated when the corresponding po files
    are updated, not to have stale translations after updating a po file.
    
    This behavior most likely changed with the switch from GLib gettext
    infrastructure to to plain gettext one in
    32977676a90244e0410524614757d2cf214bae43.
    
    I had a hard time finding a rationale for the behavior of not
    automatically updating the gmo files when their source changed; all I
    could find is [1] which suggests it's intentional.  Still, at least
    with our configuration of PO_DEPENDS_ON_POT=no, which means po files
    are not updated all the time, the point seems moot and does more harm
    than good.
    
    Fix this by manually adding the correct dependency to the main target
    so the gmo files are updated automatically when the po changes.
    The only case where I can see it performing "useless" work is when
    calling update-po, which will effectively update all po files, and thus
    rebuild all gmo files.  But that doesn't sound like any kind of
    problem, and rather expected.
    
    [1] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=400453#24

 po/Rules-gmo | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 7fd2507e6054617354fe941f2964be68b4536f44
Merge: fabca6be6 afb66ce5d
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Oct 23 21:50:27 2023 +0200

    Merge pull request #3587 from techee/unused_remove
    
    VTE cleanup related to GTK 3.24 requirement

commit fabca6be6c19c5f982f488be47e75745ba7eba71
Author: scootergrisen <scootergrisen@gmail.com>
Date:   Mon Oct 23 21:39:52 2023 +0200

    Update da.po (#3636)

 po/da.po | 832 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 419 insertions(+), 413 deletions(-)

commit 726baec73496395161964c9ff3d3d0f59d820c75
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Mon Oct 23 20:34:21 2023 +0100

    Portuguese translation update (#3645)
    
    Minor corretcion

 po/pt.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 96c8f4ea953145e152b5e9cef023382d326eb737
Merge: d6ce2dd34 cb10577f6
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Oct 23 19:32:29 2023 +0200

    Merge pull request #3641 from techee/hacking_update
    
    Update some paths in HACKING

commit d6ce2dd34558eb266a927b779ec17ee0bcebc6cb
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Thu Oct 19 20:40:34 2023 +0200

    Add meson.build to release howto and replace IRC by Matrix

 doc/making-a-release | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 6f72e72a11d715fd5e719e18eaeb4c272965e0ea
Author: cx384 <cx384@proton.me>
Date:   Mon Oct 23 17:24:27 2023 +0200

    update fortran keywords

 data/filedefs/filetypes.fortran | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit cb10577f633e178ad533f4fc79cc797618d9d004
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Oct 23 12:19:51 2023 +0200

    Update HACKING
    
    Co-authored-by: Colomban Wendling <lists.ban@herbesfolles.org>

 HACKING | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 1f3c9d53effcf0c242430f4cdd5ab843d9b4c1bd
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Oct 23 12:11:07 2023 +0200

    fixup! Add Raku (Perl 6) filetype support (lexer and ctags parser)

 src/editor.c | 1 +
 1 file changed, 1 insertion(+)

commit ba9190284610d798db447868f65e21075678754a
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Oct 22 23:09:06 2023 +0200

    saveactions: Fix a couple mnemonics in the French translation

 po/fr.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4b54306424918c2e4a3f3d3a553463065420cf7c
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Oct 22 22:52:33 2023 +0200

    Move "Virtual Spaces" preference to "Editor -> Features"
    
    "Editor -> Display" is very crowded already, and virtual spaces are not
    merely a display feature, but rather a tool for editing.
    
    Close #3605.

 data/geany.glade | 171 ++++++++++++++++++++++++++++---------------------------
 1 file changed, 86 insertions(+), 85 deletions(-)

commit 4946d547d33de6d46285d2688cf5bc87a1e283f5
Merge: fefef5556 656b03bc0
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Oct 22 21:57:07 2023 +0200

    Merge pull request #3634 from eht16/issue3628_enable_nls_for_stash_c
    
    Enable translations in the "Various" tab in preferences dialog

commit 215271b02dbfa13e54bee77b6d3a8a76ec1fad68
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Oct 22 21:44:03 2023 +0200

    meson: Use only a single type for a given configuration data item
    
    When a value could either be defined or not, we used to call either
    `set(varname, 1)` or `set(varname, false)` respectively.  This however
    leads to the value type of `varname` to be conditional, making it
    virtually unusable for testing its value.
    Instead, just do not emit anything when we used to emit `false`.
    
    The only difference is that it will not generate any entry for the
    disabled values, but that is what Autotools do already anyway --
    although Autotools emit a comment.
    
    This fixes build if either `HAVE_FNMATCH` or `HAVE_REGCOMP` is `false`
    (that is, if either `fmatch()` or `regcomp()` functions are not found
    on the system).
    
    Fixes #3618.

 meson.build | 14 ++++----------
 1 file changed, 4 insertions(+), 10 deletions(-)

commit def46d39d25627285f93f0d195e9d0f688f6921d
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Oct 22 17:55:55 2023 +0200

    Update some paths in HACKING

 HACKING | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit a9363bc15d2c66ea91eeec923961f93e41bff216
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Apr 14 01:34:32 2022 +0200

    Add Raku (Perl 6) filetype support (lexer and ctags parser)

 ctags/Makefile.am                    |    1 +
 ctags/parsers/perl6.c                |  338 +++++++
 data/Makefile.am                     |    1 +
 data/filedefs/filetypes.raku         |   90 ++
 data/filetype_extensions.conf        |    1 +
 meson.build                          |    2 +
 scintilla/Makefile.am                |    1 +
 scintilla/lexilla/lexers/LexRaku.cxx | 1637 ++++++++++++++++++++++++++++++++++
 scintilla/lexilla/src/Lexilla.cxx    |    1 +
 scintilla/scintilla_changes.patch    |    1 +
 src/filetypes.c                      |    1 +
 src/filetypes.h                      |    1 +
 src/highlighting.c                   |   17 +
 src/highlightingmappings.h           |   47 +
 src/tagmanager/tm_parser.c           |   22 +
 src/tagmanager/tm_parser.h           |    1 +
 src/tagmanager/tm_parsers.h          |    3 +-
 tests/ctags/Makefile.am              |    1 +
 tests/ctags/simple.raku              |  142 +++
 tests/ctags/simple.raku.tags         |   68 ++
 tests/meson.build                    |    1 +
 21 files changed, 2376 insertions(+), 1 deletion(-)

commit 17523e5f8ba6ac0c93290fac4ad64f23d005b3b1
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Oct 22 13:31:44 2023 +0200

    Do not show charset "None" in the list of encodings
    
    The charset "None" would be shown for the encoding
    name "Without encoding" and so it would be rather
    redundant and the special value "None" should be
    translatable but isn't.
    
    Closes #3624.

 src/encodings.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit fefef55569424b72e540bafa4bec514e7e2fd6f5
Author: scootergrisen <scootergrisen@gmail.com>
Date:   Sat Oct 21 23:30:21 2023 +0200

    Add missing space before "(without the path)"

 src/printing.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 656b03bc00fe3a17b6b369f41b436c1473fa953d
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sat Oct 21 23:22:14 2023 +0200

    Enable translations in the "Various" tab in preferences dialog
    
    "config.h" is needed as it defines the GETTEXT_PACKAGE which
    is necessary to enable translations at all.
    
    Fixes #3628.

 src/stash.c | 4 ++++
 1 file changed, 4 insertions(+)

commit f86c4de5863d1a2609345a045d7cfff5c35651b4
Merge: 0fd68e418 6104d0007
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Fri Oct 20 16:35:59 2023 +0200

    Merge pull request #3607 from hieeupomalrf/R_commands
    
    Add R execution command

commit 0fd68e4182bf2540249810da52382e2f1c4810aa
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Oct 19 23:02:51 2023 +0200

    scripts/github-news: Handle continuation lines
    
    Merge continuation lines with the previous line not to get spurious
    line breaks.

 scripts/github-news | 24 +++++++++++++++++++++++-
 1 file changed, 23 insertions(+), 1 deletion(-)

commit da951d00537b2593780542920fb1823c78161a8c
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Thu Oct 19 20:28:18 2023 +0200

    Post release version bump
    
    Say hello to Geany 2.1 "Yage"!

 NEWS               | 3 +++
 configure.ac       | 2 +-
 doc/geany.txt      | 2 +-
 geany.exe.manifest | 2 +-
 geany_private.rc   | 4 ++--
 meson.build        | 2 +-
 src/geany.h        | 2 +-
 7 files changed, 10 insertions(+), 7 deletions(-)

commit 4a1fda547fecdd3b5cb49d8f345cef84741210c3
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Thu Oct 19 17:53:50 2023 +0200

    Set release date

 NEWS           | 2 +-
 doc/geany.1.in | 2 +-
 doc/geany.txt  | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 13bc05d80f456d8ed745e4fbfbf4286a49d1acaf
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Thu Oct 19 17:32:10 2023 +0200

    Replace never released version 1.39 by 2.0

 po/fr.po          | 2 +-
 src/keybindings.h | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit e9af6b5c8b3e69ac51095aece9fb1672782af02a
Merge: 5f992d07e 93070a580
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Thu Oct 19 17:26:54 2023 +0200

    Merge pull request #3593 from eht16/release_2_0_documentation
    
    Release 2.0 documentation

commit 93070a5808e93d350ba5a1ac6ff47486cb8dc46e
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Wed Oct 11 12:31:50 2023 +0200

    Update documentation screenshots

 doc/geany.txt                                  |   4 ++++
 doc/images/build_menu_commands_dialog.png      | Bin 58390 -> 69439 bytes
 doc/images/find_dialog.png                     | Bin 22820 -> 28136 bytes
 doc/images/find_in_files_dialog.png            | Bin 27172 -> 34669 bytes
 doc/images/main_window.png                     | Bin 88195 -> 111339 bytes
 doc/images/pref_dialog_edit_completions.png    | Bin 64205 -> 70244 bytes
 doc/images/pref_dialog_edit_display.png        | Bin 56210 -> 76687 bytes
 doc/images/pref_dialog_edit_features.png       | Bin 43978 -> 49188 bytes
 doc/images/pref_dialog_edit_indentation.png    | Bin 47779 -> 55680 bytes
 doc/images/pref_dialog_files.png               | Bin 56651 -> 66429 bytes
 doc/images/pref_dialog_gen_misc.png            | Bin 49642 -> 56811 bytes
 doc/images/pref_dialog_gen_startup.png         | Bin 45304 -> 55734 bytes
 doc/images/pref_dialog_interface_interface.png | Bin 53042 -> 64267 bytes
 doc/images/pref_dialog_interface_notebook.png  | Bin 46578 -> 55721 bytes
 doc/images/pref_dialog_interface_toolbar.png   | Bin 43424 -> 51371 bytes
 doc/images/pref_dialog_keys.png                | Bin 50802 -> 75181 bytes
 doc/images/pref_dialog_printing.png            | Bin 37487 -> 45788 bytes
 doc/images/pref_dialog_templ.png               | Bin 41617 -> 50928 bytes
 doc/images/pref_dialog_tools.png               | Bin 36071 -> 46469 bytes
 doc/images/pref_dialog_various.png             | Bin 53035 -> 84969 bytes
 doc/images/pref_dialog_vte.png                 | Bin 51623 -> 60611 bytes
 doc/images/replace_dialog.png                  | Bin 28978 -> 34624 bytes
 22 files changed, 4 insertions(+)

commit 80fec378d9f5d6967f084c99f09ac2907fd92374
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Wed Oct 11 12:31:17 2023 +0200

    Add documentation for new Scintilla feature "Change history"

 doc/Makefile.am                    |   1 +
 doc/geany.txt                      |  32 ++++++++++++++++++++++++++++++++
 doc/images/edit_change_history.png | Bin 0 -> 16415 bytes
 doc/meson.build                    |   1 +
 4 files changed, 34 insertions(+)

commit 514adec504e3325945297b3db4d2e45230245963
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Wed Oct 11 12:30:09 2023 +0200

    Add NEWS for Geany 2.0

 NEWS | 55 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 55 insertions(+)

commit 5f992d07ec4d8319b8f55f72181cb6cb28afcfee
Merge: 4246298dd bc9f6e4dc
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Oct 19 16:31:30 2023 +0200

    Merge pull request #3616 from b4n/asciidoc-crash
    
    Fix crash opening an AsciiDoc document

commit bc9f6e4dccea09b746510c0f262c2e3bf0ce11c9
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Oct 19 14:26:37 2023 +0200

    Restore AsciiDoc lexer
    
    This got lost in 19336d22946b77bbcb5131544ea0e6317cdcf6b5, probably as
    a mistake.
    
    Fixes #3615.

 scintilla/lexilla/src/Lexilla.cxx | 1 +
 scintilla/scintilla_changes.patch | 3 ++-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit f1723b3bdd194c3a2dbec293c05a0835ff20d521
